===================== 2017-06-16 Version 4.4.6 Released =====================

===================== Changes Since Version 4.4.5 ===========================

commit 3ee232257fbd956b85fa23cf3a5f8766fabd6889
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jun 16 11:54:53 2017 +0200

    ratelimit: removed unused variable

commit b5a4c125117d46e682595b04b22a6f850ba88087
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jun 16 11:49:28 2017 +0200

    mtree: avoid char array access over the size
    
    (cherry picked from commit 24718a4f0a7579abf9f32967cce2b86e5973cc6d)
    (cherry picked from commit 2d1dc7cfcde0410e44a8d53849c319c9d234a7b3)

commit 2634a759e8493ebd4f7ce8cbf467d4bf03f5eb71
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jun 16 11:04:06 2017 +0200

    Makefile.defs: version set to 4.4.6

commit bc7e39ccfadaab7e489647a71a570ed1d4120713
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jun 16 10:10:06 2017 +0200

    pkg: set version to 4.4.6 in rpm specs

commit 46c738aa8b5587f21ea1cd91fbeabd77c02ad750
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Jun 16 10:02:54 2017 +0200

    pkg/kamailio/deb: version set to 4.4.6

commit b79b94aa738325737e82b6485e78eeec2dbea7ac
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Feb 20 19:24:36 2017 +0100

    pua_usrloc: free memory in case of failire in pua send_publish()
    
    - related to GH #1001
    
    (cherry picked from commit 504699b6c2f34fbf7db02f57909eefdffc6b8180)
    (cherry picked from commit e2e8f3e4e887e482dd9908c0c9fc5f85923def81)

commit 231bea62270157c4623cb81d04256ac2e3b28b99
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Tue Jun 13 14:46:33 2017 +0200

    modules: readme files regenerated - acc ... [skip ci]

commit 94925611d3cf6dd2498293db6f211e284b5a66c2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Jun 11 08:43:13 2017 +0200

    .gitignore: updated paths to be ignored by git
    
    (cherry picked from commit a2b82a991b98919162d9c84e279a2139364241fd)
    (cherry picked from commit 231c6e975652a2249a826eaeeb0be4ca937a5fd2)

commit 306d7ddfcf9ea8d247b6d7901c4cac015c625bf5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jun 6 11:19:38 2017 +0200

    core: throw yyerror on invalid cfg var definition
    
    (cherry picked from commit efe6966fa1691cbb762ec13aa11164b0989e3cb4)
    (cherry picked from commit 7ded0a730fa36922449834b4b96fd014d5600b47)

commit a8e78db911c07264ab36d43d44eb4aa9082a3eb1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jun 6 11:18:30 2017 +0200

    core: catch use of numbers or reserved tokens in cfg var definitions
    
    (cherry picked from commit fbc6b275be1467871e26ea8c72f4ad6df724e2dd)
    (cherry picked from commit 106eb258c39bd0c1f9b61b9e0226601e62c6b97b)

commit c819f28eba939f938b758cb549ddfca4aca87cfe
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jun 1 10:01:27 2017 +0200

    nat_traversal: print keepalive file name in error messages
    
    (cherry picked from commit 09bce3d97acf54c289f1a2c6905175038502e7a0)
    (cherry picked from commit 9157c3038b6b70bd61d7e43d4b07eaf2575d65bc)

commit 821dab5d172df42e82dc07de320ef66976908ce8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed May 31 09:31:57 2017 +0200

    pipelimit: updates to documentation for cfg functions
    
    (cherry picked from commit 06648b9ce868307eb487ced9bd3d61f249246a73)
    (cherry picked from commit 8711c8afbd3572f717de2d1c040016da0a1d39c8)

commit d872d37f814b409bfb851b699acb4e571c4e4d97
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed May 31 09:28:57 2017 +0200

    pipelimit: allow execution of cfg functions from several routing blocks
    
    (cherry picked from commit 93ba83a349564bf307654bf2891100071376eca2)
    (cherry picked from commit 969f0b6c5b42b75c094d89d2a58da39257e910fa)

commit 95f61a08faf88246e4f8b0faa74a8447c240aa67
Author: Mikko Lehto <mslehto@iki.fi>
Date:   Tue May 23 19:56:27 2017 +0300

    modules/rr: add missing space to log statement
    
    (cherry picked from commit e235f8328e435dd580d02f97d2c3c15fefb482e8)
    (cherry picked from commit a4375eac45facf6fbb4f309f92ed63ca77956ce6)

commit 1c7efd1210d2cb67c26ca47c6d2f2138238d212e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri May 19 14:58:07 2017 +0200

    dispatcher: updated the example of destinations list file
    
    (cherry picked from commit 45989d3c53242f8f5f29229333617c7bc00fd3ac)
    (cherry picked from commit 7bd344c690a1eef2d15a630d262dc838c4285314)

commit acba65979a39ced0ce96aae59e69c164d8b9485a
Author: Mikko Lehto <mslehto@iki.fi>
Date:   Thu May 18 14:02:28 2017 +0300

    modules/usrloc: synchronize example with TM module
    
    (cherry picked from commit 3deecfcc9491594f3c89fe330c407f3327393c62)
    (cherry picked from commit 8b8fe178fab3039b5fd88f5cbeed7b0be30e84f4)

commit b467df96df7194ebbb462cbe0590ba8037fd7a80
Author: Mikko Lehto <mslehto@iki.fi>
Date:   Thu May 18 13:57:03 2017 +0300

    modules/tm: documentation typo fix
    
    (cherry picked from commit b7e33ba006f5d2d81410c4785c13d99a024569cb)
    (cherry picked from commit c43543d8ee74c2266ff1efc8b0351c35c564ce40)

commit e0d77fc1cdbc7f55165c593ae95eaf27e1afd72a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat May 13 13:42:27 2017 +0200

    core: added support for aarch64 architecture for fastlock
    
    - from a patch by valentin@corenetdynamics.com
    
    (cherry picked from commit ba17aad00dec0403f89842fc6db015718daddcdd)
    (cherry picked from commit 7eabf05f2649357107f72fb10894aca1f7f8256d)

commit 456af688ded448fb6973bbbb616a5376f8b9c4a9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat May 13 13:31:28 2017 +0200

    Makefile.defs: enable arm aarch64 architecture
    
    - from a patch by valentin@corenetdynamics.com
    
    (cherry picked from commit b5022ed2f856387380d3dd8ffa8d891f52efa6b4)
    (cherry picked from commit 300d347b28093eb38b59334925042ca90a0858ac)

commit 4e7976ce17f7eeecc4f541b5f27f579efeebdce1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri May 12 16:19:04 2017 +0200

    kamcmd: increased the max reply size from 64kB to 128kB
    
    (cherry picked from commit f5a0e6f19b4e04d32499f796ef59049a7c798f54)
    (cherry picked from commit 547a38b235337d54e798f3931592492ff34eb941)

commit e433cb01d0f24160b5e819693c23d61cf8476109
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu May 11 16:15:21 2017 +0200

    uac: explicit name of the function called many times when updating from/to
    
    (cherry picked from commit 88612ea4ed49db8a10cb8b1ddf23bc0783e937c3)
    (cherry picked from commit 4157c55a311cbe9909aa66169671be955b8a083a)

commit a54af9dc0499cbd45ebf22435d82f7b2a699296e
Author: Mikko Lehto <mslehto@iki.fi>
Date:   Thu May 11 18:39:45 2017 +0300

    modules/sl: documentation typo fix [skip ci]
    
    (cherry picked from commit c75e7cf65907cf137be23a11ac2930a80381ea3f)
    (cherry picked from commit c9840f3612c433be41ef4f73e05b445bfb854287)

commit acd72e099f9c8c91a9db2007fe8d7ab32481bd58
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu May 4 18:12:04 2017 +0200

    tm: use NAME define for initializing uac
    
    (cherry picked from commit 22fc02538a7576bf35ef321980a607bdfb9bcc5f)
    (cherry picked from commit 7270254a4180bb10d1da01b97035ccae684f1ff0)

commit 0fddba45f1247536a2c4f355171e2db66c4d9562
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon May 1 22:20:32 2017 +0200

    sst: fix flag condtion in sst_check_min()
    
    (cherry picked from commit 8fc83e83cbe6f14dc89ad1b19c2a0c5667bc3d18)
    (cherry picked from commit 5a71849c8374f03b23f510ab797918affdcbfcaa)

commit c88c27c304276b5ac2c59edccfc82bd3150cd505
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon May 1 09:06:01 2017 +0200

    core: fixup helper functions for spve and pvar parameters
    
    (cherry picked from commit 7fb76f9c4f247a1b62609e6ff22a5ecfd4efa46d)
    (cherry picked from commit b415e64585a081c724d745f54e0cdf0f74e276a0)

commit a6e72190208fb81a197a30e4935a4ac61d8f2cde
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Apr 25 22:08:48 2017 +0200

    core: added helper function to free spve fixup parameters
    
    (cherry picked from commit 5a87defebe64c04c3276adb964c31031f64f0717)
    (cherry picked from commit f0efe7007f64ebef367534cf66dd76e9f6b0cc38)

commit 7de9137debfdbb9a52fe00f295390ce1a278d379
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Apr 21 21:46:23 2017 +0200

    .gitignore: more types of tag files added to ignored list
    
    (cherry picked from commit 873f3176b228e91e5c2149d75a7329a6174c48e5)
    (cherry picked from commit 368fee23fcca24533196fa3fada21e530c1742c5)

commit b1437362896a18e2ac32e5b3a3c219948ff2a978
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Apr 21 19:03:04 2017 +0200

    ipops: removed unused variables from ragel generated files
    
    - GH #1074
    
    (cherry picked from commit 1f46fbcdcbfbae80000d3abcf191424d98104f4e)
    (cherry picked from commit 221fb678639bb1ea474f8f74b23268272010dd6c)

commit 36a34e6feeb952d0da3a96bd0677f6c988357e6d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Apr 20 07:54:11 2017 +0200

    Makefile.rules: make clean rules removes static libs from modules
    
    (cherry picked from commit f076ed992770d53e7cded5f5d8b7362c92a212be)
    (cherry picked from commit d3f88fdb9594267e38dd633db1ca1ea3764b04e2)

commit 68cb1053154fe6b546e2195f0df1fd7039a8519b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Apr 19 17:42:38 2017 +0200

    gitignore: skip static lib files (*.a)
    
    (cherry picked from commit c4ae8d5aef5a03ef552fba68dfb1c54dec70ac21)
    (cherry picked from commit e98e70542571980aee8d89c74b9c47c02b3314f6)

commit fed0b01e942a144e6d99f93a1aac15104f41208d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Apr 19 08:04:27 2017 +0200

    rtpproxy: fix docs for rtpproxy_stop_stream2uas()
    
    - it has no parameters
    
    (cherry picked from commit bfe2cec3951874da8dccba69493922006129da5c)
    (cherry picked from commit f0e5ad0d8af05b1e6e40bb60e1f8c282b0643723)

commit ad52cb9cc0122139d6f72a7901a4eabdfedb7cd0
Author: Mikko Lehto <mslehto@iki.fi>
Date:   Tue Apr 18 21:49:48 2017 +0200

    modules/acc: add log_level names to examples
    
    (cherry picked from commit 4a19f63fdee945fbcbc46ab6ebabbf4af67eba7b)
    (cherry picked from commit dfd1df30747ed502039e7ca8543a515c939b25ff)

commit 97b69bd2c12608980743b2f377f7e02a940f13c6
Author: Mikko Lehto <mslehto@iki.fi>
Date:   Tue Apr 18 21:51:33 2017 +0200

    modules/acc: fix documentation typos
    
    (cherry picked from commit 2842990aef959c1c6208ccf786e8edbc20372c13)
    (cherry picked from commit 2d1a26c791ab4861525de8d4b959c66d53fcca6e)

commit d20dad2dd085e052221cb5bafb2bdcdc0fbecc32
Author: Mikko Lehto <mslehto@iki.fi>
Date:   Tue Apr 18 19:27:56 2017 +0300

    core: substitute ser string with NAME macro
    
    (cherry picked from commit 102ef546ee418fcc92eaa8fe16c3a4fd453036c0)
    (cherry picked from commit 2438734c664b00362a0cab4e342e5f6f8a98210e)

commit f8cb807b19321b7546d3e12ee9d4a1d038e5651f
Author: Vitaliy Aleksandrov <vitalik.voip@gmail.com>
Date:   Tue Apr 18 14:27:12 2017 +0200

    ldap: fix memory leak that happens after calling  ldap_result_next()
    
      - GH #1071
    
    (cherry picked from commit 87edc25fd458be80ed5cfec21fbe2940a8f9c17f)
    (cherry picked from commit a25e0c3e2c8291cf24a8dc11a4da19fb7e8c19ea)

commit 5a4be2cce8e3b6409b13c9e6f2646f6d9520c60b
Author: Mikko Lehto <mslehto@iki.fi>
Date:   Tue Apr 11 21:17:46 2017 +0300

    modules/rtimer: fix pseudo variable typo in example [skip ci]
    
    (cherry picked from commit c3c110e8a8519f6521678b5d9e0ec497b07883c4)
    (cherry picked from commit 2735a1b3879492b333e0e7fb7214462cccabc635)

commit 07857cadb3eeaed7d16c5e149dc3c5de2f1cd0d3
Author: Tuan M. Hoang <tmhoang@flatglobe.org>
Date:   Tue Apr 11 13:08:51 2017 -0400

    modules/{acc,cdp}: allows big endian build
    
    (cherry picked from commit 95153bd37df81d08b8c02cc892d019817ec05644)
    (cherry picked from commit c435200d4b8b5893389b65350ab3ba852392e564)

commit 6b39d1a0844c4299d212c270912ab80bdaf03384
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Apr 10 17:04:58 2017 +0200

    tls: update log messages macros
    
    (cherry picked from commit dbd78eb8a9f222d8cd6fbcd800552e51d3afaa7c)
    (cherry picked from commit 0cc28df33e64eadfc7d13887481f03df6022abb7)

commit ceed55f795f29b700a8026280b68cfea2e7eef25
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Apr 10 13:51:38 2017 +0200

    dialog: clarification for dlg_bye() parameters in docs
    
    (cherry picked from commit 6b9e63f4e1948b53ce2b986c495085e34dc83165)
    (cherry picked from commit 9b3fb6ae349f3ba3c6621e8d19526fcddc0b968e)

commit 7efdf3cd41f968e9ddb66869c0e9cbb8fc337483
Author: Juha Heinanen <jh@tutpro.com>
Date:   Sat Apr 8 15:25:07 2017 +0300

    modules/registrar: removed extra empty line
    
    (cherry picked from commit e36f607d44a53969c4dc469f7c940ed861419ca1)
    (cherry picked from commit 485f73223cd4e30268728586256e4064c5897c3a)

commit 481775491d7a5b7f084473c75d4583e3131f2305
Author: Juha Heinanen <jh@tutpro.com>
Date:   Sat Apr 8 15:22:54 2017 +0300

    modules/registrar: apply method_filtering only on initial requests w/o to-tag
    
    (cherry picked from commit ac2572b880c5373864a55ebe1b9e538dd9337e63)
    (cherry picked from commit 5ab4d1af1b083c0fb71e719a7d164c504b53caa4)

commit f9d92c0f4e80c3710ca8a06633efcc407723ca1a
Author: Juha Heinanen <jh@tutpro.com>
Date:   Sat Apr 8 10:31:23 2017 +0300

    modules/siputils: made tel2sip to return 2 if no conversion was needed
    
    (cherry picked from commit 8e037f623ae6daf58e092d8a41430fd13d1d38ec)
    (cherry picked from commit 02dd3338fa63a703a99535eed0f71f9862eb87f3)

commit 415f6bc206c72d6727aae5f299d07bd1b6c0d1c9
Author: Carsten Bock <carsten@ng-voice.com>
Date:   Fri Apr 7 11:09:14 2017 +0200

    sdpops: Add note about sdp_remove_media() and RFC compliance
    
    (cherry picked from commit 8a38f369b01a642b92704cc0e6efeb6e108f8a02)
    (cherry picked from commit 9429653590322f25ed0ecae4d77bf29f57cb233e)

commit 37de4fb8051ffc407e0b9ea115a55db903983770
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Jun 3 08:55:19 2017 +0200

    acc: removed useless revhistory from docs
    
    (cherry picked from commit e60e8b48897308319cbd6cad31c6874a9a24c47c)
    (cherry picked from commit 8963a2a7b7e2635faf1e209b67223a3a2494268f)

commit adaf1585828937a2740cd9c3f96556e813210abd
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jun 2 20:01:13 2017 +0200

    kamctl: added drouting tables to be created by kamdbctl
    
    (cherry picked from commit 85af6e08f5470cf4533c01badec8759713d897c9)
    (cherry picked from commit b26e30a055d850437b5d6491c16c139582f28053)

commit 3db23818172a34c608052758d73b870666c91fcd
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue May 16 17:33:10 2017 +0200

    core: wrapper function to reset avps/xavps from msg environment
    
    - use it to clean after processing received msg
    
    (cherry picked from commit 46ea6b0a6bcf55243a0d11be41f60a2678dbbcfb)
    (cherry picked from commit 5add6c44cc8d268748488b8f2683c88bbfd4572e)

commit d81926d6c88e234d183bfb72185430515d5b0ca7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon May 15 14:11:57 2017 +0200

    core: reset avps and xavps lists in all error cases
    
    - just for safety when one uses some srevent routes
    
    (cherry picked from commit bc336bfcba127a9232583a3d7b7e10d994c369eb)
    (cherry picked from commit 72012440214b0827e6ae7e1dd494c5ecd3fdbaa8)

commit b930e974020508cf8ac6fb538143313e45e9481e
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Wed May 10 13:00:57 2017 -0400

    xhttp_rpc: fix rpc_struct_printf
    
    (cherry picked from commit 8f87e7c4c3ba925a20bd0ab69e1fc885a559d262)
    (cherry picked from commit 40d26eae8c678e7623478b5b624e401e9bb94434)

commit 985542826be6d993211dad513a2cf46b8575bde9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Apr 28 09:35:41 2017 +0200

    db_cluster: free allocated structure at init time
    
    - avoid reopening driver db connections if already set
    
    (cherry picked from commit 08f8e0bc72b9f16f76b78110c9c95b1ba7f1ce25)
    (cherry picked from commit 623840e7487cec1862531893c3644776835d9387)

commit b0a6805616a23bbed1a33339e99c5d32813d3103
Author: Kristian HÃ¸gh <kfh@uni-tel.dk>
Date:   Tue May 2 07:43:54 2017 +0200

    htable: Fix memory leak when reloading an empty htable from database
    
    (cherry picked from commit 07ce768fc6064867ed33d7ab6c9cbbb05db329db)
    (cherry picked from commit cfaca9f7b468b138280c288edfa830995f714ea1)

commit eec44f0ba950a697bae8a30a91ca4707de202385
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Apr 28 09:10:04 2017 +0200

    htable: close db connection in some error cases for rpc command
    
    (cherry picked from commit 1051a1bbc70cf84d6ebd7aa76a9b1ebd2e17e710)
    (cherry picked from commit 23783b89d800ce75f3655a253e1d21c5fd8cad6c)

commit ca0992d9c3e96cfcd24aad57db73bb67fac4d194
Author: Timo TerÃ¤s <timo.teras@iki.fi>
Date:   Fri Apr 28 09:58:50 2017 +0300

    Add and fix #includes for more strict POSIX compliance
    
    - sys/poll.h is non-standard, posix defines poll.h
    - sys/time.h is needed in addition to time.h for e.g. struct timeval
    
    Notable this fixes some build errors against musl libc
    
    (cherry picked from commit 4d485707f7e53e798466dc6ae2166eddbe874b95)
    (cherry picked from commit 51f214f1c2a0b0e566ba367e5b1ac2557a05e8bd)

commit 377df7d8675494e4d429b3888f5bc96c7c60a573
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Fri Apr 21 11:59:42 2017 -0400

    sqlops: free the result only if there is a result
    
    (cherry picked from commit 92c8c66e5ba1e5036fdc7a6171e013e21964a03b)
    (cherry picked from commit 79d10d03049bf235c302b5261c2a59d64f9ba210)

commit e98cf59eba995b89a8ef5141db629718010a9805
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Apr 11 15:24:32 2017 +0200

    kamilio.cfg: updated the address of sr-users mailing list
    
    (cherry picked from commit a2fe77bcce3c9c1f926ca1767f2ea8e25ed4fe75)
    (cherry picked from commit 7a7b0ca00d5ee843426a33fa80396492324511ba)

commit 5d26b50d78f60afba73d12fdda99971f7ef6ba35
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Apr 7 17:05:44 2017 +0200

    core: use buffers instead of static empty string
    
    - if code tries to write in, results in a crash
    - reported by Juha Heinanen
    
    (cherry picked from commit 6aa2b91b581d7e0f138a9a19f61d848caeb61a19)
    (cherry picked from commit 2705a9d36481d66ea86f79b574760f3009118775)

commit 29d6ce1d54564ff400072522be174b10499d07d7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Apr 7 17:05:27 2017 +0200

    pv: renamed empty buf variable
    
    (cherry picked from commit cdd7bc29a900d787b8d99f7296306f99c53a5e29)
    (cherry picked from commit f9fbd7a97cae4431a64ab350c2eed7bbc0586049)

commit e97975da927bd666c18b5c971fbd7b4ca96c41b6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Apr 7 15:37:07 2017 +0200

    pv: declare the pv_empty as buffer with size
    
    - otherwise it can crash when code tries to write in it, if pointing to
      static empty string
    - reported by Juha Heinanen
    
    (cherry picked from commit 1e37b31f8a28ccc6f44eaf75e5f02e836df20411)
    (cherry picked from commit dccca1959b6f96bb508baa9dab0eacba7c69f20c)

commit 3ada3f4640c98e3b45e00f559cf81ffed2c9ed4d
Author: Claudiu Boriga <paul.boriga@1and1.ro>
Date:   Mon Apr 3 12:13:30 2017 +0300

    topoh: add additional safety checks
    
    - verify that headers contain expected prefix (including mask ip)
      before trying to unmask them; otherwise there may be issues when
      kamailio receives messages that are not masked and topoh is enabled.
    
    (cherry picked from commit 055fca8dd2ca9c2ea683a2ea3748d6728d54e5a5)
    (cherry picked from commit 30668abe2499d56d63efd4b860a154076e2150e7)

commit 9f2d6e775f98f103b2724f75503a2779a979b22c
Author: James Cloos <cloos@jhcloos.com>
Date:   Mon Mar 6 11:40:13 2017 -0500

    app_perl: Make sv2int_str() static
    
    - The function is only called from the xs file, and C11âs inline
      semantics mean that gcc-5 and later miscompile this file when
      no optimization is specified.
    
    Signed-off-by: James Cloos <cloos@jhcloos.com>
    (cherry picked from commit 42d3b93f838d1c2eeb009894422fe016a6572520)
    (cherry picked from commit 074f52de88f473945628f81740a87e5f6bc072ea)

commit fd5c4b81f8fc8b0029ac70d6f80ae6b63d869a59
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 7 23:24:56 2017 +0100

    db_mongodb: re-init iterator for bson covert search failure
    
    (cherry picked from commit 6bd32088de1d7ae816643aea4a60c70911e46b5e)
    (cherry picked from commit 9e9fc9a322221dce58108c4430cbe0af41b31d02)

commit cb14499a64c102d2bd2d27a851cf059647414341
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Nov 9 14:10:15 2016 +0100

    core: debug - aliased macro LM_BUG to BUG
    
    (cherry picked from commit 44a4732df6e77386e6ffa60041cd1738a208ae0d)

commit ade2cbe3c8ebadc6161d7c64194099802128e194
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Thu Feb 9 15:18:13 2017 -0500

    core: added PROC_XWORKER as an alias to PROC_RANK127
    
    (cherry picked from commit 3e8589afcf75e7c93c5bcb9b4c4269c7b29774bd)
    (cherry picked from commit e5677bc936a99a879235986913879eb14fafb5b2)

commit 5bc4888881f8438345d266829f5b6ef6cc7a0ae4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 9 11:46:53 2017 +0100

    core: added PROC_SIPROUTER to be able to test if is no longer a special sip worker
    
    - related to GH #972
    
    (cherry picked from commit 6d1f8b2d23dad4ef25ce8663c903dd1d568ed723)

commit d7946819d8a79910d890f2b72151d62721c93a91
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 9 11:32:23 2017 +0100

    path: note in docs that some registrars check for supported header
    
    (cherry picked from commit bbf51ef65ecee0b6c8e30abb3738da3436b85692)

commit 4ab84843d2d4d7a9a6db28f7c8ee1280411802f0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Feb 8 08:12:17 2017 +0100

    Makefile.defs: don't enforce yacc on solaris
    
    - it's old and fails to parse the cfg
    - reported by GH #963
    
    (cherry picked from commit 47590ddf1819a8df1f580ea1fb64bfdc712f6771)

commit 656cc086f87ec914b0fbdfdee0c5eb61f22b4f63
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 2 11:14:19 2017 +0100

    core: tsend - updated log macros
    
    (cherry picked from commit 83cf43715bf3727b8b618f8239b896ecd83e859a)

commit 16a6abbd7ce934b6e853726042b94e57841c0e4d
Author: Vasiliy Ganchev <vance@ukr.net>
Date:   Tue Jan 31 08:29:08 2017 +0200

    Update jansson_path.c
    
    in case of build on old debian (lenny) - statically linked libjansson has to be used, as a result build throw errors, cos libjansson has functions with the same names
    (cherry picked from commit 7dcc6bd18b5b5ae4078c32087c6cf85c0fa9bce1)

commit 6ac4b733a56ae82b89104b29df337aeef048cff2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jan 30 18:18:39 2017 +0100

    pipelimit: close file stream in case of error in get cpu
    
    (cherry picked from commit 5591d9c908d3f55898d4cc810663654f1f289806)

commit 48f5c0b6d4a6c3e896a0225cfe28ae87b4578efc
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jan 30 18:11:05 2017 +0100

    speeddial: incremed nr_keys after strip operation
    
    - avoid out of bounds index
    
    (cherry picked from commit 83b0afa5d43bf7c6e4f0c22adbb211bef8593062)

commit 9672ec05df5436ca99532d9c8264e2d104d07c2e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jan 30 17:46:39 2017 +0100

    drouting: check return of get_node_index() to avoid negative index
    
    (cherry picked from commit c881ab1aaa51b2040b7479da57eba33d0ee7d8e3)

commit 4e7fda77b77aca9cd55723cd319d380028b1f279
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Jan 29 17:52:40 2017 +0100

    core: parser - updated old log messages
    
    (cherry picked from commit 08327019aa52f5386ed29e37a7cac6822f2b4276)

commit ad44bcc46e70fb6c460911f2fb07c6d4edb0061a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Jan 29 12:19:28 2017 +0100

    core: parser via - updated log macros and coherent indentation
    
    (cherry picked from commit 403ad30cf1de447f2df69a7d772041272becc5cb)

commit 280bcf240e3c780d23f5c810fb829c01e960aa87
Author: grumvalski <federico.cabiddu@gmail.com>
Date:   Sun Jan 29 09:10:23 2017 +0100

    tm: reset T_ASYNC_CONTINUE flag in t_suspend
    
    (cherry picked from commit f81149d820246242db0e48f32948784b9db4ce82)

commit 8a711b7d00383996b51bc5dc10208bc8cb080e44
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Jan 28 20:50:48 2017 +0100

    core: cfg.lex - update log macros
    
    (cherry picked from commit 73f2fc360ae91f00dd0e269896a5dff104b67264)

commit 3adc833499d75c43bcad8bacb709271c2c3587bc
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jan 27 13:34:56 2017 +0100

    core: cfg.y - updated log macros
    
    (cherry picked from commit 07df19372cea24d0ec8c157c146a1f4440309120)

commit 06dc78f75305cec2aa4ce80c704a45a3d7c515d0
Author: Kelvin Chua <kelchy@gmail.com>
Date:   Thu Jan 26 15:52:49 2017 +0000

    jansson: add path to error log for easier debugging
    
    (cherry picked from commit 918cde9f30341fc52b98fb1ce6a2fcf78a0b6a0e)

commit c1f042d8b560fe94a6986b0d8c260f0d77a7535b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 24 12:25:30 2017 +0100

    kamctl: mention CHARSET as option in kamctlrc
    
    (cherry picked from commit c58a829af6d14a7b85fa03618f58ff315940ed43)

commit 00d224c80c9b19e0ffcbdbe2bde1199b428ca1ca
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Jan 21 19:54:31 2017 +0100

    core: print cfg line and column inside fix_rval() if resolve select fails
    
    (cherry picked from commit d89d643ab144a7a72aebd59c34df011f77dc4e34)

commit 00ea98fd8a13305f4085a094b614ea38cd142046
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Jan 21 19:49:47 2017 +0100

    core: select - added function to print select for error purposes
    
    (cherry picked from commit 77bf2478893bb935e0ca09d93df75b404417d3bd)

commit 54aac8b91375e5a5ca61bf97a67afd4476ef5882
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Jan 21 19:24:57 2017 +0100

    tm: select code migrated to new log macros
    
    (cherry picked from commit 3e88ff5662ccf8204206f4e6b770efaf509ad3f7)

commit ae6520dac2eda70f80ce6d5ac3c07ba610c536a3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jan 20 17:15:10 2017 +0100

    presence: build proper ipv6 contact when server address is not set
    
    - reported by GH #943
    
    (cherry picked from commit d62fd3e4976633aa6b827d527f4e15de0b08068b)

commit 58c09fb7dc5795d9bebd198c08ccb1ebb6591937
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jan 20 09:07:49 2017 +0100

    core: print cfg line and column for errors in fix_rval_expr()
    
    (cherry picked from commit dcd9f97d63490971afd160afbf2cd00eddc39445)

commit d9a017537c12da1d5312573192a6761c9ec32c89
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jan 19 16:57:35 2017 +0100

    tm: hooks related code updated to print log messages without hardcoded prefix
    
    (cherry picked from commit 2287ab6e649bf09fa38ce31c662ea9698411b0ac)

commit 650f1cb590b927a1254562299496b0974e5f168f
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Jun 8 13:45:03 2017 +0200

    sca: fix core when release_appearance RPC command parameter has wrong index
    
    > #0  0x00007fd8bba5a067 in raise () from /lib/x86_64-linux-gnu/libc.so.6
    > #1  0x00007fd8bba5b448 in abort () from /lib/x86_64-linux-gnu/libc.so.6
    > #2  0x00007fd8bba53266 in ?? () from /lib/x86_64-linux-gnu/libc.so.6
    > #3  0x00007fd8bba53312 in __assert_fail () from /lib/x86_64-linux-gnu/libc.so.6
    > #4  0x00007fd8a4b16328 in sca_appearance_list_unlink_index (app_list=0x7fd8a603c528, idx=0) at sca_appearance.c:254
    > #5  0x00007fd8a4ae0372 in sca_rpc_release_appearance (rpc=0x7fd8b1162300 <binrpc_callbacks>, ctx=0x7ffc2ce9eef0) at sca_rpc.c:504
    > #6  0x00007fd8b0f38abb in process_rpc_req (buf=0x1e5e744 "\241\003\067oZ\274Æ\027sca.release_appearance", size=12344, bytes_needed=0x7ffc2ce9effc, sh=0xfefefefefefefe00,
    >    saved_state=0xfefefefefefefe00) at binrpc_run.c:675
    
    (cherry picked from commit 68045ff55f8e9972d0560ae0216b0fe1f28556d6)

commit 114a42ee5ba4ca5e3c2038780067af326eced223
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon Jan 30 14:06:22 2017 +0100

    pkg/kamailio/deb: remove dnssec from stretch/sid due #851
    
    (cherry picked from commit 02cca18d4c39797c82715a90a781afb1157253bd)

commit 06a377677889c5caeef705df145ea845df6715e8
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon Jun 5 13:44:01 2017 +0200

    travis-ci: set DIST variable for jessie

commit f0e5a8c37608eca2d1d8f68e8c0ab1e9171a7bf5
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon Jan 30 18:53:31 2017 +0100

    pkg/kamailio/deb: fix missing new dependency for stretch/sid
    
    (cherry picked from commit c293df8335f43780c6bb0dd22750a038f8daa4f8)

commit 5c8419eb3a1e26de77b714f53c5a2cf0e24cc76a
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon Jan 30 16:16:12 2017 +0100

    pkg/kamailio/deb: use default-libmysqlclient-dev/default-mysql-client
    
    (cherry picked from commit d81a8fcbc6183b5474d2d9315ad72fa342c30cf1)

commit f0da1424678d0f2d64fa9b2abfab538f1c2736cf
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sun Jun 4 13:13:25 2017 +0200

    travis-ci: use 4.4-jessie image

commit b7bd4beabe76b01342afb4eb84ea4a4a68863efe
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sun Jun 4 12:46:59 2017 +0200

    pv: fix pv_var_to_xavp() and pv_xavp_to_var() functions
    
    * xavp was not properly created at pv_var_to_xavp()
    * add proper xavp loop for pv_xavp_to_var()

commit b4cb65354de5ee0384926780594412deba358def
Author: lazedo <luis.azedo@factorlusitano.com>
Date:   Tue May 30 01:48:03 2017 +0100

    htable: release pkg memory before returning
    
    resets 'first' when esize == 0
    
    (cherry picked from commit 2d771f563d19fccad0a28e56a5d99de571ef5da6)

commit 8351c7a81f432141d6d1348ffec9821ff028da33
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue May 30 17:08:19 2017 +0200

    travis-ci: use 4.4-stretch docker image [skip ci]

commit 2cd91070d5eb823a2413d8100236db8c8a74d472
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue May 30 16:56:38 2017 +0200

    travis-ci: use proper domain for sr-dev mailing list [skip ci]
    
    (cherry picked from commit bce1db4fce2a7cd75a8103916e1361b9c94d6f64)

commit cda757b682e0a61a9e9c9e6e9f83be4f899aa364
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue May 23 18:07:54 2017 +0200

    core: fix mem_summary comparation when SIGUSR1 is received
    
    From http://www.kamailio.org/wiki/cookbooks/4.4.x/core#mem_summary
     1 - dump all the pkg used blocks (status)
     2 - dump all the shm used blocks (status)
     4 - summary of pkg used blocks
     8 - summary of shm used blocks
    
    (cherry picked from commit b8750364571beeca6612b31a2948d62bddedc805)

commit 9e343f3585a148f9a117195f179723e74bc475e8
Author: lazedo <luis.azedo@factorlusitano.com>
Date:   Tue May 16 16:56:07 2017 +0200

    registrar: proper linking of xavps in the xavp_rcd
    
    - avoid leaking of shm when using save() in async operations
    - part of PR #1111
    
    (cherry picked from commit bb3840161acd3b2dbe41001ebfb2bd779bfd68d0)
    
    Conflicts:
            modules/registrar/lookup.c
            modules/registrar/reply.c

commit d480941d52756a974e9f473b0474e4675c84f862
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat May 6 08:56:52 2017 +0200

    msrp: fix missed break in parsing pv name
    
    - closes GH #1122
    
    (cherry picked from commit c32ba91fbbe59e144ddcb40be33b3379bcf3d64d)
    (cherry picked from commit 1686d9d7519a3a72293245687d307f0d99a2b503)

commit 548acd5f024c655ac1bc8f8bc31b3fe9ce79ebaf
Author: Luis Azedo <luis@2600hz.com>
Date:   Fri Apr 14 22:56:01 2017 +0100

    kazoo: backports & fixes

commit e0dc5f12d6bca304ad359d955ce24948613c2055
Merge: 9df06be7a d432ecbde
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue May 2 17:03:54 2017 +0200

    Merge pull request #1114 from sergey-safarov/spec_update9-44
    
    pkg/kamailio/centos/7: mod kazoo enabled default build

commit d432ecbded84fcf68668de0db3a4ba13f9745da2
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Tue May 2 10:07:22 2017 -0400

    pkg/kamailio/centos/7: mod kazoo enabled default build

commit 9df06be7a5d97154374f2e53b39c47692cda99d0
Merge: 55d62e964 e71ed2da0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Apr 27 23:02:50 2017 +0200

    Merge pull request #1091 from sergey-safarov/spec_update8-44
    
    pkg/kamailio/centos/7: Updated dependency lib name (librabbitmq)

commit 55d62e964f68b08db0072ef321efa3170ef2024c
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Apr 27 19:05:35 2017 +0200

    pkg/kamailio/deb: set LIBDIR for all rules
    
    * default path to modules was wrong
    
    Fix #1096
    
    (cherry picked from commit 86c4168d2306b6648cdaaaa0540ece154d959727)

commit 642f096ed2ba9ea5b53696197f863a7e586b88c6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Apr 26 15:23:24 2017 +0200

    dialog: more safety checks to detect if dialog is gone after event route execution
    
    - avoid execution of script callbacks for event route
    - related to GH #1059 and #1069
    - backport of a8b7f94a5c305e14313d5528792f9ca6518d5969
    
    (cherry picked from commit d95f09670a0d3d0c997c7f1c94eb66bdd4c4da0f)

commit e71ed2da08d64acf5156b05dba4db784c2301bb5
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Sun Apr 23 00:35:24 2017 -0400

    pkg/kamailio/centos/7: Updated dependency lib name (librabbitmq)

commit a32af10e91e72dd2b29e143100c8707c0655784c
Author: Lucian Balaceanu <lucian.balaceanu@1and1.ro>
Date:   Thu Apr 20 14:33:50 2017 +0300

    carrierroute: fix in check if conf file writable

commit 3d166a443c2de24a6b742a1bb5f5dd7f2dfac98b
Author: Federico Cabiddu <federico.cabiddu@gmail.com>
Date:   Tue Apr 18 23:00:03 2017 +0200

    tm: don't reset uac reply if in a continue route
    
    (cherry picked from commit 152504f108d39ae33c845f7e74a889411868033d)

commit 4febe26a166390b47bf63775cdeea71bb9089781
Author: Lucian Balaceanu <lucian.balaceanu@1and1.ro>
Date:   Thu Apr 13 16:52:50 2017 +0300

    p_usrloc: fix to update expires column when db_ops_ruid set

commit 459efbd4f32e69001afadd85087cb87b0410b955
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Apr 6 15:14:45 2017 +0200

    kamailio.cfg: handle retransmissions also for request within dialog
    
    - skip ACK, it is not a standard transaction by itself
    
    (cherry picked from commit 868f9996f39dd76707ed09fce980893bab7c31bc)
    (cherry picked from commit a5e3a8822bf491516ac3d7ff0fc8ed18f5e26124)

commit 4f785ac67696e5de8aa6e888de69a6180214784f
Author: Camille Oudot <camille.oudot@orange.com>
Date:   Mon Apr 3 20:49:51 2017 +0200

    core: parser - allow more chars in mime type
    
    (cherry picked from commit 5bb4eb4d6546e2d0a2d911b09797172a0a2a2b83)

commit 406c02f7b76ada56d6e1f73e763fecb05c1f51c5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Mar 31 12:56:52 2017 +0200

    tls: do kerberos and zlib init checks only for libssl < 1.1.0
    
    - using string matching inside libssl compile flags is no longer
      reliable
    - reported by GH #1050
    
    (cherry picked from commit e59fa823b7b9513d3d1adb958d5e8ec055082d83)
    (cherry picked from commit b12ac4ea9efae41b83a2664ea4f25b1d59bc2032)

commit 98729f05a8e1b9b7edb1a1009075fc4a7bfcfd0a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 28 15:59:03 2017 +0200

    pv: proper evaluation of pv param for param.count transformation
    
    - reported by GH #1041
    
    (cherry picked from commit 964557553fd39fca1de35cf7d2f9e64134da7495)
    (cherry picked from commit 26080154471b41198b1bd1df40fe5f1a0f461c8c)

commit eede8862900030f195ef31f476cea50ab1b56230
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 28 15:37:59 2017 +0200

    pv: fix for param.count transformation with pv parameter
    
    - reported by GH #1041
    
    (cherry picked from commit f151c26b49d483efbbb27acbb72950d79b8c563d)
    (cherry picked from commit a032c4c630ea8eae8fc717bc8d2f5aec956e69e3)

commit e20b38e0084c1f89c43a921a8a2affbea060aaa5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Mar 27 20:59:30 2017 +0200

    core: safety check for retrying dns cache find
    
    (cherry picked from commit 9a56b88c1438e2d4f0c5b57c71bbe4e904b1a8e4)
    (cherry picked from commit 3883a3174707bbaa3ce836faca035bae9c90c456)

commit fc4cfe984ef160db96e206c45610b05fe32aa455
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 21 12:28:47 2017 +0100

    siptrace: avoid creating proxy structure twice in trace_send_duplicate()
    
    - can happen when dst parameter is given, resulting in mem leak
    - related to GH #1040
    
    (cherry picked from commit 8cd0f0be8bda6a903eab8c0ef610cb00b8ba8359)
    (cherry picked from commit 97c6e811814e85b9845993a6b41994f70c57d2c4)

commit eb67c0ada2934f2d212645e8a7315eec6e368c4f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 21 02:39:00 2017 +0100

    textops: safety check of allocated memory inside append_time_request_f()
    
    - reported by GH #1040
    
    (cherry picked from commit a51a32633429d761f8bc742386b6f6bcb6b38522)
    (cherry picked from commit 0ff6b710d0a5729778b3de1a15666e29d73aec56)

commit 65891fa1051a08a261846db8926937dfcad9f518
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Mar 16 08:49:36 2017 +0100

    Makefile.defs: override the ARCH for amd64 to x86_64
    
    (cherry picked from commit 1adf88e7211400b8d56a6dc7c463e60a2b697b80)
    (cherry picked from commit f5889fcc9e42cae01c58357a622d2270f994b8d7)

commit d797574e8f2b152dd2b7f6a1db51724cc4461797
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 15 13:28:44 2017 +0100

    Makefile.defs: explicit retarget of amd64 arch to x86_64
    
    - it is supposed to be done by the arch detection scripts, but it may
      fail on various systems having a different output than expected
    
    (cherry picked from commit 2bea7f5a4b2d2ddba9d9a8f050b2ceeb79d2381c)
    (cherry picked from commit ae2b828b49cd3aaa771a81b4c6b8893d9bad619f)

commit e525cbc7a9b4321b6a91feb82b9b91322c6f0b98
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 15 12:22:06 2017 +0100

    Makefile.defs: enabled fast locks for amd64
    
    (cherry picked from commit e6a84b43e06f081e53bf60df137d4262f36c3c7a)
    (cherry picked from commit f5e2f30fbef15d4310dd20828a70613971e67c28)

commit b5427f85590bd9e5111669cbd665ca7b5181797c
Merge: 99c0c6ea1 40cce572e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 14 20:12:29 2017 +0100

    Merge pull request #1029 from jchavanton/4.4-dmqfix-backport
    
    4.4 dmqfix backport

commit 99c0c6ea153ca4299b22c3639cfd3613d0711f43
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Mar 13 18:13:51 2017 +0100

    dialog: more checks for dlg_set_timeout() params
    
    - related to GH #1011
    
    (cherry picked from commit 618888cc9497ae5c478c41d7b0efc27731b42b22)
    (cherry picked from commit 943a5b2c12426b5b6d3839ae899411f4e1a42414)

commit ab5802239d850010b2f33a7b0a627232cd15e3b9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Mar 13 18:13:05 2017 +0100

    core: more safety checks for getting int values from cfg function params
    
    - related to GH #1011
    
    (cherry picked from commit 97b3ce7c8991774f42c013122704f32e2822ac58)
    (cherry picked from commit fb859b9388ddfa82e7c6cf098940d920fead055b)

commit f2b6cb7f94acd6fa3f9b802e86b09cde0903cd68
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Mar 13 14:43:16 2017 +0100

    dialog: fix for rpc list dialogs release of the profile locks
    
    - reported by GH #1032
    
    (cherry picked from commit c986a820042764fd7025be0a0766991181a0b0ea)
    (cherry picked from commit 28672ebc9dceb09221c720bdd052ac23f274580f)

commit 40cce572ebb30dd63470ab59e15e8751c655f4a2
Author: jchavanton <jchavanton@flowroute.com>
Date:   Tue Dec 27 14:38:48 2016 -0500

    dmq_usrloc: adjust locking sequence
    
     to avoid dead-lock
     get_urecord_by_ruid returns with the lock if the record was found

commit d782f0d052f7092576b4935987b9ee25beb0f771
Author: Carsten Bock <carsten@ng-voice.com>
Date:   Tue Oct 25 17:37:36 2016 +0200

    dmq_usrloc: Use ruid for saving/updating contacts

commit 2e85e0b58170e490cf3544eb22d250bb94823474
Author: Federico Cabiddu <federico.cabiddu@gmail.com>
Date:   Tue Mar 7 14:42:57 2017 +0100

    core: initialize dns cache used memory
    
    (cherry picked from commit d3710d365272566656dede08463386a1effeef5e)

commit 9812a49fb7fa58b9d9f2b29ac963011d4d684bcb
Author: Federico Cabiddu <federico.cabiddu@gmail.com>
Date:   Sun Mar 5 10:14:56 2017 +0100

    http_async_client: fix memory leak in pkg memory in case of error
    
    (cherry picked from commit bd35608f1799f27c725815637c2c8e99b32d53a2)

commit b67b5136501364721567ad07c7cb6d2024ae9243
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Mar 2 22:16:25 2017 +0100

    mtree: safety checks for range within the chars table
    
    (cherry picked from commit 980c861e39b1fb27de8d7c10390566e516e37fcc)
    (cherry picked from commit a5aab2ad5dad7d4c7c06cfc4f99703ab59586505)

commit e49eca307a2e442bb6f362e8317be2a4750cbe25
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Feb 22 22:24:58 2017 +0100

    rtpproxy: allow 0 as value for ice candidate avp
    
    - reported by GH #1003
    
    (cherry picked from commit 0bac7c351ba444c6693c76a7dd2fce6e93b9885a)
    (cherry picked from commit 71b9cb347eb67489adda62148eb6ebdf0a681217)

commit 4a41962b0389f37dbc4d905afd25e2cda5e7c39c
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue Jan 31 19:23:53 2017 +0100

    presence: remove transaction creation from publ_notify_notifier() and mark_presentity_for_delete()
    
    * publ_notify_notifier() and mark_presentity_for_delete() are
      called inside a already created transaction
    * adding transaction handle for msg_presentity_clean()
    
    fix #960
    
    (cherry picked from commit 6d157a4af708108b90a338614869de0ceeb94b68)

commit 5b34d844c2cf6caba5888f26789c1472802fb0b8
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Feb 17 13:25:31 2017 +0100

    usrloc: fix ucontact shared leak
    
    keep a copy of urecord if mode is DB_ONLY as it is static
    preventing leaking ucontact to shared memory
    
    Fix #1000
    See #997 for details
    
    (cherry picked from commit 819f9eae0066a94081b0805dadf69bd57050e4f0)

commit 36814fafb02980e6165351e7cbe1acac0d11248d
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Feb 16 12:19:41 2017 +0100

    pua_reginfo: fix memory leak when usrloc is DB_ONLY
    
    As release_urecord() clearly says:
    
    /*!
     * \brief Release urecord previously obtained through get_urecord
     * \warning Failing to calls this function after get_urecord will
     * result in a memory leak when the DB_ONLY mode is used. When
     * the records is later deleted, e.g. with delete_urecord, then
     * its not necessary, as this function already releases the record.
     * \param _r released record
     */
    
    (cherry picked from commit 1b0e1c3cbdd162fcd438a7d9bb412ddce73bc214)

commit 4844facff6b6ae66d7d1d9abd3c45bd470d5dfdc
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Feb 15 12:53:59 2017 +0100

    sanity: reset proxy_require hdr parsed field after freeing
    
    (cherry picked from commit 06e219158131c2397a96bf5d3373c96752d7fd20)
    (cherry picked from commit 51949e50e0308c9ec41cd95bfe2be3d64e24802d)

commit b81a228b5a680dff1dff911f1020c8494fbee935
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Feb 15 12:48:59 2017 +0100

    core: free parsed Required header structure
    
    (cherry picked from commit d31558b31fd607f842caa04d85ce8870f6fc1740)
    (cherry picked from commit 8a02d964ffc6145b3ae2f349b8d25aff4dacde3a)

commit fd1d83d4bf5ef9e13a7dfd33e1598e2411648ac1
Merge: 239f3cfab 2ed757506
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Feb 15 07:26:19 2017 +0100

    Merge pull request #987 from sergey-safarov/spec_update5
    
    Set of updates for CentOS packaging

commit 2ed7575068e41e148fee5644eac4d9b4bd401ef8
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Mon Feb 13 09:38:26 2017 -0500

    pkg/kamailio/centos: Packaged http_client module files

commit 8292370e1b18538ca78dae76409abfe8a0862492
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Mon Feb 13 08:59:44 2017 -0500

    pkg/kamailio/centos: Fixed environment vars in service file

commit 63f2f0f7e8ab1ec4904334bac3ee378e8292cc7e
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Mon Feb 13 08:57:45 2017 -0500

    pkg/kamailio/centos: Updated SPEC file to match current 4.4 branch

commit 239f3cfabf39929a2e60d404628e3b49df6917c9
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Sat Feb 4 00:47:52 2017 -0500

    pkg/kamailio/centos: Added SPEC file for CentOS7

commit a3324ac68c3df64fac06e4816f5cb6c5cd507cb5
Author: Luis Azedo <luis@2600hz.com>
Date:   Wed Feb 8 15:48:28 2017 +0000

    Revert "kazoo: set proper ranking for consumer workers"
    
    This reverts commit 8a6c0e21f52af0efa39a3585d53e2f97b2cb90cf.

commit 8a6c0e21f52af0efa39a3585d53e2f97b2cb90cf
Author: lazedo <luis.azedo@factorlusitano.com>
Date:   Tue Feb 7 15:55:53 2017 +0000

    kazoo: set proper ranking for consumer workers
    (cherry picked from commit 744e898189fa84b5aa3d19958b348f9b99d48b41)

commit a321025984d183f9c727fa4c9fcdc1e2e87010bf
Author: Richard Fuchs <rfuchs@sipwise.com>
Date:   Fri Feb 3 10:10:23 2017 -0500

    rtpengine: fix segfault when enabling a proxy

commit 6c6f25b581e083068e9b3832e8f0235a24a88021
Author: grumvalski <federico.cabiddu@gmail.com>
Date:   Thu Feb 2 15:28:16 2017 +0100

    http_async_client: handle 100 Continue from server
    
    (cherry-picked from commit de1c5397847a3660182832a040d9e9c2e737e654)

commit 42f5515df93a182fd33a6c48f1a9dd1850e91965
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Feb 1 12:53:28 2017 +0100

    core: avoid overrun-buffer-arg
    
    > Overrunning array ((struct a_rdata *)rr->rdata)->ip of 4 bytes
    > by passing it to a function which accesses it at byte offset 15
    > using argument len (which evaluates to 16)
    
    (cherry picked from commit 5640f696f5364bb88732807f5f87b4afb7a97ba6)

commit 76765a2e5ca9649d19c3b49a5122e4eaa68e8778
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Mon Jan 30 15:26:30 2017 -0500

    kazoo: fix compiler warning: âjson_objâ may be used uninitialized in this function [-Wuninitialized]
     - closes #954

commit 4180f5bf64b6b4338f99ba0eb7d2146ef86c088e
Author: Minh Phan <pqminh@gmail.com>
Date:   Fri Jan 27 09:06:08 2017 +0100

    topoh: safety check to avoid crash when there is no via header
    
    - based on GH #952
    
    (cherry picked from commit 2367fb52aa94bd06fcbadce7f9ecccdcf6e36c83)

commit bd8ca7573c3b840846f346a97de927fec2d04d6b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jan 25 14:45:51 2017 +0100

    htable: use custom column name for order by in db load
    
    - reported by Sebastian Damm, GH #948
    
    (cherry picked from commit a9ffc2a1f7514a7bd4ff0e294e3bcb50d3a2bf07)

commit e9d576019622059b0b0b6d4d6ca27940662fb605
Merge: d3814d47e c5d76e328
Author: lazedo <luis.azedo@factorlusitano.com>
Date:   Tue Jan 24 12:55:12 2017 +0000

    Merge pull request #946 from kamailio/lazedo-patch-3
    
    tm: apply new updates with Via with updated request

commit d3814d47ec92091dbf524bdabaa3c1fc71ed2c80
Author: lazedo <luis.azedo@factorlusitano.com>
Date:   Tue Jan 24 02:58:54 2017 +0000

    presence: free pointer after usage
    
    discovered when using tlsf memory manager.
    (cherry picked from commit dc518f6973f81b71264036b138dd6293eef58ed2)

commit c5d76e3282fa49e53ee1bc6e25c6a0315f0aadcb
Author: lazedo <luis.azedo@factorlusitano.com>
Date:   Tue Jan 24 01:11:35 2017 +0000

    tm: apply new updates with Via with updated request


===================== 2017-01-18 Version 4.4.5 Released =====================

===================== Changes Since Version 4.4.4 ===========================

commit d0e563e23a1e45111d8236482abd7733fb1f0a28
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jan 18 15:54:15 2017 +0100

    Makefile.defs: version set to 4.4.5

commit 388b441bbff120d3643b22d6084e87c3843df6c0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jan 18 15:15:24 2017 +0100

    pkg: version set to 4.4.5 in deb specs

commit 91f2bf0bba902638788ba13c77cfc57d582d73cc
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jan 18 14:43:37 2017 +0100

    pkg: set version to 4.4.5 in rpm specs

commit fafbc5c78d8f1456a1da28fed68778377524e5e7
Merge: 6dbadcb 18c64d2
Author: lazedo <luis.azedo@factorlusitano.com>
Date:   Wed Jan 18 13:23:35 2017 +0000

    Merge pull request #940 from kamailio/lazedo/db_text_fetch
    
    db_text: implement fetch and memory constraints

commit 6dbadcbc076a78c8ace46af3215a503084eab848
Merge: aa27479 1114fe0
Author: lazedo <luis.azedo@factorlusitano.com>
Date:   Wed Jan 18 13:09:12 2017 +0000

    Merge pull request #938 from kamailio/lazedo/kazoo-patch-44
    
    kazoo: fix kz_amqp_get_zones

commit 18c64d2c9ff1527655055f75aa22e7d68c307874
Author: lazedo <luis.azedo@factorlusitano.com>
Date:   Wed Jan 18 10:00:22 2017 +0000

    db_text: implement fetch and memory constraints
    
    when dealing with large db_text files, pkg_memory is not suitable for
    operating the database.
    
    implementing fetch allows modules like presence & registrar & usrloc
    to query large tables without constraints on pkg_memory.
    
    creates tmp tables in shared memory for query results

commit 1114fe01abdb791379274b4f388317d600d72e38
Author: lazedo <luis.azedo@factorlusitano.com>
Date:   Wed Jan 18 09:19:44 2017 +0000

    kazoo: fix kz_amqp_add_zone

commit c84e8c5269f4823a3dce078bee4afcf583d8ef44
Author: lazedo <luis.azedo@factorlusitano.com>
Date:   Wed Jan 18 08:45:14 2017 +0000

    kazoo: extra logs in hash lookup

commit d4156e946e4ac99f968b8d065932a9d7570404ac
Author: lazedo <luis.azedo@factorlusitano.com>
Date:   Wed Jan 18 08:42:44 2017 +0000

    kazoo: initialize pointers and return default zones

commit aa27479ad204b6826aea03d777af9401ffd26a11
Author: Charles Chance <charles.chance@sipcentric.com>
Date:   Tue Jan 17 22:46:57 2017 +0000

    presence: delay aux_body_processing until after subscription has been updated
    
    - fixes out-of-sequence version when subs_db_mode <> 3 and fast_notify is enabled

commit df5ef6183350d99f77087dd83950ef35466e84a1
Author: Robert Boisvert <rdbprog@gmail.com>
Date:   Tue Oct 18 18:00:42 2016 -0400

    mohqueue: fix pointer for RTP statistics error
    
    (cherry picked from commit dc96dfdee3c6a8e56ed9e5929e444bf8ee2f5cdd)
    
    Conflicts:
            modules/mohqueue/mohq.c

commit 124b6d1b1a614eb6a8cf9c7b5281b4eb038751f4
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Tue Jan 17 14:16:11 2017 +0100

    modules: readme files regenerated - dispatcher ...

commit 3e5def30a8eeae76ac7352a5b9ba4e4a2f83fe9c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jan 12 16:34:35 2017 +0100

    dialog: handle replies to local cancel for cseq updates
    
    (cherry picked from commit fab1b5dc4edc74555b965a6c305d7643629e0225)

commit 869b496334373c7a43b6412d05d446d582be5112
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jan 11 15:22:50 2017 +0100

    dialog: increase cseq after uac auth for local acks
    
    - related to GH #918, #919
    
    (cherry picked from commit b75d4ca219d7185e0a73cc9132760fe05227faa4)

commit 3c53097213f686833a953e69aca0c66c7021b441
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 10 14:26:27 2017 +0100

    dialog: use uac cseq header names from cfg env
    
    (cherry picked from commit a1189074af0946b1a4b57dff795d0f642818ad35)

commit 49370420039936554d87950cec85d5fd22bcdaca
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 10 14:27:06 2017 +0100

    tm: if transaction had an uac auth, propagate cseq headers for local ACK and CANCEL
    
    - related to GH #870, #918, #919
    
    (cherry picked from commit 526ec68fa56cb8066db9da3a4b82f9e20aebf8c3)

commit 693e70cdd787beccc6edb7ed1c721a2960536cc1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 10 14:25:13 2017 +0100

    core: keep names for uac cseq helper headers in cfg env
    
    - shared by dialog and tm for cseq updates after uac auth
    
    (cherry picked from commit 391dce68f712d7b38eb48188f3ae2413da0f70c6)

commit 6dd3f8c7c0c42a25871e15a56e751d36eb305e97
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 17 11:54:57 2017 +0100

    tm: generate from tag if not provided for request_within()
    
    - related to GH #931
    
    (cherry picked from commit 96ca5c95e9380a56d886fad699a5966b7b00f5b6)

commit 035ed5d420cfd46ab5af0aa37ec52fa1c4836fe0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 17 13:40:26 2017 +0100

    statsd: include usr_avp.h instead of usr_avp.c
    
    - backport of commit 344baa0bae643f235e85ad8f670f412acadab0f1

commit 9902d21f5f3f76ee93cd1a9a0a63c981b1c9eb88
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Dec 12 18:32:34 2016 +0100

    xmlrpc: init delayed context for rpc_fault()
    
    - may fix the GH #878, reported by Juha Heinanen
    
    (cherry picked from commit 6b3ce6376258211d317620d4d96bd3d88788b6a3)

commit 0f7a688d8670f171be0d4f4f36c5c7a005f946a0
Author: Guilherme C Pilon <gpilon@daitangroup.com>
Date:   Wed Nov 30 13:41:12 2016 -0200

    ratelimit module not working properly when FEEDBACK algorithm is used - deleting unused lines
    
    (cherry picked from commit 22b040c944228cfc7795f4481465dd230bff6f99)

commit 864c29081177204d238006f6308a6b09f982d6f5
Author: Guilherme C Pilon <gpilon@daitangroup.com>
Date:   Wed Nov 30 13:33:44 2016 -0200

    ratelimit module not working properly when FEEDBACK algorithm is used
    
    (cherry picked from commit bb768faae3367c1209e735de71ab9fdcd5d068d5)

commit 125eab75cc5febcea92eddadca4be2a83f70d7a1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 17 13:32:05 2017 +0100

    kamctl: regenerated db creation script to update default datetime value

commit 7de5934632c0b00387c3ebc004cd86eb677711ab
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Nov 27 15:38:56 2016 +0100

    lib/srdb1 - set default datetime value to 2000-01-01
    
    - 1900 is before the start of epoch and can result in unexpected
      behaviour with some time related functions
    
    (cherry picked from commit 3efa32c9cdfc7a7bdc913724fba92f7b7a76434c)

commit bc5d67854da18c1535abf2a54c7b8a5e21eea0cc
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 21 12:15:54 2016 +0100

    rtpproxy: added note about rtpproxy_manage() afte t_continue()
    
    - or after any other function that does suspend/resume of the
      transaction
    - it behaves as used in failure_route
    
    (cherry picked from commit e128d46e6a675b8cf5f8b584850c08cd16328af4)

commit 7918a50ce645eb09d77e701526392a638f703cda
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 21 12:12:10 2016 +0100

    rtpengine: added note about rtpproxy_manage() afte t_continue()
    
    - or after any other function that does suspend/resume of the
      transaction
    - it behaves as used in failure_route
    - related to GH #855
    
    (cherry picked from commit 63f3e24ba2c0b9749f5c5d3268c633c629e20f89)

commit 95ed5f71854e747b2336b8bd3b0e7f0c4b1b5a5b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Nov 17 11:00:51 2016 +0100

    tmx: added note to t_continue() docs about failure context of executed route block
    
    (cherry picked from commit 29635011f94a142fe5cde32558b8dfd095dd7820)

commit 676b0bedfd045d7e7ffbfa5e5ecb137f8603e643
Author: Mikko Lehto <mslehto@iki.fi>
Date:   Mon Nov 14 15:50:54 2016 +0200

    modules/dispatcher: fixed typo in documentation
    
    (cherry picked from commit 72f28fdcfd88b4f915156a992a6b1f12db79edc5)

commit b1502145939ca9aec0ae73d93477eb5492e8536b
Author: Armen Babikyan <armen@firespotter.com>
Date:   Sat Nov 12 22:57:41 2016 -0800

    memcached: fix deletion bug
    
    (cherry picked from commit c5f6cce69d7cae48f0769d89e9098a8526089055)

commit 97d70c15a35195f0345c4143f29962b2bd0632de
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Nov 11 14:32:31 2016 +0100

    jsonrpc-s: added section to show examples with rpc commands over jsonrpc
    
    (cherry picked from commit cdd703dcae172ad0692877addaa9fea80c06defc)

commit 61a30f8432100118a1b9d3ed731f986900f80352
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Nov 10 09:45:02 2016 +0100

    async: updated to the name of functions for timers instead of macros
    
    (cherry picked from commit 60269ead4973b745f529e42c6e2c60287a040c64)

commit 1e2dcd44036577377dce14bd71a9f238d4c7e355
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Tue Jan 17 10:31:12 2017 +0100

    modules: readme files regenerated - lcr ...

commit 078fc57346efaa2944aa234166f21fd0a03c76bc
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue Jan 17 10:26:05 2017 +0100

    lcr: fix documentation
    
    'dont_strip_or_tag_flag' module parameter was renamed to
    'dont_strip_or_prefix_flag' at 8c0501bfaa27acab9721953e8c1551687c96edf2.

commit 2250b3e562d6dbcab1477c7ed5a71daa7e462bb9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Dec 22 09:15:22 2016 +0100

    rtjson: enforce send socket with the attribute from json
    
    - reported by Diego Nadares
    (backport of 1d23f81353dd7a68b0f537e9a064587a5f733bb7)

commit 39874e415c754263e6c847bb19d89c5ef615e376
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 20 08:36:20 2016 +0100

    dialplan: safe checks for match expression
    
    - test if null to avoid invalid use in comparison functions
    - reported by Julia Boudniatsky
    (backport of commit 3a48835cf68f583ff2fbd7cec9bd76ddc0a1b6fc)

commit 30f53f1484144d2069f5d3724a65e160bbb6adb5
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Dec 15 09:33:45 2016 +0100

    dialplan: fix avp values when using PV_IDX_ITR
    
    manual backport from cc2c3de5e859861b59265cc5a0d41ae968a08149

commit ad00a617dec57073a1e9facc64cf3a64904c6592
Author: Federico Cabiddu <fcabiddu@libon.com>
Date:   Tue Nov 29 12:10:36 2016 +0100

    sipcapture: fix captid extraction from hep header for v3
    
    (cherry picked from commit 969f4600193139d95b5f876378e0c92d4eab9a7a)

commit 6291792ecaee0bfb1855bf6ba4560e4d6af09f3e
Author: Federico Cabiddu <fcabiddu@libon.com>
Date:   Tue Nov 29 11:35:14 2016 +0100

    sipcapture: perform ntohs on src and dst port when payload is not SIP
    
    (cherry picked from commit 1fbca28c3a6e90ca478d152e116aca5e64780e9e)

commit 689d12741b86f101d00b1bcd348c3093f47d5158
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Dec 1 12:19:49 2016 +0100

    tm: fix wrong CRLF position when building local request when reusing received buffer
    
    - should affect only configs when tm parameters for reparsing request
      were changed from their default value
    - reported by Helio Okuyama
    
    (cherry picked from commit 6db0e6b5a0b8ef48250abd7bfaedd15fc4860ddd)

commit ae7f6d49ed1caf4a133f72012196a876d258e159
Merge: b1e3d39 973e8ef
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Nov 30 11:14:08 2016 +0100

    Merge pull request #869 from giavac/gv/correlation_id_backport
    
    sipcapture: remove workaround of correlation_id

commit 973e8ef6e2f0323168f42ff9f77a86862604b51d
Author: Giacomo Vacca <giacomo.vacca@gmail.com>
Date:   Wed Sep 28 14:49:42 2016 +0200

    sipcapture: remove workaround of correlation_id
    
    - Compatible with Asterisk >= 10
    
    (cherry picked from commit 6cb0bec7d2491ed3365dc237fc1d8608af246c3a)

commit b1e3d396bb8ef8989895d9017bc8a98a85ce307f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Nov 30 07:39:00 2016 +0100

    rtjson: fix for replacing to header based on json document
    
    - reported by GH #868
    
    (cherry picked from commit 1d5f39a23f1b92575153c5bb2ba87f15f80fa827)

commit 91dcaafcc02af38754e8ceab3f7164595975a6d7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Nov 29 15:14:52 2016 +0100

    kamctl: regenerated database schema

commit 954b298097dcaba9cc0b26f9020ab585f299dceb
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Nov 24 17:46:36 2016 +0100

    lib/srdb1: schema - don't set default value for text/blob columns of topos
    
    - not allowed by newer versions of mysql
    
    (cherry picked from commit 0eea31b4b934de45e8bc5091f7ba5a9d486dd16f)

commit e292e044800611eb3f27a17193af6a3ec66fdd83
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 28 19:09:03 2016 +0100

    pua_dialoginfo: safety check of paramters for __dialog_sendpublish()
    
    - reported by Davy Van De Moere, GH #865
    
    (cherry picked from commit 1d1d2246c8f89aa6eda52bda479014be0a10b937)

commit c5d3bd8f48bc333dbf63584f463c02e9f546a54b
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Fri Nov 11 12:31:18 2016 +0100

    modules: readme files regenerated - dispatcher ...

commit c959ae301d6cc771e4d9e24a63ce77794ae6faac
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Nov 11 12:21:46 2016 +0100

    dispatcher: docs - removed extra spaces and rephrased sample config text
    
    (cherry picked from commit 74581f3a500f0f5eca408991a99dc687ad4bf425)

commit 1d1e7c87c117dae367b3dc476fe1bbe6aa5aeef5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Nov 11 12:15:59 2016 +0100

    dispatcher: updates to sameple config file
    
    (cherry picked from commit 0b3d6ad3238d28c1c3aaf8c39052405ffdaa21df)


===================== 2016-11-09 Version 4.4.4 Released =====================

===================== Changes Since Version 4.4.3 ===========================

commit 4ae9f8a97cbea9004454d3d8a56394bf8b017f87
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Nov 9 14:25:42 2016 +0100

    Makefile.defs: version set to 4.4.4

commit 610b040bc8884d7354da3f489e00a7e0ecd1c3ea
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Nov 9 13:40:21 2016 +0100

    pkg: version set to 4.4.4 in rpm specs

commit 570663ae61c20449a0d0d840868cd0b225bf2d24
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Nov 9 13:03:21 2016 +0100

    pkg/kamailio/deb: version set to 4.4.4

commit c5f34b50ae910eca44a0fd9d2564d4451617ba00
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 7 17:22:27 2016 +0100

    textops: handle return code for parse_headers()
    
    (cherry picked from commit a4da385baf396a3ef123f3a19ec314126d6f4822)

commit 5d9aeb79ed0b2511b58b23f07a8b9d80b48ed365
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Nov 6 22:55:11 2016 +0100

    pv: return false if pv_unset() fails
    
    (cherry picked from commit ce745f3837a668b67506bfd404c7ef619936de7a)

commit f9b5b08ea48923a6eedfb53978ff2d18fa2ac793
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Nov 6 22:49:53 2016 +0100

    pv: pv_var_to_xavp() - proper test for type int of script var
    
    (cherry picked from commit de65e91dc69d41277d2ba9459f0f82bcf80a01f5)

commit 691fc954638f7cca0843c4334b0317c0d9056697
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Nov 6 22:40:42 2016 +0100

    corex: handle return code for ftell
    
    (cherry picked from commit 5488a913c53d16449146625da278eec8779fdbc5)

commit 9e38edfe368c2433f5bc418b211c7d8afa46c420
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Nov 5 13:32:05 2016 +0100

    usrloc: handle return code when registering the timer routine
    
    (cherry picked from commit 9a152cbd15a84191418ecd3bbb56dff48438bfd1)

commit 2c6719c846a8d0bc6d2af5eae1bd6cd52f4cedfe
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Nov 4 11:57:55 2016 +0100

    tm: print warn messages when failing to update r-uri and path
    
    (cherry picked from commit 9f9e3162cd92b564323c9e77689f57c9dd0600bc)

commit 028a9698fd73f8db393f0b3a52d92c44c71591c6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Nov 4 09:49:50 2016 +0100

    app_lua: safety check of returned anchor before using it
    
    (cherry picked from commit f109109a194abcc105f6d6a2e398d28e21870941)

commit 2bee2094cdb212334b35ad438d0bfafd2409e3a8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Nov 3 12:55:31 2016 +0100

    auth_ephemeral: re-ordered code so access to sip msg is done after NULL check
    
    (cherry picked from commit a471e4723206cdce7e9e319af344145b92444698)

commit 6a277771a8b70681f1525da34488a20cc0af658d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Nov 3 08:50:13 2016 +0100

    lib/binrpc: memset addr variable to avoind uninitialized fields
    
    (cherry picked from commit 0cc0b643ee6442a13f257e3d72b826f257501204)

commit 681390a210666a854b4d43ca82bf9fe73f2c4c63
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Nov 3 08:47:01 2016 +0100

    rtpengine: init all struct to get rid of compile warnings
    
    (cherry picked from commit 76e2a0dd05aa1a6fb3148c231d57cd2278ced9d2)

commit 6ee1432b37f9e2c14a99dbf1b8bfd277b2aa66b6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Nov 2 23:37:43 2016 +0100

    mi_rpc: init structures to avoid access to invalid content in case of errors
    
    (cherry picked from commit f609a83e58eccae409a5966a002edba389bbc372)

commit b24b6ee427c4b70c4a0508705f7ca9cd77537c17
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Nov 2 23:23:20 2016 +0100

    mi_fifo: close fifo stream in case of errors
    
    (cherry picked from commit 66bb1a55f4e1b6e8dbfd8fbc3c6625e356daa734)

commit 00b0447dee3d4c061ffde8b2a2660d518e5a2deb
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Nov 2 23:18:00 2016 +0100

    ctl: proper trim for long error messages to avoid out of bounds access
    
    (cherry picked from commit aeb9b5af7099ef3f8d3df02dcde1617fe22e4e46)

commit 4aa0ee1c31f3bd2e4fca7f129e17c8b90a601511
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Nov 2 16:33:03 2016 +0100

    debugger: re-order loop condition to avoid out of bounds access
    
    (cherry picked from commit ef4d771a2511ba6c288d85c6312ea25990a76669)

commit cd0f82569d840fff3ad86dcacebdbfd4875bd912
Author: Emmanuel Schmidbauer <emmanuel@getweave.com>
Date:   Wed Nov 2 13:18:15 2016 -0400

    janssonrpc-c: fix double free introduced by
    cf8d6066afc102d5904dddec0275079885f0ead1
    
    (cherry picked from commit c73a7eab210c7806c9d5fadacac1d3acc0ad6580)

commit d04cab42b74e9dcff08ece0fd2b371d18f9de6bc
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Nov 2 15:42:55 2016 +0100

    ratelimit: close file pointer in case of scan error
    
    (cherry picked from commit 90284a0f43a6782d0241e1e48c0dcfc3b084ddeb)

commit 23a74318bcf9eff7e6782e927abe010be67cef4a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Nov 2 15:37:50 2016 +0100

    mi_fifo: close reply stream in case of continuing due to no response
    
    (cherry picked from commit 29c96974fe80b1f19200314231f961fbf2689673)

commit 72e2f13cba93572399cd09b793652b0fac4fcecf
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Nov 2 15:26:53 2016 +0100

    core: init structure to 0 for pass fd operations
    
    (cherry picked from commit d6d15685e170693048a92a535620117003fe882c)

commit 16ee8fe47cb368cccc7eef675eae9528bc85150d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Nov 2 15:21:28 2016 +0100

    app_python: dname is always allocated in system memory
    
    - pointing it to static string will crash the free at shutdown
    
    (cherry picked from commit 46daf3011d077e359274ff3322440d50625ce5e5)

commit ef41e57c7a2045ae32c99f226aa2d17512be7362
Author: Emmanuel Schmidbauer <emmanuel@getweave.com>
Date:   Wed Nov 2 10:15:49 2016 -0400

    janssonrpc-c: fix shared memory leak on notification requests
    
    (cherry picked from commit cf8d6066afc102d5904dddec0275079885f0ead1)

commit 89c2dd3c1e42b18a4df74970c33ca429c5b73ba8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Nov 2 15:08:42 2016 +0100

    dialog: secure space in case \r\n needs to be added after extra headers
    
    (cherry picked from commit e4d17429ce0437fe9ba2ff7fe3e1ef7947b8f97e)

commit 57a6012fdc07c3405f68330c58ac6f63ce9027f1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Nov 2 14:07:36 2016 +0100

    rtpengine: free addrinfo in case of unknown address family
    
    (cherry picked from commit a311bfba4c03bc261403d8d06fcec1a396b4284d)

commit 4dbabb65047f2b80fea23e4df69a91a7bbd691ab
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Nov 2 14:04:39 2016 +0100

    statsd: one more increase for milliseconds buffer
    
    (cherry picked from commit 8084551cee27f7eea3011a0379622009601e0366)

commit c4cefde21c3c31c8812a844712722f6e1a0bf8ea
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Nov 2 14:01:52 2016 +0100

    statsd: free srv variable in error handling
    
    (cherry picked from commit f6f6c7f55d5d1a60c1beb6091744116a6b85b397)

commit 20b9a54e3890e1880e7a325499b69b0ddd3e731c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Nov 2 13:58:07 2016 +0100

    statsd: increase buffer for miliseconds printing as function uses 21 size
    
    (cherry picked from commit 511b324fc89109de1665144bea0b9162aea35eac)

commit bca73e920b2fa434a46fe5c3c9cab8f69cb1a29c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Nov 2 13:54:39 2016 +0100

    auth_identity: safer condition not to overflow building date header
    
    (cherry picked from commit 1f2b5af4bb8f0dd562ef33589736c9ab4b48b7e1)

commit 1542b89f9b77b84303bc92f9855b144c9d27112d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Nov 2 13:50:42 2016 +0100

    presence: free cloned dialog_id in case of errors
    
    (cherry picked from commit 1d2c16c2c65d65bc6bb348800a935712eacfaca9)

commit 852a82c330d5c73b6c402e519e3d6ec8ac610665
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Nov 2 13:39:44 2016 +0100

    jansson: init structure to avoid compile warnings

commit ca4083f37326188cc5c64a148854b239234515df
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Nov 2 13:36:36 2016 +0100

    xmpp: shift head of connection list when first is closed

commit d29fd2852f9125f88e52312cf6b0f78355a5db3a
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Wed Nov 2 11:01:24 2016 +0100

    modules: readme files regenerated - crypto ...

commit e20230bb36f0ca63cdb0dd81c1d6a87279fe40bf
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Nov 2 09:39:57 2016 +0100

    core: parser/parse_diversion - allow comma separated bodies
    
    - still only the first body is cacshed in msg->diversion
    - reported by GH #841
    
    (cherry picked from commit 47f1ff4d31101c8a8d16a08b3c2f1069b85b3d47)

commit d4169f1b598c6e92a470d2f12259333cec7a5d56
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Nov 1 15:37:08 2016 +0100

    janssonrpc-c: declare variables at beginning of netstring_read_fd()
    
    (cherry picked from commit 30cdc11f30e10bca5821609d86d31ffc1b5bd3c8)

commit 05a7e71cca01325095cfcd2315f6ea66d5c21913
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Nov 1 15:33:16 2016 +0100

    rr: removed unused assignment
    
    (cherry picked from commit 6b1d18c3ba184b60a7be567f23ba4cda6efee4af)

commit 36c939dfe75cec797cfdd7caa3f9aed83d554a28
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Nov 1 15:30:18 2016 +0100

    core: parser/sdp - init pf variable to avoid compile time warnings
    
    (cherry picked from commit d7871cd82e22bfe8444e2d150b38565265343223)

commit b813a47ea5aa8ee322f238e529fc008d1acbcfff
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Nov 1 15:14:41 2016 +0100

    mi_datagram: safety check so the length of mi socket doesn't result in overflow
    
    (cherry picked from commit d4f3c96cdf2efc8db8fa115a35f7ea9545ea4c9f)

commit 2cffb6ffd4e6b082098301cf584f613df1b8072f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Nov 1 15:07:54 2016 +0100

    domain: fixed typo in the log message
    
    - fixed warning on allocating hash_table with a different size than the
      content of the pointer
    - coherent indentation and whitespacing
    
    (cherry picked from commit 96fea675022cc923e4f253454b5095fa810ab313)

commit fd5b6e83ffac3137d43792edd5feef9e4ff7f74c
Author: Mikko Lehto <mslehto@iki.fi>
Date:   Thu Oct 20 23:13:31 2016 +0300

    modules/crypto: fix small typo in documentation
    
    (cherry picked from commit bb62b0f32543e6961972679cfe34c48091329a63)

commit c54fc3126fb5f4139b41e016aaf320a954c2f9ab
Author: Mikko Lehto <mslehto@iki.fi>
Date:   Wed Oct 19 22:14:14 2016 +0300

    modules/dispatcher: fix small typo in documentation
    
    (cherry picked from commit 02482d1b71dc618467978b060bc23bfedaa502fb)

commit 2e7869c8dfd059f4cf5d5d0f7d31fd8a2b2692f0
Author: Mikko Lehto <mslehto@iki.fi>
Date:   Thu Sep 15 07:38:25 2016 +0300

    modules/sanity: fix small typo in documentation
    
    (cherry picked from commit 463569b8b0c2e29da1c82683e8edab0c2f67a9da)

commit e3b8f63bfe3f6e220672c5cb9de1ee8e8150ffa2
Author: Mikko Lehto <mslehto@iki.fi>
Date:   Mon Sep 12 18:31:17 2016 +0300

    modules/nathelper: fix small typo in documentation
    
    (cherry picked from commit 90781fc664ab3b843390c67f6367240a513828c0)

commit e94ff2a8f9347e3d61bb1b5e7e9fdd2f33800a44
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Oct 31 20:48:45 2016 +0100

    lib/srutils: srjson - init number value for null, true and false
    
    (cherry picked from commit 2c22664610de2a007bbb881fead5640048ed24ba)

commit 7e85486f93c101f69df8aec97492ea36a14bd2f8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Oct 31 20:45:18 2016 +0100

    jsonrpc-s: switched to use json helper macros for numbers
    
    (cherry picked from commit 2853500cc73a5dfc66654e6f3555c1c40e072817)

commit 704a21b462dcc740cd8763c1c80229304edc0241
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Oct 31 20:36:13 2016 +0100

    rtjson: use json macros to retrieve int values
    
    (cherry picked from commit b8d6b99a36e57b65f7b7d9fba321e2088032178b)

commit d6daa134c5b908a7c202af213758cff12ba4517e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Oct 31 20:25:13 2016 +0100

    htable: switched to json macros for numbers in dmq operations
    
    (cherry picked from commit 114ec80c58f06c876fc76d884b73095c5dcc8bff)

commit 2a37ae7f9c712951034d41107ab2aa9aec1be736
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Oct 31 20:18:34 2016 +0100

    dmq_usrloc: use usigned int for contact info values
    
    - switched to using json helper macros for numbers
    
    (cherry picked from commit f68f0864c77e8556e48db4d5681ba8dc3ea06f62)

commit e443eba3010a24a02bb73d15f1f7d55cf826b777
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Oct 31 20:12:58 2016 +0100

    dialog: converted to use json helper macros for dlg profile
    
    (cherry picked from commit d7653eb9e7e6ffe21988f2a616deae0c01083c57)

commit eb63cc8639e10a9fe413b6a29c31ab5d07a028eb
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Oct 31 20:10:36 2016 +0100

    lib/srutils: removed valueint field from json struct
    
    - numbers are stored in the valuedouble
    - helper macros added to retrivie fixed type numbers
    
    (cherry picked from commit ecd22245336f2d3d6d2f9404ebfdd4369f19bd97)

commit 5bb035929c81ab16b06694316b67582c599b88ea
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Oct 31 15:28:22 2016 +0100

    ndb_redis: get the srv structure after checking parameter sanity
    
    (cherry picked from commit c5681600a5fdd650a4830e77aca2b4804766ccfa)

commit b38167923bd13abb6bbe4d58a57ed053faa5e68e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Oct 31 13:54:21 2016 +0100

    uac: safety check for new uri to include only printable characters
    
    - related to GH #833
    
    (cherry picked from commit 49dd3315b7298addeaa85dd1628cd0a25ddef5b1)

commit d506cd01562cb23ddd1fa22d662a17b1ed3a5d86
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Oct 31 13:21:27 2016 +0100

    uac: coherent indentation of code for replace from/to values
    
    (cherry picked from commit 00571fd1d07edbfb5950ca6786e898ecbc0b33f5)

commit ac19fef4e452fa7e4e29c41b96527f4a5a70f4ee
Author: albertollamaso <albertollamaso@gmail.com>
Date:   Mon Oct 31 11:47:44 2016 +0100

    permissions: doc typo fixed
    
    (cherry picked from commit 26c41e16512f04b7d83d66432a78f277852a8664)

commit 5ae104fcf8753b13cce40b699249038a9ddac071
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Oct 31 11:44:03 2016 +0100

    core: parse addr spec - removed old style log message prefixes
    
    (cherry picked from commit 1a2918e2d962e2a61a8c185974e49fe9cc09c631)

commit 3b8172225eefcffee04c87851424a58319b3748e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Oct 31 09:37:12 2016 +0100

    core: parser - use square brakets for log messages of addr-spec parsing
    
    - replace angle brakets, which can mislead because they are part of
      values
    
    (cherry picked from commit 7c43359e3c2ebe9aab8a69717225f83737d18345)

commit 5f9c8a2966eccf977fd8c17a715446b180fd8ca3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Oct 28 16:09:02 2016 +0200

    pua: fix propagation of ua_flag - it is func param, not in subs
    
    (cherry picked from commit 62c5d0d9cbd87a6b47c1a211588230ebc2652b8f)

commit 6966751ea1fcf9cde904dc0762f20ff7592ac4df
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Oct 27 23:37:47 2016 +0200

    pua: one more proper propagation of ua_flags in subs_cbparam_indlg()
    
    (cherry picked from commit 1e2060c0e0aa28fc1c2129d5e5fe3e210827e850)

commit 3f7c250a14f77c35e7dc5fd1678513705d859c7d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Oct 27 23:36:03 2016 +0200

    pua: copy over subs flag in subscribe_cbparam()
    
    (cherry picked from commit 82e22fb36c5155d920b60e8cad689578eec8fb70)

commit 33aa99a906bf7f352fc6ba1d021348e314ba76b1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Oct 27 23:29:49 2016 +0200

    htable: earlier init of jdoc used for dmq for proper clean on error cases
    
    (cherry picked from commit 13ff91b1955d7248f8aaaf350675275e425443dc)

commit f82b12c5a34c299b7e37c5f1049ed9cac6e493c4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Oct 27 23:19:44 2016 +0200

    db_postgres: safety check of str buffer pointer before writing
    
    (cherry picked from commit 8ed8d8349dad1e2abd2ac026b4540e9a296c866b)

commit e17aba9e458743c93c5637982afbc62799679719
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Oct 27 23:13:31 2016 +0200

    lib/srdb1: fix the memset to 0 in util function
    
    (cherry picked from commit d7431dd190bb1f4aba8e2373807047ac6fe8db90)

commit 7fdfb649cc4a6992be70a67555aff1f8ef59fc9f
Author: Timmo Verlaan <tverlaan@gmail.com>
Date:   Mon Oct 24 22:19:51 2016 +0200

    rr: use default port for protocol if it is omitted in route header
    
    When using double route headers the selection of the outgoing
    socket is only done on IP address if the port is omitted in that
    route header. This fix defaults the port to 5060/5061 depending on
    protocol so the correct listen socket is chosen. When no socket is
    found it will fallback to the current behaviour keeping backwards
    interoperability.
    
    (cherry picked from commit aaec127fbf1f3be41e49601330d7eafe7353c53a)

commit 306cf67a03f07f55ec8d7049eaaa623f02b1cfd3
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Thu Oct 27 12:57:21 2016 -0400

    permissions: update doc with missing MI and RPC commands:
     mi: perm_domain_dump
     rpc: permissions.domainDump
    
    (cherry picked from commit 5b5ac65cc8adcecf940cf9098d99ad7bbaaddc07)

commit d8e27514f9f576d4653a15ebe8210f0d2739e661
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Oct 27 11:26:43 2016 +0200

    rr: fixed typo in log message
    
    - due to previous commit
    - reported by Alberto Llamas
    
    (cherry picked from commit e310762f71afd3e290e709f2d6786d44ce15ee1a)

commit 402fd315a9239806a669701827e6d47a6df7ddda
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Oct 27 09:41:51 2016 +0200

    rr: more log details when 2nd rr with r2=on is not matching a local socket
    
    (cherry picked from commit b814c5aadc690ceeca75e6ce25bf850ddfc4b44a)

commit e28a66fb3fd42226f477bc0efc8bbac59e5a2456
Author: Holger Hans Peter Freyther <holger@moiji-mobile.com>
Date:   Tue Oct 25 19:29:36 2016 +0200

    pv: Use memcpy to copy len bytes instead of strcpy
    
    The sipcapture plugin stores bytes with VAR_VAL_STR and when
    copying the data it would end up being truncated. Use memcpy
    instead of strncpy and assume that the original string already
    has the NUL termination (or not as with the hep plugin).
    
    Config example:
    
            $var(payload) = hep(0x00f)
    
    (cherry picked from commit 2531dd069bc76f945c5c19253e35fe8b1ef9ed15)

commit 0d82942a6d7c30c577b60e7eda7e88480512847a
Author: Camille Oudot <camille.oudot@orange.com>
Date:   Tue Oct 25 11:32:35 2016 +0200

    mem: TLSF bit ops cleanup / 64 bits improvement
    
    - remove unsupproted compilers
    - use 64 bits __builtin_clzl() instead of twice 32 bits __builtin_clz()
    
    (cherry picked from commit 0683df11e319aa3db45cd9b18af3a3c3b02088a8)

commit 4fb274c9654769468ecd1a7fd386b05bc6123b01
Author: Emmanuel Schmidbauer <emmanuel@getweave.com>
Date:   Mon Oct 24 15:53:29 2016 -0400

    janssonrpc-c: fix memory leak when using janssonrpc_notification
    
    (cherry picked from commit c6b38e437387aba003bef8ef9496d5a7568e9c97)

commit a53c91ccf933a500e1858bac778f192592abe230
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Oct 17 12:27:08 2016 +0200

    dialog: propre reparse of msg structure when doing cseq refresh ops
    
    - triggering parsing from scratch always resulted in improper
      propagation of parsing flags and failure to detect end of headers
    - credits to JÃ¶ran Vinzens for assistance with troubleshooting
    - GH #819
    
    (cherry picked from commit dd0b7e403404a977707aa1524783111190cc5f3e)

commit cc7b222b2752601648fc512d390aaaf1f79b7008
Author: Chocolatbuddha <chocolatbuddha@gmail.com>
Date:   Tue Oct 4 09:14:59 2016 +0200

    Presence: Fix startup inconsistency in presentity hash table
    
    pres_htable_restore(): Remove check of expired presentity entries when
    initially filling the hash table to represent the number of expired +
    valid entries. Because hash.c::delete_phtable() decrements publ_count on
    removal of _every_ expired DB entry.
    get_p_notify_body(): Compensate the fix on hash table restore by
    checking for the expires time on building the NOTIFY. This also fixes a
    problem when a SUBSCRIBE is received for an expired entry before the
    cleaner can remove the entry from the DB.
    
    (cherry picked from commit 1dceaa24ded727aba5870f28fb63e26ed98464f3)

commit 8ded27355991a098f22e1b70f3f5cfaf2e689cef
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Oct 15 18:47:38 2016 +0200

    Makefile.defs: option to disable raw sockets at compile time
    
    make RAW_SOCKS=no ...
    
    (cherry picked from commit 0f3123426d3c9d8e10b8e74557d0791a6df85648)

commit 871f864bd18643f5d5a64d3bbd989fc9fe992ed7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Oct 15 18:39:05 2016 +0200

    ctl: take in consideration runtime_dir when creation the ctl socket
    
    (cherry picked from commit 99f25469c5ce8070210769f9dfe2a16b7333c14d)

commit 293c8dbe6fb93162976d4bc8a8f0a654ba3bbdbf
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Oct 15 18:31:32 2016 +0200

    ctl: split the definition of default ctl socket
    
    (cherry picked from commit 26ed56da94fde2df51fa0e12e67a790922116d37)

commit 4c60c2205923513d15761f248d9e64bdfbe503a4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Oct 14 15:20:53 2016 +0200

    core: msg parser - more log message for get body function
    
    (cherry picked from commit 69a89021f95b19c803cff3919bf38be2cb1dbbd2)

commit 02f4834bc002717bd0527615b07a5f38946d820e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Oct 14 15:12:29 2016 +0200

    core: msg parser - relocated static inline functions from header file
    
    - copes beter with latest compiler versions
    - coherent whitespacing and indentation
    
    (cherry picked from commit a830e5271c4567073cef4fee0cde65f7c0979176)

commit c7d59bd0daefd677e70a8ec2b69e8197c46dbe72
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Oct 13 14:27:44 2016 +0200

    core: print the len for added header in debug message
    
    (cherry picked from commit eb9d4e0fe99b0b81e9f33106e080112be22b28a5)

commit a84f0e1ec76a6999d3a5285e6e23007532d8e232
Author: Phil Lavin <phil@lavin.me.uk>
Date:   Mon Sep 19 21:25:22 2016 +0100

    purple: Fix multiple memory leaks in DB code
    
    (cherry picked from commit a361686b2c872cad6493804eb71b8b8e7e151a4f)

commit 3484127bedefd9ca7dc882ef2b458036b58ce099
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Sep 18 09:32:07 2016 +0200

    pua_xmpp: fixed misleading missing guard for if block
    
    - coherent whitespacing
    
    (cherry picked from commit 52424c5e3748dbad9802a8c92bfda7c8457a9a62)

commit 4ea04ef7c5c317d30c691915b9790bb3c3279c6f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Sep 18 09:17:32 2016 +0200

    presence: remove unused variable
    
    - coherent whitespacing
    
    (cherry picked from commit 1014788aa32468e734cd082d9c770adc7daa05e4)

commit 07a023d03700a73b545a82b9de6930a5e9997e95
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Sep 18 09:16:57 2016 +0200

    db_perlvdb: fixed warning of using static function inside inline one
    
    (cherry picked from commit 0f791078260f2ccfd22a268831fb8dcfb00b24f3)

commit 0b2d30d79670e473c87d119ee305551723ba2f4a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Sep 18 09:09:28 2016 +0200

    ldap: removed unused variable
    
    (cherry picked from commit 564f5c612999d762b24bcaf2047bb063d1d5ecbf)

commit 98ffcd408ff536361faa70c91cd1c570f33005f2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Sep 17 11:38:12 2016 +0200

    pv: adjusted indentation after if blocks to avoid gcc 6.2 warnings
    
    (cherry picked from commit 8c169ba0919e46222f1732d6ab084f499ea2972b)

commit 592aad9ad1cb53ae868cb2a9e6f5e010790e6f58
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Sep 17 11:31:14 2016 +0200

    tm: fixed misleading indentation of block after an IF (reported by gcc 6.2)
    
    (cherry picked from commit b20b076e292fc7720352f64ccabb3caafbfae1d3)

commit 1873b4536e5371e33a7135fafe862c2da81d452f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Sep 15 15:35:04 2016 +0200

    core: parser - removed level and function prefix from log messages for identity info
    
    (cherry picked from commit d7b0c68b825222f139aaa16a73de23fe2c07312a)

commit 81df84b840bcb053400063f5b96d3d84179b11c5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Sep 16 22:06:06 2016 +0200

    tls: updated bio functions to support libssl v1.1.0 api
    
    (cherry picked from commit fe99687608929b19be62412c334cf41e84845f81)

commit 58daa3156bd4d22fa18ca00c99a99c426eeb76b1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Sep 16 14:26:10 2016 +0200

    tls: updates for compatibilty with libssl v1.1.0 api
    
    (cherry picked from commit ef021552162e281c694a4f4b420aa1c642db5066)

commit f97df2e6d4b9c721c97bcbd3b5930530604a127a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Sep 16 12:49:50 2016 +0200

    crypto: updated to be compatible with api from libssl v1.1.0
    
    (cherry picked from commit 8d83571658471f162e35cb54ba7e3baecbe7970d)

commit b29217e8036ead0d09c52616000d6b68d4512f86
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Sep 15 19:33:04 2016 +0200

    auth_identity: still use ASN1_STRING_data() for libssl < v1.1.0
    
    - from libssl v1.1.0, ASN1_STRING_data() is deprecated, but before it
      doesn't exist
    - reported by Victor Seva, GH #685
    
    (cherry picked from commit 8a46f415fb13b76fa3b071eecd7dc0401f99759e)

commit 0f2a129e4f1790f8d6502ac224b480d60126fb09
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Sep 15 16:30:30 2016 +0200

    auth_identity: switched to use pointer of X509_STORE_CTX
    
    - starting with libssl 1.1.0 the size of X509_STORE_CTX is not known at
      compile time, throwing error:
    
    error: storage size of 'ca_ctx' isn't known
       X509_STORE_CTX ca_ctx;
    
    - reported by Victor Seva, GH #685
    
    (cherry picked from commit 46f0f1c0f492c45c1b1bbcfd4a0cc63eb56480ea)

commit 0cd00fc0c84b1d3d80fff9ae809835057bbe6a4e
Author: Federico Cabiddu <federico.cabiddu@gmail.com>
Date:   Wed Oct 19 11:31:54 2016 +0200

    modules/tmx: fix mi command t_uac_cancel
    
    (cherry picked from commit 81be737f29cbb9e4fd67a09cf2207150b2649e91)

commit df4bba3f82b97fb9dc1b86b681060b8250a9be20
Author: Federico Cabiddu <federico.cabiddu@gmail.com>
Date:   Mon Oct 17 09:50:36 2016 +0200

    tmx: fix condition for private copy of the message
    
    (cherry picked from commit 6913d30ccf2ea5a818180053453ace4b482b8d30)

commit e91aec21e7f7a6f86120d1c9167b04d420369294
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Oct 10 11:41:24 2016 +0200

    websocket: catch CRLFCRLF pings over websocket connections
    
    - reported by GH #810
    
    (cherry picked from commit 8fa51e52e9cf9dbae45069c9354cfeb36997dff9)

commit 19b4c38c9612e88cb8664fd21c98d86bb78b71b6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Oct 10 11:40:41 2016 +0200

    core: defined macro for CRLFCRLF
    
    - used in pinging over tcp, makes it more coherent to use
    
    (cherry picked from commit 6649cdf51520cfcc366f2839316c8d45c233421b)

commit 41806a15be4dfb99a2b4c708ffe521bc6ea53326
Author: Dmitri Savolainen <savolainen@erinaco.ru>
Date:   Fri Oct 7 19:23:41 2016 +0300

    presence: fix crush if dialog id is NULL
    
    - check dialog_id is not NULL before call delete_presentity_if_dialog_id_exists
    
    (cherry picked from commit d68d01262e59593e7976afea1b1c458815448e7a)

commit a45e9f67482e896ef83c061e3816af2ca0be5896
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Oct 5 17:19:17 2016 +0200

    websocket: handle CRLF received inside a frame (as SIP layer ping)
    
    - reported by AndrÃ© Freitas, GH #810
    
    (cherry picked from commit 585c60f2cdbf4199b749f74fe795ec583ae9f99c)

commit 28e622cf15b3fb220b5d02e3ad237417bdaaa66c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Sep 20 13:43:01 2016 +0200

    core: print sip message on error related to missing body
    
    (cherry picked from commit 1ed9c2712fcfaf378875bc7e478b9481013841d4)

commit 65cb4a63c572260bcdc96a84a421c66cf3086dcb
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Sep 20 11:40:07 2016 +0200

    core: rely on msg->last_header to get the anchor inside sr_hdr_add()
    
    - might fix GH #789
    
    (cherry picked from commit 9483b5491f82dd18bbdaeee72fd43ec6e1fbfb8c)

commit fad61c4b4e3c3b4430ac9f4d05cb3698f39c1c0c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Sep 18 09:22:58 2016 +0200

    utils: coherent indentation for xcap functions
    
    - fix for gcc 6.2 misleading blocks warnings
    
    (cherry picked from commit 883629aecc143528396fae0f88d434bfc0a047ca)

commit 3a32d65bbe103ea0caae418b946168ce774948c5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Sep 17 11:17:44 2016 +0200

    counters: fixed rpc command to get counter by group and name
    
    (cherry picked from commit f8e47835950fa472ef313b7f303b0989b76f9dbe)

commit 2372150f292363fd8c1705dfd69184e9a898f86a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Sep 15 16:26:43 2016 +0200

    auth_identity: fix misleading indentation level
    
    (cherry picked from commit e5532f05d7b2b6b8d90d01fd9e934a412c7168e0)

commit c0f428406a8ccc7fbbd910150e4d45a6addbae49
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Sep 15 15:30:13 2016 +0200

    core: ut - fix misleading indentation for IF blocks
    
    - reported by latest gcc on debian sid
    
    (cherry picked from commit b7aa4b2cac495397f36fecb2e5bd5a0b80844346)

commit 11971cbb21f9e7cface65251e7a991ffe8c9efc5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Sep 15 15:26:39 2016 +0200

    core: proper code block when saving chosen naptr record
    
    (cherry picked from commit a4b43f962a4493defb3fd608d1d2fad3ee58794a)

commit 7790adcfcd97540aeceb73a8ef556ae827007902
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Sep 15 15:19:37 2016 +0200

    core: fixed misleading indentation for return statement
    
    (cherry picked from commit fc65a118d15e7942adccd332996701cdb6f1b0c7)

commit 80bb7f1559017aafcfc0377538e7c9aa79150ff0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Sep 15 11:16:12 2016 +0200

    presence: expire value kept and printed in logs as unsigned int
    
    - code compacted for extracting subscription data
    
    (cherry picked from commit 770bae3ce1e1f561d575df689df067a7639f64c4)

commit d546d5ea8a1ce442dcaad8592df55459666c7da5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Oct 7 10:08:14 2016 +0200

    core: allow '_' in event route name
    
    - reported by GH #811
    
    (cherry picked from commit 5806703c1ff72243457ff55758f41c3f557d26fd)

commit 64a8927bd1f891c757a44fd31265ba4cd3a3d150
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Sep 28 16:41:42 2016 +0200

    dialog: no need to release the dialog when refreshing cseq
    
    - no direct reference was triggered inside the function
    
    (cherry picked from commit 3f9969d1790dd8d9349c0fa450c589f8038c43cc)

commit 1987a419fbd551b6bc4550fe4f991a2a9d2ed2fb
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Sep 28 11:54:32 2016 +0200

    dialog: wrapper defines for ref/unref operations to get file name and line
    
    (cherry picked from commit be77f34091f63042b4df4d5445fc16c1da3ddcd9)

commit a83ca56b8481d7f0a13f6b4ba7aee7f2dbf4bb52
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Sep 29 09:19:37 2016 +0200

    http_client Terminate exported commands list
    
    The list of exported functions was not terminated, which caused a
    segfault in find_mod_export_record() when reading outside the
    list.
    
    - backport of 166e6d80308adb822c9342cf75ac1ca8158e2f78

commit 94ef3dcaa99680cb12897db27d81d39e0e1e2d5e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Sep 28 09:28:02 2016 +0200

    dispatcher: proper selection of the gateway  when the maxload is 0
    
    - reported and patch by Carlos Cruz Luengo, GH #800
    
    (cherry picked from commit a0521f714a29fe205f83cd176f961344c8d9c79d)

commit e43d82db89e57a47418d4ccdd283d8b2de82e7e6
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Sep 23 11:11:56 2016 +0200

    presence: fix crash when no dialog.id on dialog-info xml
    
    Fix #794
    
    (cherry picked from commit 53b139567cd2c828cf2cf387029396ef55351289)

commit ae2b64d90d0e4652e50afb7d06342f6f6b7bcedb
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue Sep 20 10:44:19 2016 +0200

    pkg/kamailio/deb: add Ubuntu Xenial support

commit 659b912231d81dff8eac2b486f39919f0b7c45cb
Author: Phil Lavin <phil@lavin.me.uk>
Date:   Mon Sep 19 21:27:54 2016 +0100

    presence: Fix memory leak in DB code
    
    (cherry picked from commit 0c36c1b62efef176ae6e9322f14096e3a63ed348)

commit 1c740e85cabe62dec9314589dd0cb0141ffd1010
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Sep 19 20:57:42 2016 +0200

    presence: free db result when get_dialog_state() retrieves no rows
    
    - db result and columns in the query are allocated
    
    (cherry picked from commit 7289417c39939f61ea116fe8dc8d23cdea6401be)

commit ce3d1dd8360567fdf2c8e36fbb4a4238dab8f036
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Sep 16 22:22:57 2016 +0200

    presence: test if event is dialog for checking terminated state in presentity update
    
    - reported by Juha Heinanen
    
    (cherry picked from commit f2ef2a9016f41e97d3466b34b4039e66505d53a1)


===================== 2016-08-14 Version 4.4.3 Released =====================

===================== Changes Since Version 4.4.2 ===========================

commit b93f3a119acb74bbd3aa00b2e5d74d13c9ec82e8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Sep 14 15:40:52 2016 +0200

    Makefile.defs: version set to 4.4.3

commit 872bd92c4b1881e959a5b5837d38c941c1f6ef12
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Sep 14 15:28:10 2016 +0200

    pkg/kamailio/deb: set version to 4.4.3

commit fbfaa30bc9f3e7fe63f05c0a488e3c331436b9c3
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Wed Sep 14 15:16:16 2016 +0200

    modules: readme files regenerated - textops ...

commit d83ee9787f3df8da718b69e41d2e8d452ea2bc26
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Sep 14 15:00:03 2016 +0200

    textops: more details for set_body_multipart() and need of msg_apply_changes()
    
    (cherry picked from commit ba3df9a65aaa60b9236f3ac6d3c748079174ecd5)

commit e6199c49b940013ec79d6ff999de5be209ee2621
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Sep 14 14:49:53 2016 +0200

    pkg/rpm: spec files updated for v4.4.3

commit beaaff9498f6de263823a97e6c13094339da6db7
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Wed Sep 14 14:01:18 2016 +0200

    modules: readme files regenerated - db_mongodb ...

commit 18874f11abadaf300e83e2d166ebffd0246d35da
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Sep 13 13:04:14 2016 +0200

    ndb_mongodb: elaborated the docs for usage with tls module
    
    (cherry picked from commit 361dc128016a4bd6611e802a775f7c395905d9b7)

commit 0f247434cddc1652565b3d088166b8d444948c4f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Sep 13 13:03:40 2016 +0200

    db_mongodb: elaborated the docs for usage with tls module
    
    (cherry picked from commit d8ba1694a63ec65efebe9761ea6e85aef7032050)

commit c4e3bbce01708b19fd1b96ef5ab59eac6b47e318
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Sep 12 17:36:49 2016 +0200

    janssonrpc-c: set the cmd pipe for all child processes
    
    (cherry picked from commit 875c8ed09917825b4d4cd4e3f04e2665d957104a)

commit f5017b0e352a23b000f6927875fcb8758b31ffff
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Sep 12 17:31:36 2016 +0200

    jsonrpc-c: set the cpm pipe for all child processes
    
    - reported by Ian Yu-Hsun Lin, GH #713
    
    (cherry picked from commit 3b31c51bd66737891b549895dea068494929926c)

commit 3ef7c98b352adba67aec25cbb99a0efa8da25600
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Sep 8 14:53:48 2016 +0200

    evapi: fixed the communication with dispatcher after initializing it as rpc worker
    
    (cherry picked from commit 72580f250a2322ac1d5e71a92826fd8b11225b04)

commit 4378bb1816d26d1c4fdaaaf84d3c028da1d670c2
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Thu Sep 8 13:46:25 2016 +0200

    modules: readme files regenerated - avpops ...

commit 27571b0cb2410c1a1525f9d84984130e64bae8df
Author: Olle E. Johansson <oej@edvina.net>
Date:   Thu Sep 8 10:13:02 2016 +0200

    utils Add missing semi-colons to documentation
    
    (cherry picked from commit 31cbec1a9be35beb446d17ee6b21bf753462dc8d)

commit 4236d74386e31681bf2e247eb886ab65d55f5409
Author: rdboisvert <rdbprog@gmail.com>
Date:   Wed Sep 7 16:39:21 2016 -0400

    mohqueue: prevent calls sticking in queue
    
    - query RTP to see if the link is active
    - update user-agent version
    - fixed edge case where REFER response arrives after call closed
    (cherry picked from commit a051bd98652dd92a93175b7cab1e239bab851160)

commit 3b4f39948f5a66352c05d64051023379443cb144
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Sep 7 15:19:40 2016 +0200

    uac: updated the docs for uac registration refresh rpc command
    
    (cherry picked from commit 130951e12941d63e069c6f420be5441b1140fba3)

commit f2c1a96a64b73be0d138e782ea26c1d07bc34dea
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Sep 7 12:10:57 2016 +0200

    core: try to catch dash immediately after ID in define/ifdef
    
    - reported by GH #743
    
    (cherry picked from commit 38b4bbd8b90859b7f90187103f5e7faf04ccd8bd)

commit c42342a4338781c58966312e2318ed39595d1799
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Sep 6 14:54:49 2016 +0200

    http_client: added semicolons in the examples
    
    - use generic domain for examples
    
    (cherry picked from commit b7907be6231bd3eb8160300c87ddf58e3fffb206)

commit 94023685e98106fc4a0246b0878c081d7ad5a1d8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Sep 6 13:05:08 2016 +0200

    topos: proper check if the last char in headr value is eol
    
    (cherry picked from commit b933550a50d61534747e97ce5031c18c4c12f1eb)

commit 4a19097ec7ce7e104fd6c3a5a2117134360220ac
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Sep 6 12:49:34 2016 +0200

    topos: trim values before reinserting the route header
    
    (cherry picked from commit 5bc9394024690e6d931b141d708ecd2815be40ce)

commit 00c3a46f04c097318cf1cf854b2a4a23660c3454
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Sep 6 12:49:16 2016 +0200

    core: macro helper to trim zeros from str value
    
    (cherry picked from commit fe1fdbaf24ac0e4e18527e0bdfd2f2e1b217dc1b)

commit a3edba73dd3671b32bb39ac4d955ce18d50684a5
Author: Camille Oudot <camille.oudot@orange.com>
Date:   Tue Sep 6 10:46:43 2016 +0200

    tcpops: add documentation for tcp:closed
    
    (cherry picked from commit 3d4dda0cdc4dc452ae7f796e74fd6056e09662df)

commit 94fdc2c315c6facc064358190664570ebe2dc1f8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Sep 5 09:23:57 2016 +0200

    topos: more appropriate error log when attepting to delete header
    
    (cherry picked from commit 5f780a202b2132c4d622859a388432f0f6cbb3c7)

commit 5eeef6dfed86159f2ed409ba8c20dc02b2ef255e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Sep 1 17:24:07 2016 +0200

    dialog: ensure all headers are parsed to find the custom ones for cseq refresh
    
    - GH #752
    
    (cherry picked from commit 648704f209d8916a1840ae5f3de8b404edb3d8ab)

commit eea24204cd2b3c1cfb863ce5e5ef2da6fb65758e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Sep 1 14:15:51 2016 +0200

    jansson: test if pkg-config knows about jansson library
    
    (cherry picked from commit a04755addf8f930fa51b1913a1ff5b6361785418)

commit 59b2b76fa07e99176f0a602fae15680b009cd5d7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Sep 1 13:33:23 2016 +0200

    topos: store record route set only for initial 200ok response
    
    (cherry picked from commit 41727b768406383924d87b3d426d5f79df0f45be)

commit 81c75df51676216568aabdba9d431aef7e23f9c7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Sep 1 13:01:15 2016 +0200

    path: added section ids in docs
    
    (cherry picked from commit 040106fc3f7b807d978cb8112c2637419ffb9926)

commit 99c8daf7015eb75d3003680ee9147041f5732025
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Sep 1 12:55:37 2016 +0200

    topos: error message about missing uuid when loading dlg made dbg
    
    - this can be the case of local generated requests that are not handled
      by topos
    - reported by Daniel Tryba
    
    (cherry picked from commit 3fec5152c85844ab4fe950d8564c4cc47eef0529)

commit f450fead2ccb64e9f9fb7971ca514979b5c0d226
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Aug 31 15:05:51 2016 +0200

    core: tcp read - proper safety when priting log messages for read error case
    
    - related to GH #748
    
    (cherry picked from commit 48195546d7b5762be897c748bd3631f6b6a5c1d0)

commit cfa3a6ff2f8ab0d7b2da4c643a24dde28019d24b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Aug 31 14:54:13 2016 +0200

    core: handle return code for tcp read headers/ws before printing extra debug logs
    
    - reported by GH #748
    
    (cherry picked from commit 71b9765462d3df1686274c4b6380c71cf02dc099)

commit 4f8ced942105747f8c797bedf81db2a15ced1cea
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Aug 30 17:31:17 2016 +0200

    dialog: proper refresh of cseq for requests withing dialog after an increment
    
    - reported by GH #752
    
    (cherry picked from commit 73dbed5c33b757476e01098b957694b2344bb0a0)

commit fbec5dbebbcde14ebaca4a0d2b97c0e44a0a87cf
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Aug 30 16:43:15 2016 +0200

    dialog: proper safety test if cseq value in via is larger than hdr
    
    (cherry picked from commit 68a0d66e77354a9a6aaf641efe381098064bf18d)

commit 52484d3a31247f062c4857e4a4196b808e628694
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Aug 30 15:13:26 2016 +0200

    topos: record routing storage for handling sip responses
    
    (cherry picked from commit 24a792d23c30a258a95bfc29fe4dc20bc4bce8c8)

commit 414c07ffc79b1d9f19f6d40e21bffd5d885df24a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Aug 26 14:43:13 2016 +0200

    dialog: refresh cseq update if it was incremented in the past
    
    - reported by GH #752
    
    (cherry picked from commit e349af55168e6b4de97a36d35b475dc295edc2e2)

commit faac1510a473315387d5080f9601a05b4dd8645f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Aug 26 09:26:47 2016 +0200

    core: parser - safety check and clean log messages for disposition header
    
    (cherry picked from commit 8086de823e57689cee134fc6e7947a1c38880dec)

commit e705508954967638ab1c3dbdf11883a128d651e2
Author: Dragos Oancea <dragos.oancea@athonet.com>
Date:   Fri Aug 19 16:34:32 2016 +0200

    core: fix double free on clearing lump
    
    (cherry picked from commit c1ea48cfe38e6c52c50e6f1d698254a789e988f1)

commit ba671c6e234cea45894cffd77c80828688899a4d
Author: Dragos Oancea <dragos.oancea@athonet.com>
Date:   Mon Aug 22 09:58:07 2016 +0200

    core: fix double free on clearing hdr
    
    (cherry picked from commit df83103bb4756b0a3c3e42927396f78aa8210ec4)

commit 9af2b4a12162a27be44a14a06161ab4a9be8ef9f
Author: Dragos Oancea <dragos.oancea@athonet.com>
Date:   Fri Aug 19 15:26:58 2016 +0200

    presence: fix multiple double free on shutdown caught with memlog=1
    
    (cherry picked from commit dc6962fb7e02cf44a145e0bafa455873c73ebc2d)

commit 88886ddb181abcf94f8fc81050e92dac76fd1cd1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Aug 19 08:34:18 2016 +0200

    outbound: use pkg-config for libcrypto in makefile
    
    (cherry picked from commit cfb806e41ecde8392105a12c4e8ace31f1345352)

commit c595cccd8582dfba41a8f0f49946fff55ab65d2d
Author: Dragos Oancea <dragos.oancea@athonet.com>
Date:   Tue Aug 16 19:03:08 2016 +0200

    core: fix some logging in tcp_read.c
    
    (cherry picked from commit d61ff2e4cf49479a811019c2f01ace46344cacc2)

commit 1b812ddc3c100bbc36349c7f367085804d25572f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Aug 9 15:43:23 2016 +0200

    topos: force checking of Contact header for INVITE only
    
    - follow up on GH #715
    
    (cherry picked from commit a91ca63395b9a172c685e051f8a2255a5f1f31c9)

commit af6ec7b2a5c5fdd59ef5cdd932cee4bdd6ccfd04
Author: Dmitri Savolainen <savolainen@erinaco.ru>
Date:   Tue Aug 9 12:01:59 2016 +0300

    dialog: set DLG_FLAG_CHANGED for changed dialog variables
    
    improper flag setting has been the cause of the not DB saving in some scenarios
    
    (cherry picked from commit 43c77faa00021c7c0ee350ecc9965fd517ead92f)

commit 14661f07f38316fc88224db502c0f090142ada8d
Author: lazedo <luis.azedo@factorlusitano.com>
Date:   Sun Aug 7 13:32:50 2016 +0100

    presence: fix crash when field value is null
    (cherry picked from commit 26249603066a13cdb8cb11b45af8410cd7adb82b)

commit be8263d18169311bc0cb1f16feaa945427026ad6
Author: Alex Hermann <alex@speakup.nl>
Date:   Fri Aug 5 14:40:01 2016 +0200

    sl: Reset timeout before sending the message
    
    Fix a common race where the reply would arrive before resetting the timeout.
    
    (cherry picked from commit d2f695d63266a5e1762db2e762396e7943687180)

commit 3db80e091727fa5a4ebf0c832ddf8c7750f19f46
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Aug 5 08:27:41 2016 +0200

    topos: skip comma at the end when reinserting rr headers
    
    - reported by GH #716
    
    (cherry picked from commit 65336276f219454210556b36f3d37a0e957d9c1c)

commit 259aaa2ea705d886e30ad5f133030241a2363c55
Author: Alex Hermann <alex@speakup.nl>
Date:   Thu Jul 21 13:29:38 2016 +0200

    core: Don't bind to IPv6 addresses if auto_bind_ipv6 is disabled
    
    With the following listen statement:
       listen=udp:eth0:5060
    Kamailio would try to bind to the IPv6 address(es) on that interface and fail with:
    
    ERROR: <core> [udp_server.c:369]: udp_init(): might be caused by using a link local address, try site local or global
    (cherry picked from commit 8102ca5f67de979a3597a97f96a05c99d13fb29d)

commit 931612a5311fe25db1ab01d56547ed7f590c6055
Author: Alex Hermann <alex@speakup.nl>
Date:   Mon Jul 4 16:41:18 2016 +0200

    jsonrpc_s: Return an error when JSON parsing fails
    
    (cherry picked from commit bbacab495841ef270f98b743352ad8aca9649b47)

commit c7594a1a06cca096a4d7e5483776bc6c05b2ab7b
Author: Alex Hermann <alex@speakup.nl>
Date:   Thu May 12 16:05:29 2016 +0200

    tmx: Try to get branch_index for all replies
    
    Just check if the tm context is set and return its branch_index.
    
    The check for CORE_ONREPLY_ROUTE is flawed as the transaction may have
    been set anyway (by t_check_trans() for example).
    
    (cherry picked from commit 72ae9283fa969c13ba1c6d599c2844e1473883f4)

commit 8bc5c20f71e6f5222499489170f47356ee0373e0
Author: Alex Hermann <alex@speakup.nl>
Date:   Thu Nov 13 10:55:29 2014 +0100

    mqueu: Convert items to single linked list
    
    The doubly-lined feature is not used as the prev attribute was write-only-memory.
    
    (cherry picked from commit d33e8efc93446c1d5a092740b5a2387dea5de1fc)

commit 5654760725263d7ab023278ae99453be6a6e321b
Author: Alex Hermann <alex@speakup.nl>
Date:   Wed Nov 5 22:14:21 2014 +0100

    core: Enable SIGUSR1 for child processes
    
    Allow dumping of memory statistics during runtime
    
    (cherry picked from commit cf085a870e33bcdef5dad91a3de92f25e159e669)

commit 4c930dcb105ae5abc39bf91d7906fe320b74bdb4
Author: Alex Hermann <alex@speakup.nl>
Date:   Mon Oct 27 14:38:03 2014 +0100

    pv: xavp: log error message when memory allocation fails
    
    (cherry picked from commit fa11a6bd50aa00994c71561b8de8b0dc8659fe55)

commit 7c8811ed44a8822dab28d014c73a09f3eb42f6c0
Author: Alex Hermann <alex@speakup.nl>
Date:   Mon Nov 5 12:40:07 2012 +0100

    dispatcher: free memory on shutdown
    
    Debugging memleaks is easier when the list of alloc'ed shmem is shorter.
    
    (cherry picked from commit db15dbfd66acaba17d525a391c0973d3fa8a7b4a)

commit 32fb71b615e5862e86dc711a32ffe8f0087af0fd
Author: Alex Hermann <alex@speakup.nl>
Date:   Thu Nov 13 16:13:21 2014 +0100

    rtimer: Validate mode parameter
    
    (cherry picked from commit 3c3fa1ef9b984c284c19989544256eb3128b7146)

commit 4034f35d04e543ea55f293af02a73f152dedeb82
Author: Alex Hermann <alex@speakup.nl>
Date:   Mon Oct 29 15:23:19 2012 +0100

    tm: Set tcx.branch_index to picked branch before running failure route.
    
    This makes the picked branch index available in $T_branch_idx for failure_route.
    
    (cherry picked from commit e604493579440f38f2066c4c8301cdfa88137f74)

commit 4838a3b71f2f20e712be7f0fb3ee6c0f3088e47f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Jul 31 11:42:55 2016 +0200

    dialog: jump to error if fails to parse requests in cseq update callback
    
    (cherry picked from commit ee7992d30a73e61af056c47f9bd961c86fdf592c)

commit 985230e4d3a7c4f7eb0eb31161ba9b80bd7faf4e
Author: Rick <dunst0@users.noreply.github.com>
Date:   Fri Jul 29 10:54:53 2016 +0200

    core: msg_parser log output adaptations
    
    - switched LM_ERR to ERR
    - removed ERROR, DEBUG form log message string
    - removed function name from log message string
    - changed LOG(L_CRIT, "BUG: ....") to BUG("...")
    (cherry picked from commit 8baf73ad348fa17c12e54a7b0411f021af98b29e)

commit 56e866ac3d8053eebac3563247b2424492d7fe13
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jul 29 06:25:42 2016 +0200

    http_async_client: fixed small typo in docs
    
    (cherry picked from commit 095d6b41f83bb40610ae68a1390e49374ac7d26f)

commit 978a5331fde323013e51de25e1a6f175d1d879cc
Author: Alex Hermann <alex@speakup.nl>
Date:   Fri Sep 30 16:59:41 2011 +0200

    uac: uac_reg: fix uac_reg_get_byuser()
    
    The calculated hash was compared with uuid hash instead of user hash
    
    (cherry picked from commit fe16198f0d2698cc2bf2f719e0185371484b392c)

commit 2100fdf408ccebd603bf1e92cc4003b28161be07
Author: Phil Lavin <phil.lavin@synety.com>
Date:   Wed Jul 27 14:53:42 2016 +0100

    presentity: don't update terminated presentity entries in the database
    
    - Fixes a race condition caused by, for example, the call being answered
      at almost exactly the same time as the caller cancels. This causes
      a terminated state to change back to completed. The dialog is then
      removed from the database and the presentity entry stays in place
      until it expires.
    - This fix explicitly prevents terminated entries being updated as the
      state machine in RFC 4235 prohibits this behaviour.
    
    (cherry picked from commit 839cf89b02f8817156487a960ff62013e3cde530)

commit bb5e7ab3e107078486a092652c738276f79fe2cf
Author: Phil Lavin <phil.lavin@synety.com>
Date:   Wed Jul 27 11:25:40 2016 +0100

    presence: log when presentity is deleted due to already existing
    
    (cherry picked from commit 3b206c864126a75a00c2c6abe4afed766d278b04)

commit 7805d05df7db754c5f3ffb6c986d91de72a2b4c1
Author: AndreasHuber-CH <andreas.huber@nagra.com>
Date:   Tue Jul 26 09:00:35 2016 +0200

    registrar: Check max URI size of contact also for first contact header
    
    The URI size of contacts is checked against a max size to ensure that it fits into the database column.
    This check was already present before but was done only for the contact header fields other than the first header field
    which made that REGISTER with a single contact were not checked for max size and were truncated later when stored to the database.
    With this fix all contact URIs of all contact header fields are checked against the max size.
    
    (cherry picked from commit c0697d76fc2ae8ea9676aa9a9b57db442b9c678f)

commit 2725e74909646a71555eb630c03acfedaab1b0da
Author: AndreasHuber-CH <andreas.huber@nagra.com>
Date:   Tue Jul 26 08:41:20 2016 +0200

    registrar: Add warnings if contact is invalid and REGISTER will be rejected
    
    Added some warnings in case a REGISTER is rejected because of an invalid contact header field.
    Before, kamailio might answer a 400 Bad Request for a too long contact URI for example without logging any message.
    
    (cherry picked from commit cc0b07d2bcadbd95b2f0dbfdcc873306acca8f2d)

commit 8d29d2d74965004d689deb54327df7325b17e147
Author: Phil Lavin <phil.lavin@synety.com>
Date:   Mon Jul 25 14:39:35 2016 +0100

    presence: fix memory leak introduced by last commit
    
    (cherry picked from commit 3c09579d5e677ac7a27b2386545dc580697934b5)

commit 2f90bc6546a0124812679ccc3ec7d5afe9e549c6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Jul 24 15:19:27 2016 +0200

    core: print content when failing to parse rr body
    
    (cherry picked from commit 1562c31c799cbaeeb7453e73183950f6818534b6)

commit ac0e8c09072cdda56390a0904ba4d2dcbf35b4fd
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Jul 24 08:27:00 2016 +0200

    core: parse rr - removed function name from logs
    
    - it is added automatically
    - coherent indentation
    
    (cherry picked from commit 697c285be7f52c6586b70fa4188e5f5b94f4e785)

commit f56225119b8bb6f92141a357d9a1bd29b2375fd3
Author: Phil Lavin <phil.lavin@synety.com>
Date:   Fri Jul 22 10:45:24 2016 +0100

    presence: Always check if a record exists for this dialog before inserting
    
    - The presence implementation is a little dubious, to say the least.
      It probably wants re-writing at some stage. However, this fixes a
      race condition that could have a number of causes in which the PUA
      is unaware of the eTag at the point it sends the PUBLISH.
    
    (cherry picked from commit 122e9b423d1c25bf34f6d7be995b992ca61c2fa3)

commit 70c9e9284ed6049cce3030960aee784da57ac100
Author: IMS root <root@IMS>
Date:   Tue Jul 19 18:07:17 2016 +0200

    presence: fix potential double free in shutdown routine
    
    (cherry picked from commit 134fcbd3b2fbb91e4206cceb1de9d1a3a0690ef6)

commit 9e25d5339b80af9050dd2c624cf4a0817908391c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jul 19 15:36:43 2016 +0200

    topos: skip options from contact header check
    
    - reported by Daren Crew, GH #715
    
    (cherry picked from commit ab27f988cffcbd060ca84abd118050cb3c5c923f)

commit ff61a6014289f0a8b86ff1d83bab5d13164af7d6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jul 18 10:43:48 2016 +0200

    tls: print ssl memory functions if they cannot be set
    
    (cherry picked from commit 966513b374eef598434c5310a43eac2735adfd2e)

commit 9a5f70a3a61aec7e834d1465ba5e337c87cb3b99
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jul 14 12:34:21 2016 +0200

    tls: added note in docs about loading tls module first
    
    (cherry picked from commit 7d04380ff628d6c99f89b220c904b727a1c0f47f)

commit c30a13969b4734b69bc0a859c98e2a26128dfdfe
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jul 14 12:29:06 2016 +0200

    tls: coherent whitespacing and indentation
    
    (cherry picked from commit a444035d9ede8317d42877afa5e230acb203f6d5)

commit ae500791d60a16c1ab5d2d5ad2f69262fa519609
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jul 14 12:25:06 2016 +0200

    tls: more detailed log message when tls module cannot set libssl memory manager
    
    (cherry picked from commit 8bec45f3d0581747da4b807229b4de64511aa5e2)

commit 9e2eabdd48df02da952f55fc799bddc65c335c7c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jul 14 08:43:05 2016 +0200

    tm: wrap uri values in brackets inside error messages
    
    - easier to spot invalid empty chars
    - useless spaces removed
    
    (cherry picked from commit d3bdf14a2e0ae113092aa33c89698131c020d209)

commit c60b762531a596d292caf7f31af1fe0040c2cdd5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jul 13 10:18:07 2016 +0200

    dialog: cseq update callback implemented inside the module
    
    - keep related code together as it needs access to dlg vars
    
    (cherry picked from commit cc5e86d79538395d2ce03abd10e0ac1ed5d723f5)

commit 0d76481bb77d37b1d50e3c48eee6109113384c6a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jul 13 10:17:40 2016 +0200

    uac: use cseq update callback exported by dialog via core srapi
    
    (cherry picked from commit d236312676a3f7e9a66d5cc904ed6a377f5e36ef)

commit 30e1153b34787347fd9f6c70d5800e02fc3cd109
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jul 13 10:17:04 2016 +0200

    core: add header helper uses after lump anchor insert
    
    (cherry picked from commit 3ccb1b83216b874405b7a63a73b2966aa7f91253)

commit f52eb44494e5eb148cbb7fc8ec889e3fdd1b7499
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jul 13 10:16:23 2016 +0200

    core: srapi - cseq update field update to be a function
    
    (cherry picked from commit 2880cd627802920b20514a62fc90ff450a5c6b30)

commit a6a0aebbe67adfd01fbf9d4d5c55659b3d2cc8ff
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jul 13 08:40:56 2016 +0200

    core: helper functions to add headers with str parameters
    
    (cherry picked from commit 4e49312d0d7a90f0234b8a29036867452771a8b7)

commit 0bc6dd18a55441501a749ac1af659b5c146861e9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jul 12 17:51:53 2016 +0200

    avpops: note that avp_copy() is reversing the order of the values
    
    - reported by GH #706
    
    (cherry picked from commit 5f2c2bb5883a43cb01140b730aa126fc5d2f58d6)

commit 388a1257bfc12dea04382654b03045018a7434f3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jul 12 17:44:39 2016 +0200

    dialog: parse all headers to check if cseq increment is needed
    
    - jump over the full custom header when sending out
    
    (cherry picked from commit c4a57e29883597869838f48d6a9f3a8a76a94240)

commit b3cb7e062aa52f4fc71f90e96b771630f6375289
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jul 11 16:03:07 2016 +0200

    core: added mem_status_mode parameter
    
    - if set to 1, qm allocator dumps used fragments in memory status
    
    (cherry picked from commit 8e2d45cb1cd71ec81852a5c0e329c9b3e9d141c5)

commit 30069ddfd7983c9949760f96d81fe4213b658cdd
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jul 11 15:40:04 2016 +0200

    dialog: buffer-based remove of custome header tracking cseq updates
    
    (cherry picked from commit 5be968a37cfb976339bfb8f3faa8b712c169ed03)

commit 302cb1bc4551129cbc62bb1ad54ebfb1da9c04f3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jul 11 15:38:24 2016 +0200

    core: fix offset to in hdr add helper added recently
    
    - one char was jumped over
    
    (cherry picked from commit 9e5617324f1194f20e4292446922695439e2f9d7)

commit 9cf3dd6086bf810c684429c85a9efb049fe4ef9e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jul 11 13:47:05 2016 +0200

    core: mem/qm - test cfg core mem_status_all to print memory status
    
    (cherry picked from commit acccc6cd6bd1dbb83513175edd391cfb35ed95cc)

commit 92adadfd794ba744e45166c9207b805698a41bc4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jul 11 13:45:41 2016 +0200

    core: mem_status_all - added to cfg core structure
    
    - allow selecting of dumping memory status also for used fragments
    
    (cherry picked from commit 160ce1659e9d3fd376f9fc2d6e56216b190fa529)

commit 183435ad7225abf4c66782080efd8a482631d559
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jul 11 13:44:11 2016 +0200

    core: mem - qm: coherent indentation and whitespacing
    
    (cherry picked from commit 4b9618f119b43adafb861bae5c64204ec732726b)

commit 759f068c02ba7ca069a1ad3a3e5b4abc8d24872c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jul 11 13:19:30 2016 +0200

    core/mem: qm - test and print status for chunks start/end markers for mem status
    
    (cherry picked from commit ef50e77b80d0b33b317263018101d5801c0860f8)

commit 92f9b4fbc7c0df7ebc5b961bd3245aeaf8173bae
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jul 11 13:16:31 2016 +0200

    tls: test if ssl crypto locking callback is already set
    
    - don't start if yes, ssl lib needs to use shared memory
    
    (cherry picked from commit 9f338d7525edf72f10bfed3b37b8db5a2870431f)

commit d1f3972adebe130a2a9c2029cc28914492f3ab51
Author: murfur <m.furmur@gmail.com>
Date:   Mon Jul 11 13:24:21 2016 +0300

    modules/ipops: fix subnet matching for mask /0
    
    (cherry picked from commit 2c26f8b574e1b8adb0e4fa5a6db7a54ab455ee21)

commit 6877ffc356e7a2bc1153e9d3abf2c4b8f0a5ebd4
Author: Dmitri Savolainen <savolainen@erinaco.ru>
Date:   Sat Jul 9 17:05:09 2016 +0300

    core: fix regex error for modules parameters
    
    Ambiguous was possible in params for multiple modules in one config line.
    
    (cherry picked from commit 198b116b0d58e61d9c35fdd0988ce97192b8f61e)

commit 81871f9858eb960b644064689d73984c0e26c333
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jul 8 13:48:48 2016 +0200

    rtpproxy: comment about child init rank filtering
    
    (cherry picked from commit c3acb864688656ef57d5a0a5263556fcf67d09d4)

commit f7e0b25c309d0b811c1c0bc37101b5a4e397e46e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jul 8 10:26:33 2016 +0200

    pv: return 5061 for port variables (e.g., $dp) when transport is tls
    
    - reported by Colin Morelli, GH #700
    
    (cherry picked from commit 0421bf53c6ec193238b15907cf4a7c83bbae4401)

commit b0780a56f926f9cc47da647747fc654dace3c738
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jul 7 11:47:40 2016 +0200

    db_mongodb: fix warning for bool comparison
    
    - reported by Olle E. Johansson, GH #696
    
    (cherry picked from commit f32e12b3159cf3cd411505f875ccc8c56cf7c68f)

commit 67bca90c6b6070be56f7285e8baf2c1c7d42c3c9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jul 6 16:59:32 2016 +0200

    dialog: use cookie header to detect cseq auth increment needs
    
    (cherry picked from commit 34f35b51e79f4265bdfb3d654866c698bde84c01)

commit 1b68b03c5b844a022af2d82b420604304e0b33fc
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jul 6 16:51:37 2016 +0200

    core: helper functions for header management with strz values
    
    (cherry picked from commit aaec020b5cd033a7d7821dd4a3e447405bbbecad)

commit 35deae643668e967c29ff262380531c88c37074c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jul 6 16:49:35 2016 +0200

    uac: add cookie header for cseq tracking
    
    - mark the request to handle it in retransmissions
    - GH #679
    
    (cherry picked from commit b0c6db1a30b9d49f34f614d47e2bfe28b9dac62d)

commit 0d0719f50c5b7ea95da297a383feb11b1d91d943
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jul 6 16:27:08 2016 +0200

    dialog: pass info on cseq update tracking via cfg environment
    
    (cherry picked from commit cddcf1daa0c3747c12ed54734c1c91c0e7deefd6)

commit 7630aaa2c63a17c832025fdba01b022dc16bb829
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jul 6 16:22:44 2016 +0200

    core: structure to pass cfg env attributes between components
    
    (cherry picked from commit 4af9116951d0be9c3d042eabd632971b13df8ad1)

commit ef428c2f576d2935fba90d5019e450bf6b67372f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jun 29 18:23:54 2016 +0200

    Makefile.rules: exclude test folder from tags generation paths
    
    (cherry picked from commit 68b7a13b9950a24455e19913e740f92baa8674dc)

commit 7164e5d3d587149e03c7ad69feb3e9139ac30757
Author: Camille Oudot <camille.oudot@orange.com>
Date:   Tue Aug 30 11:43:26 2016 +0200

    http_async_client: init PV API sooner
    
    fixes #760
    
    (cherry picked from commit 597242dfbfd883d136aa49d88266fc9edb6b8e09)

commit 384e9006469ed0176dce922eb49e133c969975e3
Author: Federico Cabiddu <federico.cabiddu@gmail.com>
Date:   Fri Aug 12 14:36:27 2016 +0200

    http_async_client: don't stop routing script execution for a POST query if transaction is not suspended
    
    (cherry picked from commit eb6b48f03b794ba7430e50b47402ba9cf091f96d)

commit ab9403494300d5a07a7fe307c3666df8dbc23847
Author: lazedo <luis.azedo@factorlusitano.com>
Date:   Sat Aug 6 12:41:14 2016 +0100

    kazoo: init cfg framework in child processes
    
    fixes crashing since commit c7bec3320f6907c4edd8416a5e5cfa89b071a411
    (cherry picked from commit d63869cd31a0ac0a61f218b3144de7a9f400e0ae)

commit 12777af81509e3f6aa3e88c6aacb8844403d1e0b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jul 13 16:03:32 2016 +0200

    janssonrpc-c: init cfg framework for additional process
    
    - revealed by GH #708
    
    (cherry picked from commit 5d8d565331111b80d72a20d19f2bcb14ea6301a4)

commit c86610943d5c84e0c6ae8fd9e8d40f29e936b4ea
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jul 13 15:36:09 2016 +0200

    tm: execut cfg_update() inside t_continue()
    
    - refresh the values changed inside cfg framework
    - reported by Victor Seva, GH #708
    
    (cherry picked from commit c7bec3320f6907c4edd8416a5e5cfa89b071a411)

commit 1a5e83216e8699cab3680ff321a62a9be7c3c85f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jul 7 14:53:28 2016 +0200

    rtpproxy: init rtpproxy sockets array after allocation
    
    - do not init sockets for PROC_MAIN (for for=yes) and PROC_INIT to
      avoid duplicating sockets with child processed
    
    (cherry picked from commit 0fbac693b4d3ed913b64c2d000f27a96903b7e09)

commit 9aae641cd6e9fcb28d1f4a7b1c9bb8be1adcf7ef
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jul 7 14:51:24 2016 +0200

    rtpengine: init rtp engine sockets array after allocation
    
    - it can result in closing the random values found in memory, which can
      overlap with valid sockets, due to follow up execution of
      build_rtpp_socks()
    - do not init sockets for PROC_MAIN (for for=yes) and PROC_INIT to avoid
      duplicating sockets with child processed
    
    (cherry picked from commit d76761bf95a5745240d655ee63241b8d4652611d)

commit 0a274283514a34525daa471cf8e781fb339a870c
Author: grumvalski <federico.cabiddu@gmail.com>
Date:   Thu Jul 7 16:06:51 2016 +0200

    tm: check branch uri against current uri when deciding if append a new branch
    
    (cherry picked from commit 335e44635aa69ab73ec76f713a7d5ce7ce06748c)

commit 50da2ea87ceaabd2b9d6ef631c623cfcb3dcbdc2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jul 6 15:48:58 2016 +0200

    dialog: open db connection from rpc processes
    
    - might be requered by rpc commands when db realtime is set
    - reported by Dirk Teurlings
    
    (cherry picked from commit a7e7486b57f1b9d025f09c055a3dc360c131fa5b)

commit 7c108788a516c91869e95a01dafc508da473a031
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jul 4 15:11:01 2016 +0200

    rr: refactored the check route params to detect properly if same message is used
    
    - cached pointers may get invalid depending on the type of route block
    - reported by GH #663
    
    (cherry picked from commit 4949ebb7258aff41b2fd3a075bdc1a1af4684b5c)

commit 1ca980fc2d6856d08bd725ffdbb799225ed09885
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Jun 29 17:19:25 2016 +0200

    rr: fix spelling errors catched by lintian #688
    
    (cherry picked from commit 8f984a1be0726ec64cb4797a569fb44d1a7a9afd)

commit 7d9423448708330f197021d23e94e1b2d13ab8b8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jul 6 11:19:08 2016 +0200

    userblacklist: fixed copy-paste typo when evaluating table parameter
    
    (cherry picked from commit 5d285e90b0f145410acd15a7abf96d3b339a31b5)

commit 67fbc93eadbd07c0433d27c293336b845d30c1e9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jul 5 20:04:42 2016 +0200

    userblacklist: more debug info when failing to do the query
    
    - renamed some parameters in order to be suggestive for their purpose
    - code reformatting for long line
    
    (cherry picked from commit dce52ed68cf67375a7a9afbe34c8cc479b40c2c5)

commit 89c556b5839959d8ef6dce3f0ba7ab6a27c53f3e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jul 5 15:33:00 2016 +0200

    userblacklist: fix typo on evaluating the table parameter
    
    - regression introduced in previous commit, when converting to use core
      fixup helpers
    - reported by Tim Balmer
    
    (cherry picked from commit 3ad232e1d1ff8533fca425d3c4ee3ccaa1456916)

commit 379e6df158837c2510592c75d4a71c19c32f4d13
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Tue Jul 5 12:01:18 2016 +0200

    modules: readme files regenerated - topos ...

commit 795556061412439618c640ef19e8579486f0c58a
Author: Spencer Thomason <spencer@whiteskycommunications.com>
Date:   Fri Jul 1 09:14:12 2016 -0700

    core: ensure cfg_block structure is 8 byte aligned
    
    - prevents bus error on stricter cpu architectures like sparc
    - reported by GH #655
    
    (cherry picked from commit 0fd0715d015a2396b0ec66cb0bc83ec0b61c0d08)

commit 301017af120d0e7c75821c00dad07892b6a366c2
Author: Spencer Thomason <spencer@whiteskycommunications.com>
Date:   Thu Jun 30 13:35:36 2016 -0700

    uid_avp_db: remove GCC specific -Wall
    
    (cherry picked from commit 4fc8d37df84d856b848fd4e894c21e0fbf02bb56)

commit c5d8095c7fa548a7199a03bf1f5d69d56202568a
Author: Spencer Thomason <spencer@whiteskycommunications.com>
Date:   Thu Jun 30 13:22:57 2016 -0700

    ctl: remove return statement from void function
    
    (cherry picked from commit 16e6bdf814576e26a5f5f46bdfcb98ab1fd4e04d)

commit aea83a031cfb9a774d855462f50e4311cf9f7b43
Author: Spencer Thomason <spencer@whiteskycommunications.com>
Date:   Thu Jun 30 13:21:17 2016 -0700

    dialog: remove return statement from void functions
    
    (cherry picked from commit d90f3b86299223cd37fc21bf6af718540c76b380)

commit 33073d2af70ed0f289de6cfa2d754763e037ce1b
Author: Spencer Thomason <spencer@whiteskycommunications.com>
Date:   Thu Jun 30 13:18:00 2016 -0700

    counters: fix return statement in void function
    
    (cherry picked from commit 37355281dffccc42b1d83f413e3d528bdcf6cdd0)

commit bed895fcdd3cc7bc3ea131873405df0c90f8eb18
Author: Spencer Thomason <spencer@whiteskycommunications.com>
Date:   Thu Jun 30 12:44:11 2016 -0700

    core: fix Sun Studio build
    
    - update Makefile.defs for recent versions of Solaris Studio
    
    (cherry picked from commit 2a3915d456289cfc1685b081ab351fc00c1e3dfb)

commit e2874495b1ecad9e85b47f6d8bdb847fceb0c3ad
Author: Giovanni Mele <giovanni.mele@nagra.com>
Date:   Fri Jul 1 14:51:12 2016 +0200

    db_unixodbc: detect DB disconnection with generic HY000 status
    
    (cherry picked from commit d80376f9ea087328a0c46d97b908993baeb5b1b4)

commit 915edc834c9a694026b09d8b77dcfc4165d2998f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jun 30 14:39:28 2016 +0200

    topos: note in docs that masking callid is not implemented yet
    
    (cherry picked from commit 3c358de7683a15573dc1ee608e539ebb2e0122bf)

commit 87d37554e111760ad4362f0be1698ef1978ab944
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Wed Jun 29 11:46:17 2016 +0200

    modules: readme files regenerated - dmq ...

commit 78a990946a1acd49e349ce46595f8641d6130781
Author: Olle E. Johansson <oej@edvina.net>
Date:   Wed Jun 29 11:37:40 2016 +0200

    dmq Correct README
    
    Reported by Jan Hazenberg on mailing list
    
    (cherry picked from commit 0fbc629089328c35ac8041c5d453230de5334505)


===================== 2016-06-28 Version 4.4.2 Released =====================

===================== Changes Since Version 4.4.1 ===========================

commit 3e7ab9e84893b349bbc819027c963f5c72b922b5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jun 28 15:08:44 2016 +0200

    Makefile.defs: version set to 4.4.2

commit afad9210bd0f3b87ed18182572cc7f233bccd117
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jun 28 15:00:23 2016 +0200

    pkg/kamailio: version updates in some spec files

commit da1728b658cfb144713ebb9593ae742aeb5ca8fe
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jun 28 14:55:59 2016 +0200

    pkg/rpm: update spec files for v4.4.2

commit 8c3bf5423fc5d8be97a0a85c47ea4cdc9b59dc1f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jun 28 14:38:11 2016 +0200

    userblacklist: user core fixup helpers for string parameters
    
    - it allows both static and dynamic string parameters
    - should fix the issue of using static strings, the parameters were no
      longer evaluated and empty values were used
    
    (cherry picked from commit 54562b873c2c3d0a04f0587e7706188a3eb19a74)

commit bd9c32da743edacc8a2d6de48711c709ad1a7845
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue Jun 28 14:22:36 2016 +0200

    pkg/kamailio/deb: version set to 4.4.2

commit 5f2b1721d1df12c2c3c9f7787b980cfb4e79af52
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue Jun 28 14:19:34 2016 +0200

    pkg/kamailio/deb: mention that http_client is included at kamailio-utils-modules package
    
    (cherry picked from commit 90c90480c0de001c6c3010bae67a617b24b1ee4a)

commit a5866ef926ff6770227931c755188eb6178be07e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jun 28 12:38:23 2016 +0200

    acc: proper value for double representation of time for db accouting on 32b
    
    (cherry picked from commit 4fe259ab61212bed926cff8380239980b4fe6b19)

commit e81e15068b9733c2ed1ec21eb1fb4b5972bde36b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jun 28 09:42:00 2016 +0200

    http_client: removed unnecessary cloning of proxy parameter
    
    - the value is already zero terminated and this way avoid memory leak
    - wrap returning code to cfg in order to avoid 0 values
    - backported from master branch commit
      be677c2f8930f967277438b7b661baeacd7a5a53

commit 0350b416a4d8f09312ecba44bcfd44be15f3545a
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Mon Jun 27 16:17:55 2016 +0200

    modules: readme files regenerated - acc ...

commit fcc8266555d8e0846d0330d010b14fd6e8245290
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon Jun 27 13:44:00 2016 +0200

    sca: sca_call_info_update() document missing parameter
    
    (cherry picked from commit 0d0d42fa4bda5f37618af4c383f40bbb9ba46067)

commit 968afa0ba6a896cdba3a426fafb90607b2c96b12
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon Jun 27 13:39:24 2016 +0200

    sca: doc indent using tabs
    
    (cherry picked from commit a71aa0d3338a3e925053002d875d5f3ad969065c)

commit 55bca3abc0703a70cc65b769f419a532b820cb08
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon Jun 27 13:10:20 2016 +0200

    sca: add section ids
    
    (cherry picked from commit 730b4b0ca839bbcf248c3f7ddfee6974c1fa0c84)

commit 1464e0d46da6de4e662ba1fea5dd97c8f9848be6
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon Jun 27 13:04:06 2016 +0200

    sca: fix indent doc files
    
    (cherry picked from commit 6e9061bc101591d8ce8a9c7b7cbf696574d7545d)

commit c64209b200d82c3be78cf32254333f55d0b92afb
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jun 27 13:04:50 2016 +0200

    userblacklist: removed errorneous extra checks in fixup parameters function
    
    - parsing the parameters should be enough for validity
    - no need to attempt to parse to integer first parameter, it's not
      expected and results in a crash for static string parameters
    - reported by Jan Hazenberg
    
    (cherry picked from commit 5fd2c91f512b7311f11c76023da45758fb8c4365)

commit 5aeffff693e8d7498f25b42ce9949f28901fb953
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jun 27 11:54:08 2016 +0200

    auth_identity: include openssl/x509_vfy.h
    
    - looks like being required by openssl 1.1.0 to get the definition of
      X509_STORE_CTX
    - reported by Victor Seva, GH #685
    
    (cherry picked from commit 21321c70358997f354326be048b22c7b2dfb045a)

commit 2e82a8bb035843f31a5add7ef83f9c3721f0f657
Author: Dmitri Savolainen <savolainen@erinaco.ru>
Date:   Mon Jun 27 12:53:01 2016 +0300

    nat_traversal: set via branch according to "z9hG4bK..." format (instead of "branch=0")
    
    (cherry picked from commit 5261c1d0723a5b59edd231c93e42d1c963eb6375)

commit ffd5b68651c24546e38c2dfff4e64937db131077
Author: Dmitri Savolainen <savolainen@erinaco.ru>
Date:   Mon Jun 27 12:50:19 2016 +0300

    nathelper: set via branch according to "z9hG4bK..." format (instead of "branch=0")
    
    (cherry picked from commit 1edb4298ca5b890c40f9d7df5f29199a90b0c4fd)

commit 00f6c9f6c2f2665d455f9ad686198eae40758c19
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jun 23 21:04:47 2016 +0200

    utils: safe wrapper in case http status code is returned 0
    
    - returning it will stop config processing, replace the return code with
      -1 in such case
    
    (cherry picked from commit afb5bb99960d951217c6c94465cda92b10394e1a)

commit 601f47e71a3980d28663249e77b98a93bfdc27a0
Author: Spencer Thomason <spencer@whiteskycommunications.com>
Date:   Fri Jun 24 00:20:13 2016 -0700

    core: fix logging macros for Solaris Studio
    
    (cherry picked from commit 5244959b3089370e5df01d26e77d31211fce9370)

commit e3f53ef6158057b090c398f5afc0b2bcdf747430
Author: Spencer Thomason <spencer@whiteskycommunications.com>
Date:   Fri Jun 24 00:01:59 2016 -0700

    db_postgres: rename ntohll and htonll functions
    
    - fix namespace conflict on platforms where these are present in system libs
    
    (cherry picked from commit 2ebdbec8af56027c9c94fe5e67975c9a319b9620)

commit d7ddbd5fa460e701484dc76ba4f0c6b5a9861483
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jun 23 07:25:47 2016 +0200

    acc: don't multiply seconds with 1000 for time mode 2
    
    - it can go out of range for 32bit arch
    
    (cherry picked from commit 0c6653bf1c3ee7b64e811bc752e03fa0adfb0dfe)

commit a11ebb7d0e3c5fe7e160a2679a21c7c00bb11e99
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jun 22 18:41:40 2016 +0200

    log_custom: debug message before setting custom log function
    
    (cherry picked from commit 6c36b242f085367dd1d869bfbceb6454dcb2e006)

commit e47f912cc889e7e5ed50304924cb42292cff10be
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jun 22 18:34:40 2016 +0200

    log_custom: use buffer size for printing functions
    
    (cherry picked from commit 071556e9b75557dad756951f2fad71504469ca32)

commit 8814e5fc2e44f792cbff8e83d184034b3d1ebc59
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jun 20 22:39:08 2016 +0200

    tm: detect blind uac branch to avoid generating cancel for it
    
    (cherry picked from commit e36eebf36b72819b1b23c39469d60206f5df2bcf)

commit f087e6211f92484a5f0e625bc145479ba91b31a6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jun 20 19:16:26 2016 +0200

    tm: cleaned always enabled TM_UAC_FLAGS define
    
    (cherry picked from commit 4e7599064a75b8e6d0e6fbf228690cd628bfd508)

commit 6f8ff98f10a6df21a1b669881fef5df91254446b
Author: Giovanni Mele <giovanni.mele@nagra.com>
Date:   Fri Jun 17 16:57:48 2016 +0200

    db_unixodbc: do not consider SQL_NO_DATA return code as an error
    
    (cherry picked from commit feb195b2d9c801bc3591b1e95de6b70956e76dfe)

commit 81e55b894d1585adb0e48a88460a3b5e6a5ceb4d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jun 17 15:58:36 2016 +0200

    tm: actions triggered by t_coninue() executed as FAILURE_ROUTE type
    
    - the callback for scripting routing blocks are already those for
      failure route and the transaction is already created, all processing
      happing in the context of invalidating the "suspended" special branch
    - should prevent mistaken use of functions restricted for request route,
      such as msg_apply_changes()
    - following a report by Victor Seva, GH #676
    
    (cherry picked from commit f121e7c099ebf862dedcd5bdc1652d188446aa72)

commit f8aa9240ef8ea284b54789abf5556886066a7fa3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jun 17 15:24:48 2016 +0200

    textops: more details in doc about limitations of msg_apply_changes()
    
    (cherry picked from commit 474ab2280309574236f796f76e3b61251d8d23bd)

commit 57e0caee3ce86aca54f8eb7d15e0e65a5fb942ab
Author: Olle E. Johansson <oej@edvina.net>
Date:   Wed Jun 15 22:30:07 2016 +0200

    imc Fix formatting
    
    (cherry picked from commit 8fa5c9f915b3aadb93835ae18a4f88a08b799f5e)

commit 3c45fb4674837b2302876a116c446e4abdd31196
Author: Federico Favaro <federico@aereo.lan.athonet.com>
Date:   Wed Jun 15 09:15:47 2016 +0200

    cdp: Change debug level of peer state to DBG
    
    IMHO debug level of message telling the state
    of the peer should be DBG. If any problem
    occurs on peers proper message will be written
    on log. This way we have lighter log
    
    (cherry picked from commit 79d022fbd50684e89d98afab66b66c08f259f4eb)

commit df5859f3269acbc2443ef77d951afd9c63ba7465
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jun 14 15:26:06 2016 +0200

    rtpproxy: added section ids and small adjustments to content and format
    
    (cherry picked from commit daa89b4e206dac49607c25bf67748915b9f280a2)

commit 0106c43e75a87d9ead0016489330b66e6c0b0b72
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jun 13 12:50:04 2016 +0200

    kamdbctl: more error help for missing .pgpass file
    
    (cherry picked from commit 8a724a70859f68431094acab2a8f9ce000bbd89b)

commit 21304177dd9586e7bb3a04d40a8329464abcd9c1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jun 13 12:33:28 2016 +0200

    kamdbct: fixed typo in pgpass name
    
    (cherry picked from commit 631b69c43ffccbcecc3f43c3ebe4e614fe5f105d)

commit b3a320a6f7af03f12b832272c5bee3d34d596604
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Jun 10 16:47:02 2016 +0200

    textops: filter_body() remove previous \r\n that belongs to the boundary
    
    we were removing only '--boundary\r\n' but we must remove '\r\n--boundary\r\n'
    
    (cherry picked from commit c5dca6096785296c89acbfa4b2f7a7fd8a16d9a2)

commit 41fb662fed24e2edab8535059f5e6eb1bd7e0ca0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jun 9 13:06:20 2016 +0200

    rr: use msg->pid to match cached route params
    
    - could be related to GH #663
    
    (cherry picked from commit 8f4ec60795294d17597d3bbd20e68f4f03c98495)

commit 1c943ebeb1b4689b36a8d77c3283e0ad894cc403
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jun 9 13:04:47 2016 +0200

    uac: debug message if contact not matched for 200ok and jump to done
    
    (cherry picked from commit 0ad04a5847ceb6709c7c948a5a6ac958555c0265)

commit e6e45a4f1bf6abacdf2485b94e197881eac0c361
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jun 8 15:00:48 2016 +0200

    purple: added note in the docs that the module is not actively maintained
    
    (cherry picked from commit 4a681437a22ededb8392d06db6bfd0d377649051)

commit 7814715fe05d327d2995d73eab6233b210d63983
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jun 8 14:42:03 2016 +0200

    async: small update to copyright year to test auto-generation of readme
    
    (cherry picked from commit 8ccb20adf51035aebf4512dbba71c8c1c9db4f92)

commit 6d694df0f0731602768bae2d52871bd3c62e67e3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jun 8 14:40:47 2016 +0200

    app_java: added note in makefile about generating the readme on a system without java
    
    (cherry picked from commit 816ece3d35fea26d656addb38f73412d3f7c33b3)

commit 6f9f6ae1524a7ccfa6ae297d2c37036bbd2162dd
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jun 8 13:58:39 2016 +0200

    app_java: skip throwing error of missing java for make readme
    
    - controlled by DOCBUILD=yes
    
    (cherry picked from commit bb1e6ceadacd2b38826ed996e44cc45f3d8d1a41)

commit 414d750be5117d7fe5fb5fe248b7bcadaec5dfa4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jun 8 10:39:25 2016 +0200

    core: mem/tlsf - return unsigned long for function giving available memory
    
    - aling it with mem api prototype
    
    (cherry picked from commit 0ea1b700458888f60d54f3ebf192e09b9ea56d37)

commit 05f2de7eeec6ee6930b1163b481257488720faff
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jun 8 10:28:32 2016 +0200

    core: mem - qmalloc - cast size to unsigned long in debug messages
    
    - better for compatibility with C sepcs older than C99
    - newer specs allow %zu, but 'z' specifier is not in older
      specs, %lu being the safer approach
    
    (cherry picked from commit f17ac878a555b9baad3954e0e8c6b390378bad5a)

commit 43dc23cf55bc7d63e0932c909ae3daf65b698c68
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jun 8 10:19:20 2016 +0200

    core: mem - fmalloc - cast size to unsigned long in debug messages
    
    - better for compatibility with C sepcs older than C99
    - newer specs allow %zu, but 'z' specifier is not in older specs, %lu
      being the safer approach
    
    (cherry picked from commit 7e8b679b6a2c66b3695da3f1e076cfa525607d34)

commit dc83ca0ba9cf77dd38d45d34294ef3b20de1bc4a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jun 8 10:04:08 2016 +0200

    core: mem - use size_t for tlsf memory management functions
    
    (cherry picked from commit 587e24a48094ad672aa625461a69363219de6922)

commit eea33aad9bb67e8f4ef7413f44cdf52d1fc35b83
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jun 8 10:03:50 2016 +0200

    core: mem - use size_t for qm memory management functions
    
    (cherry picked from commit 7a5c95d77f863d4af6115b2b744549bd7fe6fc89)

commit dd2f601207d647c0d7c8e946daaa01eddc095444
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jun 8 10:03:18 2016 +0200

    core: mem - use size_t for fm memory management functions
    
    (cherry picked from commit b2f1456ae03f2c75aceab8eea177464dc4cc3672)

commit f10511e04712242cd98efa443c1f870a5209db7f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jun 8 10:01:51 2016 +0200

    core: mem - use size_t for memory management api prototypes
    
    - be compatible with standard malloc(...) prototype
    
    (cherry picked from commit bab8a6b172e2a0a6155515587e72d674205dbe0c)

commit 05fe8f8de5d83437f80fe3e18950450eb98e1bce
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jun 7 15:35:04 2016 +0200

    tm: relocated pointers in cfg group structure to align them to 8bytes
    
    - cope with stricter cpu architectures like sparc
    - reported by GH #655
    
    (cherry picked from commit 2717aed626b09298d6150c68463cb3bdb1a81906)

commit 96088fc7a1f39544175a4582be1e346db17611b4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jun 6 17:33:08 2016 +0200

    utils/misc/vim: added few missing tokens to vim syntax highlighting
    
    (cherry picked from commit b7e36c57f47d1b17c375db2a554c84100e1f0ee8)

commit c5ae53c738381f9b6d4c6163a6630717e7fb2ed0
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon Jun 6 11:47:23 2016 +0200

    tls: fix compilation warning
    
    > tls_config.c:403:6: warning: ignoring return value of function declared with warn_unused_result attribute [-Wunused-result]
    >                                         write(out_fd, &ch, 1);
    >                                         ^~~~~ ~~~~~~~~~~~~~~
    > tls_config.c:408:5: warning: ignoring return value of function declared with warn_unused_result attribute [-Wunused-result]
    >                                 write(out_fd, &ch, 1);
    >                                 ^~~~~ ~~~~~~~~~~~~~~
    > 2 warnings generated.
    
    (cherry picked from commit f0ac15dc896f959cb92ad85fd1426fac1aa0bb55)

commit a60ba5506c64b7752cf55e9ef3292ce21dcd1741
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon Jun 6 11:41:14 2016 +0200

    app_java: fix compiler warning
    
    > java_msgobj.c:233:80: warning: comparison of array 'msg->add_to_branch_s' equal to a null pointer is always false [-Wtautological-pointer-compare]
    >     jStrParam = (*env)->NewStringUTF(env, (msg->add_to_branch_len <= 0 || msg->add_to_branch_s == NULL) ? "" : strdup(msg->add_to_branch_s));
    >                                                                           ~~~~~^~~~~~~~~~~~~~~    ~~~~
    > 1 warning generated.
    
    (cherry picked from commit 44d17221c3a72401b1d3157cc969acf07cb80bd0)

commit a0fa55b3bd63b1bbd1d29e9a07d7e6e95fad789b
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon Jun 6 10:24:01 2016 +0200

    cdp: fix compilation warnings
    
    > peerstatemachine.c:97:19: warning: implicit conversion from enumeration type 'peer_state_t' to different enumeration type 'peer_event_t' [-Wenum-conversion]
    >                                         next_event = I_Snd_Conn_Req(p);
    >                                                    ~ ^~~~~~~~~~~~~~~~~
    > peerstatemachine.c:531:10: warning: implicit conversion from enumeration type 'peer_event_t' to different enumeration type 'peer_state_t' [-Wenum-conversion]
    >                 return I_Rcv_Conn_NAck;
    >                 ~~~~~~ ^~~~~~~~~~~~~~~
    > peerstatemachine.c:534:9: warning: implicit conversion from enumeration type 'peer_event_t' to different enumeration type 'peer_state_t' [-Wenum-conversion]
    >         return I_Rcv_Conn_Ack;
    >         ~~~~~~ ^~~~~~~~~~~~~~
    > 3 warnings generated.
    
    (cherry picked from commit 26d1426cfeb926ee440542716e7365d16b627801)

commit b9b1aefa7e7e8d559e86e9cda2075d352a6eee43
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon Jun 6 10:22:57 2016 +0200

    cdp: fix compilation warning
    
    > peerstatemachine.c:97:19: warning: implicit conversion from enumeration type 'peer_state_t' to different enumeration type 'peer_event_t' [-Wenum-conversion]
    >                                         next_event = I_Snd_Conn_Req(p);
    >                                                    ~ ^~~~~~~~~~~~~~~~~
    > peerstatemachine.c:531:10: warning: implicit conversion from enumeration type 'peer_event_t' to different enumeration type 'peer_state_t' [-Wenum-conversion]
    >                 return I_Rcv_Conn_NAck;
    >                 ~~~~~~ ^~~~~~~~~~~~~~~
    > peerstatemachine.c:534:9: warning: implicit conversion from enumeration type 'peer_event_t' to different enumeration type 'peer_state_t' [-Wenum-conversion]
    >         return I_Rcv_Conn_Ack;
    >         ~~~~~~ ^~~~~~~~~~~~~~
    > 3 warnings generated.
    
    (cherry picked from commit 007bd7e0c874f25ff73bfd36bd210b0fed2bac7a)

commit 83a8709249c4b0197eb78b70bc7e37fdd146f3e4
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon Jun 6 10:10:13 2016 +0200

    pua_xmpp: fix compilation warning
    
    > xmpp2simple.c:372:10: warning: expression which evaluates to zero treated as a null pointer constant of type 'char *' [-Wnon-literal-null-conversion]
    >                 slash= '\0';
    >                        ^~~~
    > 1 warning generated.
    
    (cherry picked from commit c3bbe6e059ade56959b68e6caae2f8521734f502)

commit 7d8e4e6b7b0ad43ec3920ddca941458bfe773841
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon Jun 6 10:05:45 2016 +0200

    peering: fix compilation warning
    
    > verify.c:58:30: warning: comparison of array 'vp->strvalue' equal to a null pointer is always false [-Wtautological-pointer-compare]
    >     if (vp->lvalue==0 || vp->strvalue==0)
    >                          ~~~~^~~~~~~~  ~
    > 1 warning generated.
    
    (cherry picked from commit bb545d02225f23e7d1d9c950f2e4645db3d33c4f)

commit 3bc6b9123c46dab10a53baafea95a84be62cfbf9
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon Jun 6 10:03:42 2016 +0200

    misc_radius: fix compilation warning
    
    > functions.c:47:27: warning: comparison of array 'vp->strvalue' equal to a null pointer is always false [-Wtautological-pointer-compare]
    >         if (vp->lvalue==0 || vp->strvalue==0)
    >                              ~~~~^~~~~~~~  ~
    > 1 warning generated.
    
    (cherry picked from commit 4e2f17dfc6ae25739cb40328f3d5636ea1ab6fca)

commit ccb09869abe80d2b5d9d709431c0499514720969
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon Jun 6 09:45:38 2016 +0200

    auth_radius: fix compilation warning
    
    > authorize.c:110:8: warning: implicit conversion from enumeration type 'enum auth_cfg_result' to different enumeration type 'auth_result_t' (aka 'enum auth_result') [-Wenum-conversion]
    >         ret = AUTH_NONCE_REUSED;
    >             ~ ^~~~~~~~~~~~~~~~~
    > authorize.c:114:8: warning: implicit conversion from enumeration type 'enum auth_cfg_result' to different enumeration type 'auth_result_t' (aka 'enum auth_result') [-Wenum-conversion]
    >         ret = AUTH_STALE_NONCE;
    >             ~ ^~~~~~~~~~~~~~~~
    > authorize.c:120:8: warning: implicit conversion from enumeration type 'enum auth_cfg_result' to different enumeration type 'auth_result_t' (aka 'enum auth_result') [-Wenum-conversion]
    >         ret = AUTH_ERROR;
    >             ~ ^~~~~~~~~~
    > authorize.c:124:8: warning: implicit conversion from enumeration type 'enum auth_cfg_result' to different enumeration type 'auth_result_t' (aka 'enum auth_result') [-Wenum-conversion]
    >         ret = AUTH_NO_CREDENTIALS;
    >             ~ ^~~~~~~~~~~~~~~~~~~
    > authorize.c:131:8: warning: implicit conversion from enumeration type 'enum auth_cfg_result' to different enumeration type 'auth_result_t' (aka 'enum auth_result') [-Wenum-conversion]
    >         ret = AUTH_OK;
    >             ~ ^~~~~~~
    > authorize.c:148:9: warning: implicit conversion from enumeration type 'enum auth_cfg_result' to different enumeration type 'auth_result_t' (aka 'enum auth_result') [-Wenum-conversion]
    >                 ret = AUTH_ERROR;
    >                     ~ ^~~~~~~~~~
    > authorize.c:153:12: warning: implicit conversion from enumeration type 'enum auth_cfg_result' to different enumeration type 'auth_result_t' (aka 'enum auth_result') [-Wenum-conversion]
    >             ret = AUTH_ERROR;
    >                 ~ ^~~~~~~~~~
    > authorize.c:159:12: warning: implicit conversion from enumeration type 'enum auth_cfg_result' to different enumeration type 'auth_result_t' (aka 'enum auth_result') [-Wenum-conversion]
    >             ret = AUTH_ERROR;;
    >                 ~ ^~~~~~~~~~
    > authorize.c:186:12: warning: implicit conversion from enumeration type 'enum auth_cfg_result' to different enumeration type 'auth_result_t' (aka 'enum auth_result') [-Wenum-conversion]
    >             ret = AUTH_ERROR;
    >                 ~ ^~~~~~~~~~
    > authorize.c:189:12: warning: implicit conversion from enumeration type 'enum auth_cfg_result' to different enumeration type 'auth_result_t' (aka 'enum auth_result') [-Wenum-conversion]
    >             ret = AUTH_OK;
    >                 ~ ^~~~~~~
    > authorize.c:193:8: warning: implicit conversion from enumeration type 'enum auth_cfg_result' to different enumeration type 'auth_result_t' (aka 'enum auth_result') [-Wenum-conversion]
    >         ret = AUTH_INVALID_PASSWORD;
    >             ~ ^~~~~~~~~~~~~~~~~~~~~
    > 11 warnings generated.
    
    (cherry picked from commit 1db19f1672ebebcb916f4415c59f5c820a1b0068)

commit de13f20446d0ee18ccc1033858caf21b11cd2437
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon Jun 6 09:37:36 2016 +0200

    db_berkeley: fix compilation warning
    
    > km_db_berkeley.c:486:58: warning: comparison of unsigned expression < 0 is always false [-Wtautological-compare]
    >                 if ((ret = bdb_get_columns(_tbc->dtp, *_r, lres, _nc)) < 0)
    >                     ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ ^ ~
    > km_db_berkeley.c:513:50: warning: comparison of unsigned expression < 0 is always false [-Wtautological-compare]
    >                         if ((ret=bdb_append_row( *_r, dbuf, lres, i)) < 0)
    >                             ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ ^ ~
    > km_db_berkeley.c:567:58: warning: comparison of unsigned expression < 0 is always false [-Wtautological-compare]
    >                 if ((ret = bdb_get_columns(_tbc->dtp, *_r, lres, _nc)) < 0)
    >                     ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ ^ ~
    > km_db_berkeley.c:572:47: warning: comparison of unsigned expression < 0 is always false [-Wtautological-compare]
    >                 if ((ret=bdb_convert_row( *_r, dbuf, lres)) < 0)
    >                     ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ ^ ~
    > 4 warnings generated.
    
    (cherry picked from commit 6e376ee273cb95afae31b0183e3b7bf3468c4520)

commit b051f29e2064205d11ebf6f8d6b315089aa7de6f
Author: Olle E. Johansson <oej@edvina.net>
Date:   Fri Jun 3 10:34:25 2016 +0200

    kamctl remove svn ID's and history
    
    (cherry picked from commit e3cfe2adf3af1cb7b909c5f4d3c7a481d1cfa224)

commit dfc6643fbbfb7f1c469c264e6f93b0be402d5a56
Author: Lucian Balaceanu <lucian.balaceanu@1and1.ro>
Date:   Thu Jun 2 17:34:39 2016 +0200

    rtpengine: cookie is now $server_id_$mypid_$myseqn
    
    (cherry picked from commit 3e92a47fb3c3f4fc97f7e3cdeb33f8b111c6b1f8)

commit f265cad36b2cffc83cfcb517731aea98510cafc2
Author: Carsten Bock <carsten@ng-voice.com>
Date:   Thu Jun 2 17:46:51 2016 +0300

    JANSSON: Improved support for JSON-Type "Integer", which can in fact be long (or even long long)
    
    (cherry picked from commit 691e088fe5b23faa39c2f32df19690ce4b7a7c7d)

commit 9d6a2aec05c77422a1e90dd89af5f63eed76c374
Author: Mikko Lehto <mslehto@Ä±ki.fi>
Date:   Thu Jun 2 16:50:35 2016 +0300

    Revert "modules/ims_qos modules/ims_registrar_scscf: fix comparison of unsigned expression"
    
    This reverts commit 94b4c25640c0f486c578a9e0670dad0aa5dda0c1.
    
    (cherry picked from commit a787c38c241eec165c2cb8e0362ba68fa769141f)

commit 2d0cb2ca09f0db87e7de02c169841c407bf41cf1
Author: Lucian Balaceanu <lucian.balaceanu@1and1.ro>
Date:   Thu Jun 2 13:50:02 2016 +0300

    rtpengine: change cookie to hostname_pid_seqno
    
    - pid_seqno in gencookie() is not a unique identifictor in a multi kamailio setup
    
    (cherry picked from commit 69e57b9260c6c09380fdb9cfd074ea67a459230a)

commit 7b77d4e218224c6fa6f3ccb8280b238da0e5e4e6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jun 2 08:34:16 2016 +0200

    presence: new parameter to set the order by string for fetching records
    
    - used when retrieve_order is 1
    - new param: retrieve_order_by - default value is 'priority'
    
    (cherry picked from commit 8c5432e5285564d6104189d6358774b8d8f3382b)

commit c2e87f015f821e44bdb8bbaed8d61e695343ea2d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue May 31 17:21:29 2016 +0200

    misc/vim: syntax highlighting for log facility values
    
    (cherry picked from commit ab079178ab49d8c855f135d85d8e8acfb03ec6bd)

commit c4566aa89a9564859dc856036363cd803219c825
Author: Dragos Oancea <dragos.oancea@athonet.com>
Date:   Tue May 31 10:52:18 2016 +0200

    ims_registrar_pcscf: fix getContactP() for is_registered_fallback2ip param - so that script function pcscf_is_registered() actually finds the contact .
    
    (cherry picked from commit e88ea4022af341bb67e959c42d2096a42ae3796d)

commit e80eee8be47cfe96fbaa08f96df325bdbfc78b09
Author: Stefan Mititelu <stefan.mititelu@1and1.ro>
Date:   Mon May 30 17:13:28 2016 +0300

    mem: Add on-error log messages for q_/f_ functions
    
    Log some errors in case some memory API functions fail.
    
    (cherry picked from commit b0dea316a2aa471cf92f122e3432a6549cf0ff5c)

commit 995d4084ebe192a51b89bd6b901e4d4b6ddd9fd7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon May 30 13:11:06 2016 +0200

    core: setting the equivalent of IP_TOS socket option for IPv6
    
    - reported in GH #598
    
    (cherry picked from commit ff63e5c79592a37012018660552950a40a1a1581)

commit 761f84a61745e433850cb286da020ea595752784
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon May 30 12:38:32 2016 +0200

    evapi: start evapi dispatcher process with rpc rank
    
    - it may be used for handling responses from external app with sip
      related functions
    - reported by GH #622
    
    (cherry picked from commit 2d1a7e453301cfdee2c71ccebcd66d86f4c62b3a)

commit fd6501f8fb220408c98daeb2e84cb3e17ade5d7c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon May 30 12:03:02 2016 +0200

    ndb_mongodb: note about mongodb c driver version and tls
    
    (cherry picked from commit d1fbec620bdb923aace665170ddabedddd2a3697)

commit 3968feedcb62ca39ae6088b3ec6c5bec875d6b37
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon May 30 12:02:23 2016 +0200

    db_mongodb: note about mongodb c driver version and tls
    
    (cherry picked from commit 59daee299909a7e27b5d0ec5d9a9967cd1e8e7e3)

commit fbe8523a87637518aa9d1d9d2c2954156959d5f7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon May 30 11:54:34 2016 +0200

    tm: reset T_ASYNC_SUSPENDED flag at beginning of t_continue()
    
    - should allow doing t_suspend() inside the route executed by
      t_continue()
    - related to GH #644 and #645
    
    (cherry picked from commit 827ec4fc2c9fcc2bf9f814b0545ae64784d8e3b0)

commit 4cc369335494f2be7ac71cbc2662c9635162a47b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon May 30 10:35:38 2016 +0200

    tm: coherent indentation and whitespacing for t suspend code
    
    (cherry picked from commit d85dd4eab4eaf797ecf89a1d3540c02c207d2de4)

commit c67edea82106d40f709fc60c47def88debf0f3c8
Author: Olle E. Johansson <oej@edvina.net>
Date:   Fri May 27 16:13:16 2016 +0200

    sqlops Delete comment about modules_k
    
    (cherry picked from commit 1b29ea77e1ceef8c74da930c9df88409d47f744e)

commit 3cca0eb13b151b7822ee97d4bcd4e315aaeb77b1
Author: Olle E. Johansson <oej@edvina.net>
Date:   Fri May 27 09:53:31 2016 +0200

    acc_radius Remove SVN ID, history
    
    (cherry picked from commit 18d614e6c2eb673c08871206e6cdc153cc3c8928)

commit 13a361bec5cb2491ef9bc6f8b917e14e102814d4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu May 26 16:54:54 2016 +0200

    pv: signed int string representation for avps
    
    (cherry picked from commit d6124b3d894b130e3ebeabb247230966a77c9ceb)

commit 52358d298f55e89841fa22899b7cb83826843c30
Author: Andrew J Robinson <AndyJRobinson@users.noreply.github.com>
Date:   Thu May 26 16:30:35 2016 +0200

    uac: read all 12 columns from uacreg database table
    
    - fix when the database connector does not have DB_CAP_FETCH capability
    - GH #642
    
    (cherry picked from commit d3abee96d9ddfa6b0600d9e7f6864bd5786fdebe)

commit 3e0f2436d57e46dda85a9f875beedbdf3eb7724c
Author: Mikko Lehto <mslehto@iki.fi>
Date:   Wed May 25 13:49:39 2016 +0300

    modules/ims_dialog: fix clang warning -Wparentheses-equality
    
    (cherry picked from commit 5395bbe6522ab9b9874162874935119cff8aa764)

commit eb9a338ba563919682e74306c33d87961be17414
Author: Mikko Lehto <mslehto@iki.fi>
Date:   Wed May 25 13:49:21 2016 +0300

    modules/ims_qos modules/ims_registrar_scscf: fix comparison of unsigned expression
    
    (cherry picked from commit 94b4c25640c0f486c578a9e0670dad0aa5dda0c1)

commit 3b3481180be9878d8837f49b77cd76284cc11221
Author: Mikko Lehto <mslehto@iki.fi>
Date:   Mon May 23 23:49:59 2016 +0300

    modules/[call_control|mediaproxy]: proper assigment to NULL pointer
    
    CC (clang) [M mediaproxy.so]          mediaproxy.o
    mediaproxy.c:1929:27: warning: expression which evaluates to zero treated as a null pointer constant of type 'void *' [-Wnon-literal-null-conversion]
            *_params->param = MPInactive;
                              ^~~~~~~~~~
    
    (cherry picked from commit 700b334b51b39056c4c0004451ca41304510f164)

commit ad0f9f62fa761dcfcbe4ee21a92acc97be1c9c8f
Author: Mikko Lehto <mslehto@iki.fi>
Date:   Tue May 24 12:37:44 2016 +0300

    modules/sipcapture: fix possible NULL pointer dereference
    
    (cherry picked from commit a9cce1772d25e1f03cec3ee291ae5fb4a945f82f)

commit d84d8a800e504561fe9036bc8e0fd15bd17d334f
Author: Mikko Lehto <mslehto@iki.fi>
Date:   Tue May 24 12:27:14 2016 +0300

    modules/uid_domain: initialize variables
    
    (cherry picked from commit e6a3f6605f50d16f673724a2dc6cf22fc47bc717)

commit b351655cc53342137106cf9d6e4182950ee8ea0e
Author: Mikko Lehto <mslehto@iki.fi>
Date:   Tue May 24 07:32:33 2016 +0300

    modules/rr: initialize to NULL
    
    (cherry picked from commit c00867e50de1c7855fed8a05745086092fef38a5)

commit c95ab90d1f8f6fcf3d172f774c8c501775a35999
Author: Dmitri Savolainen <savolainen@erinaco.ru>
Date:   Tue May 24 12:51:06 2016 +0300

    uac: reset UAC_REG_DISABLED flag (if need) after refresh
    
    (cherry picked from commit 8e0ae1f825c080a050c7e755eea67d2c56d6841f)

commit 877beb6b77baf44ddab3dc78965b3c065a2c1ee2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue May 24 09:07:32 2016 +0200

    Makefile.defs: cleaned unnecessary whitespaces
    
    (cherry picked from commit 897d8319ddce6b7834c8277ddcc436ffdbe5d164)

commit 82b24524dc6df842d3d1c11bf5f5a1c16f2a8fa5
Author: Mikko Lehto <mslehto@iki.fi>
Date:   Sun May 22 02:43:18 2016 +0300

    modules/presence_conference: re-organize preprocessor symbols
    
    Fixes compilation on FreeBSD where no special feature request is needed
    
    (cherry picked from commit 9852f751edb99b5190f16ffe68c62eb0f51f85bc)

commit 01698f47ab0be22f0d80cb0a66bbeb92f8177821
Author: Mikko Lehto <mslehto@iki.fi>
Date:   Wed May 18 02:18:52 2016 +0300

    lib/srdb1: fix compiler warning
    
    > CC (gcc) [L libsrdb1.so.1.0]            db_ut.o
    > db_ut.c:57:32: warning: extra tokens at end of #undef directive
    >   #undef _XOPEN_SOURCE_EXTENDED 1  /* solaris */
    >                                 ^
    
    (cherry picked from commit dee2478e521f2f829c66d025fb6ca17326138910)

commit 6787a5ecfec64202ec80c2e9fe85c149a31e75ff
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri May 20 07:16:46 2016 +0200

    dispatcher: get rid of compile warning about unreachable code
    
    (cherry picked from commit 5ac0f5c43da106e8130143a2ad83d4a131513a18)

commit cac8f8df9dc1ccd6c97e80aaee1f4f3d766f1f7e
Author: Dmitri Savolainen <savolainen@erinaco.ru>
Date:   Wed May 18 20:07:38 2016 +0300

    uac: uac.reg_refresh doc is supplemented
    
    (cherry picked from commit 3310aa311b76d44f33cf784d20b874db259b61b2)

commit 14c1376a8b1afecae229124d84acb629b60424cc
Author: Mikko Lehto <mslehto@iki.fi>
Date:   Tue May 17 14:49:54 2016 +0300

    lib/srutils: fix gcc warning GH#612
    
    > sha256.c: In function 'sr_SHA256_Final':
    > sha256.c:613:3: warning: dereferencing type-punned pointer will break strict-aliasing rules [-Wstrict-aliasing]
    >    *(sha2_word64*)&context->buffer[SHA256_SHORT_BLOCK_LENGTH] = context->bitcount;
    >    ^
    > sha256.c: In function 'SHA512_Last':
    > sha256.c:930:2: warning: dereferencing type-punned pointer will break strict-aliasing rules [-Wstrict-aliasing]
    >    *(sha2_word64*)&context->buffer[SHA512_SHORT_BLOCK_LENGTH] = context->bitcount[1];
    >    ^
    > sha256.c:931:2: warning: dereferencing type-punned pointer will break strict-aliasing rules [-Wstrict-aliasing]
    >  *(sha2_word64*)&context->buffer[SHA512_SHORT_BLOCK_LENGTH+8] = context->bitcount[0];
    >  ^
    
    (cherry picked from commit cfccbfa8590dffe9a1282dba6ce757f686f55599)

commit d26f29930d3ccc01419f0868637c7a1f1eb8173d
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue May 17 13:23:11 2016 +0200

    presence_xml: fix compiler warning #612
    
    > CC (gcc) [M presence_xml.so]		pidf.o
    > In file included from /usr/include/time.h:27:0,
    >                  from pidf.c:50:
    > /usr/include/features.h:148:3: warning: #warning "_BSD_SOURCE and _SVID_SOURCE are deprecated, use _DEFAULT_SOURCE" [-Wcpp]
    >  # warning "_BSD_SOURCE and _SVID_SOURCE are deprecated, use _DEFAULT_SOURCE"
    
    (cherry picked from commit 9f1aa931dafc0d654af4d51b5e4ab6a72a71fb0c)

commit ea3002aa6f7d1edf8cb25d9338903049132c33fe
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue May 17 13:22:18 2016 +0200

    presence_dialoginfo: fix compiler warnings #612
    
    > CC (gcc) [M presence_dialoginfo.so]		pidf.o
    > In file included from /usr/include/time.h:27:0,
    >                  from pidf.c:48:
    > /usr/include/features.h:148:3: warning: #warning "_BSD_SOURCE and _SVID_SOURCE are deprecated, use _DEFAULT_SOURCE" [-Wcpp]
    >  # warning "_BSD_SOURCE and _SVID_SOURCE are deprecated, use _DEFAULT_SOURCE"
    
    (cherry picked from commit e8c7b29e1d051619595f2d45276d8c775bc278a3)

commit 387ed0885d17d8210864b45f43ec0dea564777a4
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue May 17 13:20:45 2016 +0200

    db2_ldap: fix compiler warnings #612
    
    > CC (gcc) [M db2_ldap.so]		ld_fld.o
    > In file included from /usr/include/string.h:25:0,
    >                  from ../../str.h:24,
    >                  from ld_cfg.h:30,
    >                  from ld_fld.h:37,
    >                  from ld_fld.c:39:
    > /usr/include/features.h:148:3: warning: #warning "_BSD_SOURCE and _SVID_SOURCE are deprecated, use _DEFAULT_SOURCE" [-Wcpp]
    >  # warning "_BSD_SOURCE and _SVID_SOURCE are deprecated, use _DEFAULT_SOURCE"
    
    (cherry picked from commit 08927c98edab0c1201138fbd4f9760dcdf3a35c1)

commit 5245837ff6af3c88f5a9bb8ee4f5266379fb97ff
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue May 17 13:02:22 2016 +0200

    presence_conference: fix compiler warnings #612
    
    > CC (gcc) [M presence_conference.so]		pidf.o
    > In file included from /usr/include/time.h:27:0,
    >                  from pidf.c:49:
    > /usr/include/features.h:148:3: warning: #warning "_BSD_SOURCE and _SVID_SOURCE are deprecated, use _DEFAULT_SOURCE" [-Wcpp]
    >  # warning "_BSD_SOURCE and _SVID_SOURCE are deprecated, use _DEFAULT_SOURCE"
    
    (cherry picked from commit 3976224f6bb4b790b1752a00174439a1e2de1665)

commit 2aa23040971693c9ebc598e3b4bea79e3d2a86de
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue May 17 12:09:02 2016 +0200

    db_mysql: fix compile warning #612
    
    > CC (gcc) [M db_mysql.so]		my_cmd.o
    > In file included from /usr/include/string.h:25:0,
    >                  from ../../lib/srdb2/../../str.h:24,
    >                  from ../../lib/srdb2/db_gen.h:30,
    >                  from ../../lib/srdb2/db_drv.h:29,
    >                  from my_cmd.h:25,
    >                  from my_cmd.c:33:
    > /usr/include/features.h:148:3: warning: #warning "_BSD_SOURCE and _SVID_SOURCE are deprecated, use _DEFAULT_SOURCE" [-Wcpp]
    >  # warning "_BSD_SOURCE and _SVID_SOURCE are deprecated, use _DEFAULT_SOURCE"
    
    (cherry picked from commit 3c4fa1250c8c3de74e9415a064ba75f97e1cbb4f)

commit b6d341548abeb85f20c305b4cf0617e8f9a404ee
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri May 13 10:36:45 2016 +0200

    lib/srdb1: fix compiler warning #612
    
    > CC (gcc) [L libsrdb1.so.1.0]    db_ut.o
    > In file included from /usr/include/time.h:27:0,
    >                  from db_ut.c:50:
    > /usr/include/features.h:148:3: warning: #warning "_BSD_SOURCE and _SVID_SOURCE are deprecated, use _DEFAULT_SOURCE" [-Wcpp]
    >  # warning "_BSD_SOURCE and _SVID_SOURCE are deprecated, use _DEFAULT_SOURCE"
    
    (cherry picked from commit 09470aed719b0fad6c600d9c18a339e343550f33)

commit 78192719edaa1327a4420a2f248ee5602eae91aa
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue May 17 08:16:12 2016 +0200

    cfgutils: added more to docs for route exists functions
    
    (cherry picked from commit 472782d2f094b1971543b4d0c3733058d9086d78)

commit 0aa9f5458a59909a756b5a6f0d692ec264bb3fa3
Author: Phil Lavin <phil.lavin@synety.com>
Date:   Mon May 16 15:17:04 2016 +0100

    pua_dialoginfo: reduce the log level of every call to dialog_publish
    
    Change the log level of calls to dialog_publish() from INFO to DBG
    
    (cherry picked from commit a5e89b42151ba3697835cff4a2a379422a9afc46)

commit e8a063a7001bad32144765f12928cf188b773e20
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun May 15 08:52:29 2016 +0200

    usrloc: coonect to db from rpc processes
    
    - evapi consumers are using rpc rank and there can be save/lookup
      operations
    - reported by GH #622
    
    (cherry picked from commit ee11732bdc1637d646b772ce22d43bd571f7a736)

commit c6740e84d2dd42e7aa0da33d18228c516573de46
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat May 14 10:11:33 2016 +0200

    jansson: removed empty parameters section
    
    - added section ids
    
    (cherry picked from commit 92dcec82b4f7e0de07e06d51bd57d612c949241c)

commit feaae5a731c35778d8de32a7c87baead2def4987
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat May 14 09:30:55 2016 +0200

    acc_radius: added section ids in docbook
    
    (cherry picked from commit 38bdeee32afb895af3a759373e1c29a30e5e5560)

commit 27e2343d5e7da9c03fd37ecbe49e126d4a753d75
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri May 13 10:34:33 2016 +0200

    dispatcher: fix compiler warning #612
    
    > CC (gcc) [M dispatcher.so]      dispatch.o
    > dispatch.c: In function 'ds_set_attrs':
    > dispatch.c:263:8: warning: 'tmp_rweight' may be used uninitialized in this function [-Wmaybe-uninitialized]
    >     int tmp_rweight;
    >         ^
    > make[3]: 'libkmi.so.1.0' is up to date.
    
    (cherry picked from commit 6dd4b1f83cb041a42571ef1355832661be0ae492)

commit debffdc10887a0654ce1e6451dead14aa36083b2
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri May 13 10:25:42 2016 +0200

    dmq_usrloc: fix compiler warning #612
    
    > CC (gcc) [M dmq_usrloc.so]      usrloc_sync.o
    > usrloc_sync.c: In function 'usrloc_dmq_handle_msg':
    > usrloc_sync.c:403:12: warning: 'reg_id' may be used uninitialized in this function [-Wmaybe-uninitialized]
    >   ci.reg_id = reg_id;
    >             ^
    > usrloc_sync.c:401:13: warning: 'methods' may be used uninitialized in this function [-Wmaybe-uninitialized]
    >   ci.methods = methods;
    >              ^
    > usrloc_sync.c:405:19: warning: 'last_modified' may be used uninitialized in this function [-Wmaybe-uninitialized]
    >   ci.last_modified = last_modified;
    >                    ^
    > usrloc_sync.c:394:7: warning: 'q' may be used uninitialized in this function [-Wmaybe-uninitialized]
    >   ci.q = q;
    >        ^
    > usrloc_sync.c:399:12: warning: 'cflags' may be used uninitialized in this function [-Wmaybe-uninitialized]
    >   ci.cflags = cflags;
    >             ^
    > usrloc_sync.c:397:11: warning: 'flags' may be used uninitialized in this function [-Wmaybe-uninitialized]
    >   ci.flags = flags;
    >            ^
    > usrloc_sync.c:396:10: warning: 'cseq' may be used uninitialized in this function [-Wmaybe-uninitialized]
    >   ci.cseq = cseq;
    >           ^
    > usrloc_sync.c:393:13: warning: 'expires' may be used uninitialized in this function [-Wmaybe-uninitialized]
    >   ci.expires = expires;
    >              ^
    > usrloc_sync.c:407:2: warning: 'action' may be used uninitialized in this function [-Wmaybe-uninitialized]
    >   switch(action) {
    >   ^
    > make[3]: 'libsrutils.so.1.0' is up to date.
    
    (cherry picked from commit c7c8d31e4a4f9640673099aa1589e3fe96fad558)

commit 1740d3861d0bcabe3897285fc1f64629da1433a0
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu May 12 22:08:28 2016 +0200

    sms: fix compiler warning #612 (#617)
    
    * show error message if error in write
    
    > CC (clang) [M sms.so]       libsms_modem.o
    > libsms_modem.c:77:2: warning: ignoring return value of function declared with warn_unused_result attribute [-Wunused-result]
    >        write(mdm->fd,cmd,cmd_len);
    >        ^~~~~ ~~~~~~~~~~~~~~~~~~~
    >1 warning generated.
    (cherry picked from commit a61ff084bc87c7d3dd05b14afd35795b466d37dc)

commit 644bc141ca91c86fdf83b0998558dd647e6a0693
Author: Frank Carmickle <frank@silentcircle.com>
Date:   Thu May 12 18:00:52 2016 +0200

    tm: updated the reason text for canceled branches after one is answered
    
    - change answered elsewhere to call completed elsewhere
    - "Call completed elsewhere", RFC3326, defines this as the string to send
    - submited by William King <william.king@quentustech.com>, GH #610
    
    (cherry picked from commit e75837afc7e146d0f43e637d394146c3f1d05eea)

commit 99e1c33b1bb16959273114eebcf1cf134d75997d
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Thu Jun 9 15:46:27 2016 +0200

    modules: readme files regenerated - dialog ...

commit a3b6c3f836e8988b843eb25d5f553ff554821df8
Author: Olle E. Johansson <oej@edvina.net>
Date:   Thu Jun 9 15:42:42 2016 +0200

    docbook Update location of our bug tracker

commit b5d274b52619a935a71a346cb7cf24486a8474c5
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Wed Jun 8 14:50:15 2016 +0200

    modules: readme files regenerated - app_mono ...

commit 42be15030909cf31cedbb3642e2a6b51b2b5ae9f
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue May 17 13:24:05 2016 +0200

    xmlrpc: fix compiler warning #612
    
    > CC (gcc) [M xmlrpc.so]		xmlrpc.o
    > In file included from /usr/include/strings.h:26:0,
    >                  from xmlrpc.c:28:
    > /usr/include/features.h:148:3: warning: #warning "_BSD_SOURCE and _SVID_SOURCE are deprecated, use _DEFAULT_SOURCE" [-Wcpp]
    >  # warning "_BSD_SOURCE and _SVID_SOURCE are deprecated, use _DEFAULT_SOURCE"
    
    (cherry picked from commit 947fe8673c3014f4d011583bed95d44408b907f4)

commit 253909bf673c0a59e7adf578bb5df73eb157d0f2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jun 7 15:21:06 2016 +0200

    tls: proper check of libssl versions used for compilation and available on system
    
    - shift out the last 12bits, being the patch version and status (see man
      SSLeay)
    - reported by Victor Seva, GH #662
    
    (cherry picked from commit c38b4c7345a6806f48a0cdb07841e10bc962e1bf)

commit bb07a9d6229bbd191078d3a886b82308d066dbda
Author: Olle E. Johansson <oej@edvina.net>
Date:   Tue Jun 7 14:25:31 2016 +0200

    dialog Document states of a dialog
    
    The states are stored in the state_column in the database, but was only explained in source code previously
    
    (cherry picked from commit 50346dbc671078cab8e1d9f21f410a96286c7a83)

commit 9d4e2e1c987e2c5d15dd6f6c434e0467d678a46e
Author: Olle E. Johansson <oej@edvina.net>
Date:   Tue Jun 7 14:05:17 2016 +0200

    dialog Use correct default name for toroute_name database column
    
    (cherry picked from commit 6196309a05c5de13dab2606bd2e227cebd7fa477)

commit 09cb608ee56ca4d336d5a02c8bf2fd5ea05ff4d0
Author: Olle E. Johansson <oej@edvina.net>
Date:   Tue Jun 7 13:48:52 2016 +0200

    dialog fix typo in README and doc
    
    The call_id_column variable was named callid_column in the doc.

commit 70a2ab1c64bc19d4b67e09b990b78a23593999ce
Author: jaybeepee <jason.penton@gmail.com>
Date:   Thu Jun 2 16:30:21 2016 +0200

    modules/ims_usrloc_scscf: do not use DB functions if db_mode not enabled.
    
    (cherry picked from commit 06df7d591e56d48ddbc100e5be4dc917731fc1a4)

commit 7a0de650d5d443f84fd3aeb8d6209663074dc6da
Author: grumvalski <federico.cabiddu@gmail.com>
Date:   Sun Jun 5 08:27:37 2016 +0200

    cnxcc: release credit_data in terminate_all_calls
    
    - GH #563
    
    (cherry picked from commit d0bdaa7567240b18794ab7512b09a55767c44240)

commit 12b0480169feab25ad68509c23f472155f10082b
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Jun 3 13:55:42 2016 +0200

    xmlrpc: remove redeclaration of snprintf and vsnprintf
    
    compilation was failling with clang:
    
    > CC (clang) [M xmlrpc.so]		xmlrpc.o
    > xmlrpc.c:152:5: error: expected parameter declarator
    > int snprintf(char *str, size_t size, const char *format, ...);
    >     ^
    > /usr/include/x86_64-linux-gnu/bits/stdio2.h:69:39: note: expanded from macro 'snprintf'
    >   __builtin___snprintf_chk (str, len, __USE_FORTIFY_LEVEL - 1, __bos (str), \
    >                                       ^
    > /usr/include/features.h:329:31: note: expanded from macro '__USE_FORTIFY_LEVEL'
    > #  define __USE_FORTIFY_LEVEL 2
    >                               ^
    > xmlrpc.c:152:5: error: expected ')'
    > /usr/include/x86_64-linux-gnu/bits/stdio2.h:69:39: note: expanded from macro 'snprintf'
    >   __builtin___snprintf_chk (str, len, __USE_FORTIFY_LEVEL - 1, __bos (str), \
    >                                       ^
    > /usr/include/features.h:329:31: note: expanded from macro '__USE_FORTIFY_LEVEL'
    > #  define __USE_FORTIFY_LEVEL 2
    >                               ^
    > xmlrpc.c:152:5: note: to match this '('
    > /usr/include/x86_64-linux-gnu/bits/stdio2.h:69:28: note: expanded from macro 'snprintf'
    >   __builtin___snprintf_chk (str, len, __USE_FORTIFY_LEVEL - 1, __bos (str), \
    >                            ^
    > xmlrpc.c:152:5: error: conflicting types for '__builtin___snprintf_chk'
    > int snprintf(char *str, size_t size, const char *format, ...);
    >     ^
    > /usr/include/x86_64-linux-gnu/bits/stdio2.h:69:3: note: expanded from macro 'snprintf'
    >   __builtin___snprintf_chk (str, len, __USE_FORTIFY_LEVEL - 1, __bos (str), \
    >   ^
    > xmlrpc.c:152:5: note: '__builtin___snprintf_chk' is a builtin with type 'int (char *, unsigned long, int, unsigned long, const char *, ...)'
    > /usr/include/x86_64-linux-gnu/bits/stdio2.h:69:3: note: expanded from macro 'snprintf'
    >   __builtin___snprintf_chk (str, len, __USE_FORTIFY_LEVEL - 1, __bos (str), \
    >   ^
    > 3 errors generated.
    
    (cherry picked from commit 358de10a94bef4df6b1811ac8e88ea4e7919542c)

commit e4e5ad4c674d1b27f0c68b7932b679b36e50c08d
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Jun 3 11:17:07 2016 +0200

    travis: remove rebuild twice for MEMDBG test
    
    (cherry picked from commit eb0d271af95ba0eb409716335d86351ea9e94343)

commit 520b6fcd3ae75575c61b31a41d49ddaeab87f24f
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Jun 3 11:12:50 2016 +0200

    pkg/kamailio/deb: fix build rule for modules
    
    (cherry picked from commit 2115943fb5beb11a4b461c14f16dc42df8f32ab3)

commit e5f76d42e98b70ad77b275c654b48a7f22b2df66
Merge: 9bbe982 cad6a67
Author: Olle E. Johansson <oej@edvina.net>
Date:   Fri May 27 16:14:28 2016 +0200

    Merge branch '4.4' of https://github.com/kamailio/kamailio into 4.4
    
    Apologies
    
    * '4.4' of https://github.com/kamailio/kamailio:
      uac: proper skip of uacreg records with empty attributes
      uac: proper handling of empty attribute for uacreg refresh
      Makefile.defs: detect gcc 6.x

commit 9bbe98204295df6a0a2eadc6aaf539c6597f99b5
Author: Olle E. Johansson <oej@edvina.net>
Date:   Fri May 27 16:12:43 2016 +0200

    sqlops Document return values for sql_query()
    
    (cherry picked from commit 639574e79200b5ffae4274b862ad595bd209da24)

commit cad6a67a41c8085f126798859b38a64a7350fbf6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri May 27 11:39:09 2016 +0200

    uac: proper skip of uacreg records with empty attributes
    
    (cherry picked from commit 451b19597c5436ba481a49ecc89cc113829a9425)

commit 3acfc0003915401f1a27120b9a5d329b2e52e78d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri May 27 11:14:26 2016 +0200

    uac: proper handling of empty attribute for uacreg refresh
    
    - reg_db_set_attr() does a continue on empty value, but for this
      operation was not used inside a loop
    - reported by Dmitri Savolainen, GH #643
    
    (cherry picked from commit a34b382002cf9efe13c913f547ffacec3bd7757f)

commit 6a01019bf63cf897d2430d6ada085cd23465fa79
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue May 24 00:00:34 2016 +0200

    Makefile.defs: detect gcc 6.x
    
    - reported by Anthony Messina, GH #633
    
    (cherry picked from commit 1975ebdf37b9ffd325a38960bc0bf417466b432f)

commit d6710fdaf1ea8705655025e231d27828ac89da82
Author: Olle E. Johansson <oej@edvina.net>
Date:   Tue May 24 10:42:38 2016 +0200

    kex Fix spelling error and add "core" as an example of a module name
    
    (cherry picked from commit b5ef63f447e82caf95aa7f03d3c3c0e0e5de5503)

commit 63dea59a507c1e949c4eb605ca5b56163b25c8d4
Author: Federico Cabiddu <federico.cabiddu@gmail.com>
Date:   Tue May 17 14:06:56 2016 +0200

    http_async_client: workaround for dealing with HTTP Via format in replies
    
    (cherry picked from commit 2449f8591261b207c091f9a44ce6cf40bdb71ab6)

commit 053c522e45fedea8bdb2ed92bd1de0a82331a7bf
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu May 12 16:52:34 2016 +0200

    cfgutils: proper check for return code looking up routing block in route_exists()
    
    - when the route block doesn't exist, route_lookup() returns -1, which
      was used to access routing actions due to condition expecting 0 on not
      found. The fix should avoid crashing by accessing invalid addresses.
      Reported by Alex Balashov
    - fixed return codes in the configuration file to follow the rules with
      positive being evaluated to true and negative to false
    - route_exists() returns the code returned by running actions, like a
      classic sub-route execution
    
    (cherry picked from commit 6a3fc200b19500ddd6ed9a2236db6e21f777564a)


===================== 2016-05-10 Version 4.4.1 Released =====================

===================== Changes Since Version 4.4.0 ===========================

commit 8ccc17f316731492e668d2de0d07b6eb1e5cb4fc
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue May 10 16:45:21 2016 +0200

    Makefile.defs: version set to 4.4.1

commit 5e699d7bcdcffa457e3ff1945c5783e039c57380
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue May 10 16:41:13 2016 +0200

    pkg/rpm: spec updated to 4.4.1 for centos, fedora and oracle-el

commit ea95ff497fbeb9742ff7af395e907a94814547c4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue May 10 16:39:04 2016 +0200

    pkg/rpm: version set to 4.4.1 in rpm specs

commit f8449978ff36daba233b21c0017179f55815ebce
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue May 10 16:31:14 2016 +0200

    modules: acc_radius, kazoo, misc_radius - regenerated readmes

commit b09fc298bc21248486801c38a60fdb5829ea14e8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue May 10 16:27:18 2016 +0200

    misc_radius: fixed missing ending of docbook tag
    
    (cherry picked from commit 17ebcb3ed9c62302c3950fd378401460bef1a6a0)

commit 436bd786616cdce3b15069eb1ba08aeb853916cd
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue May 10 16:26:29 2016 +0200

    acc_radius: fixed ending docbook tags
    
    (cherry picked from commit a2419ccee9a4d2f0f84fc871dbc8afdd3cf7f471)

commit 4ebbbaeaf3c2a2feb30266a7995fa334e3c0fe7b
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue May 10 12:07:55 2016 +0200

    pkg/kamailio/deb: set version to 4.4.1

commit 56bc38856944ca7f8fdbef32c6430b4dac049634
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue May 3 10:18:14 2016 +0200

    pkg/kamailio/deb: use libradcli-dev for radius
    
    https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=822338
    
    kamailio-radius-modules depends on libfreeradius-client
    libfreeradius-client has been deprecated in favor of radcli[1]
    
    (cherry picked from commit e0cb17c329c0f6fa03e55cf041d1ba2a97b6e64f)

commit 25d1ab175d0abd75bf90db6d8bc9d5a10b03d958
Author: Victor Seva <vseva@sipwise.com>
Date:   Tue May 10 08:10:51 2016 +0200

    [acc|misc]_radius: update documentation related to radius client libs_
    
    (cherry picked from commit d4710de1f4e6009598acdf3d837991346023f30e)

commit 956d7f29bb99dec6d6dbc0fff2f5df72d38679fc
Author: Victor Seva <vseva@sipwise.com>
Date:   Tue May 10 08:10:20 2016 +0200

    core: support radius radcli lib
    
    (cherry picked from commit 8aae606809be6160dd48708788051bf7a4a6bc42)

commit a164d19bbe74720ac428a2efd6074397cfb5180e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun May 8 09:41:15 2016 +0200

    smsops: safety checks for pkg malloc in pv get handler
    
    (cherry picked from commit d4a2ba2ef4323b4306109ab5ecccd1368e8c5f82)

commit a588ced38ff3460469e0d46a31c5786cb57fcaf8
Author: Alexandr Dubovikov <alexandr.dubovikov@gmail.com>
Date:   Mon May 9 09:31:02 2016 +0200

    modules/sipcapture updated modparam description
    
    (cherry picked from commit 6e9f1c045ae827ea4f6bec8ab62187ec41788255)

commit a2697207977e43784fe8eba632b7f88f4c641802
Author: Alexandr Dubovikov <alexandr.dubovikov@gmail.com>
Date:   Mon May 9 09:21:32 2016 +0200

    updated SQL and docs
    
    (cherry picked from commit 76649e4bced09b45d5c470a696168929e1758111)

commit 1fb9685ea83353a1d32edd7f94f3b4dc7b755258
Author: Tsvetomir Dimitrov <tsv.dimitrov@gmail.com>
Date:   Sat May 7 09:10:01 2016 +0200

    pkg/rpm: added missing modules to the SPEC file for CentOS 6
    
    - cnxcc added as separate package
    - GH #597
    
    (cherry picked from commit 35a861a89e946a771623001f36dc3d17117be602)

commit e16a2373eeb7e9add61058bda3ab2d5c3cee437e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat May 7 08:58:16 2016 +0200

    smsops: safety check for pkg malloc result
    
    - allocated the biggest possible size to simplify the checks
    
    (cherry picked from commit fd01e587ed115a21284d27d7f402d51dc6f8743a)

commit 31b69ed11536e1dd7ce4baef25d2da91697f1e74
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri May 6 14:03:03 2016 +0200

    kazoo: added some docs for pua_mode param based on lists discussions
    
    (cherry picked from commit df30b8c7c6021d84f560a6fb7d82a11cd0e1b3d5)

commit fdeba44e840616e08a2309eb3cf1517a34ea29fa
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu May 5 10:10:59 2016 +0200

    core: print tos value if socket option for it cannot be set
    
    - to help with GH #598
    
    (cherry picked from commit 0118338d82e2471572990a1ea09593265161e4a4)

commit c5c4610fa293ce8afc15bd6cc04897e34fde797f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu May 5 10:02:34 2016 +0200

    corex: add section ids to docs
    
    (cherry picked from commit cb41e0146a73d9c91b0c590d65094e300ef67933)

commit 316925662a3be833693eba6a2895b41661b4d0db
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu May 5 07:47:36 2016 +0200

    cdp: use the function to check if it is shutdown phase
    
    - global variable is not accessible directly, breaking the build - issue
      introduced with previous commit
    
    (cherry picked from commit e70283a0b6010e4a4c567a50b9008e0d7c1e27d5)

commit b696390ac29225dd29bdeb1ec8fe01690e1c2608
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed May 4 20:01:37 2016 +0200

    cdp: don't lock anymore for session during shutdown callbacks
    
    - if sigterm killed a worker in a locked zone, results in a deadlock at
      shutdown. The cleanup is done by a sigle process, no other processes
      run, therefore no more race
    
    (cherry picked from commit f3f87ca550d44364e3c6cc1653970258fdffaa2c)

commit f739c6d0a861fce1808a93e4660546c746dc7672
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue May 3 10:18:11 2016 +0200

    sdpops: safety check if sdp pointer is null inside sdp_get()
    
    (cherry picked from commit cd67fbb8ecb83944f458ec8a127adc14d5b38aeb)

commit 2189d14f20cf52c4802baffc258ecd5b9127c0c0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue May 3 08:48:02 2016 +0200

    sdpops: removed svn $Id$ lines, coherent indentation and whitespacing
    
    - added license header text
    
    (cherry picked from commit c4299225989d9ccf47c18e50b0014025270c65c7)

commit 6f60780e3fa3d8314e77b9960c04a127ede86b1f
Author: Konstantin S. Vishnivetsky <voip-projects@vishnivetsky.ru>
Date:   Mon May 2 16:03:50 2016 +0200

    pkg/rpm: added folders with rpm specs for oracle el6 and el7
    
    (cherry picked from commit e72c7e068dd510a56033ce422343675aa0fdafe7)

commit c29e524283b50b74f61e704f0e32b86c7941da6b
Author: Jonas BÃ¶ttner <boettner@sipgate.de>
Date:   Mon May 2 14:20:25 2016 +0200

    enum: print out malformed uri in enum_query()
    
    - previous error message did not show up the username part of r-uri.
      therefor debugging was difficult.
    
    (cherry picked from commit fd3c30f981d97622fb99f2122ce0bc950774edfb)

commit aa39e12bf63a325effa52eae924a946005baee3c
Author: Jonas BÃ¶ttner <boettner@sipgate.de>
Date:   Mon May 2 14:19:30 2016 +0200

    enum: single digit is valid in function enum_query
    
    - is_e164() returns true for a single digit (previously two digits)
    
    (cherry picked from commit 86ecdb2ec109af536efa70c2b0e4b93c4072e8b5)

commit 1851ba4c67c8bfa48ae5f65ccecee076960870f8
Author: Olle E. Johansson <oej@edvina.net>
Date:   Fri Apr 29 13:55:00 2016 +0200

    msilo Minor edits to the README
    
    - Move the database field definitions close to the table definition
    - Fix typos, rewrite some parts
    
    (cherry picked from commit ceccf4b9d178e895ae5972f2cddf28e3ef108910)

commit e1b8cc38ba493f6de6a3c70519fb327841efad94
Author: Konstantin S. Vishnivetsky <voip-projects@vishnivetsky.ru>
Date:   Thu Apr 28 22:55:12 2016 +0200

    pkg: added rpm spec file for Oracle Enterprise Linux 7
    
    - includes adding shadow-utils dependency added to make %pre scriplet
      work properly
    - baed on PR #588
    
    (cherry picked from commit b7ec49886264b52b15d22b80c1c74ac40a6fb314)

commit ea20338f8786fac2bb290a610f938fec8e7ece54
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue May 3 16:59:06 2016 +0200

    xmlrpc: user libxml function to get content of node if type not provided for param
    
    - it is considered to be string according to specs
    - old implementation was using the pointer inside the xmlNode struct,
      which may not be available later to free again by xmlrpc module
      garbage collector
    - reported by Juha Heinanen
    
    (cherry picked from commit 6b23c27d8406780083a6b7bb774efa2a53aea540)

commit 72ddb3a70dfc88404eacf0a878f36cc56de2e74e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon May 2 11:46:30 2016 +0200

    lib/srdb1: adjust the length of str time representation for no-quotes
    
    - used only by usrloc fix done in previous commit
    
    (cherry picked from commit f54c723d9d8b8dcd0ad09c3787f3bb2e823d82b8)

commit ffbc7449e315847a43e36ceab2cdc3fe05396115
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon May 2 10:26:35 2016 +0200

    usrloc: don't quote string representation of time for fetching contacts query
    
    - the db api adds quites around string values
    - it results in double quotation, rising db query error
    - reported by Giovanni Mele
    
    (cherry picked from commit aeb85ae3d9097bfd6aaad92a1d5b0c682bf5162c)

commit ea7d88c8a857a53f071e85eb6e467b6ca1a52c73
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon May 2 10:25:21 2016 +0200

    lib/srdb1: added helper function to convert time to unquoted string
    
    (cherry picked from commit b3da13a1025f4380c4929fd53b619ca7fdd09a9d)

commit 964c05c334b4bba0c2eeac20d9b8cc188927d0f4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Apr 30 09:57:54 2016 +0200

    async: fixed list format for dependencies in docs
    
    (cherry picked from commit 4463258d5bb8cb1460f51791d2c3a367ec68e5fb)

commit d82249bb42513e9c06828cae350e01b89a16b77e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon May 2 08:51:44 2016 +0200

    core: pv - coherent indentation and whitespacing
    
    (cherry picked from commit 4ffe8b0f917ec49b3f68afa99d65e384fb011283)

commit f1fc28d0e42980dfc027b6631b1b807deb7f1a98
Author: sergey-vb <sergey.v.basov@gmail.com>
Date:   Thu Apr 28 22:32:14 2016 +0200

    core: fix leak in case of error to get boundary inside check_boundaries()
    
    - impacted setting multi-part body function
    
    (cherry picked from commit 2b427a33937c6a86ab231de39d5a4574309dbfc6)

commit 3550a23ac6a5845839b114b22077978da95740f2
Author: sergey-vb <sergey.v.basov@gmail.com>
Date:   Thu Apr 28 22:31:05 2016 +0200

    textops: fix memory leak in when converting body to multipart with set_body_multipart()
    
    (cherry picked from commit 61435f40f0f4ca25521f7f1b8515e47954a69b2d)

commit 3fd830cfe3bea3f5dde50a26f5ae40b835f7aad0
Author: Mikko Lehto <mslehto@iki.fi>
Date:   Thu Apr 28 15:02:29 2016 +0300

    lib/binrpc modules/ctl utils/kamcmd : set UNIX_PATH_MAX to lowest common value
    
    sockaddr_un.sun_path[] seem to be either 104 or 108 in following Unices:
    104 - NetBSD, OpenBSD, FreeBSD, DragonFly BSD, MINIX, XNU(Apple OS X)
    108 - illumos, Solaris, Linux
    
    (cherry picked from commit bc783befbda947a7d789eebd70c64ec736892df5)

commit 24c6d38f93bc033cd79b90d4a4a24c99597f777c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Apr 24 20:13:44 2016 +0200

    registrar: coherent indentation and whitespacing
    
    (cherry picked from commit 90350e2a71c86e71f81590c80ad714cec6c7ea80)

commit d59d68c367f17e54606e5edac22a1b653b1e91ad
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Apr 24 18:59:38 2016 +0200

    siputils: coherent indentation and whitespacing
    
    (cherry picked from commit 5a31031e62f8872eafc79b41e9594f2f1289f8c3)

commit e082fdc7e401d7f719eb6e12d6b57e2e2fd69215
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Apr 21 13:25:33 2016 +0200

    auth: coherent indentation and white spacing
    
    (cherry picked from commit c4b6428ce71e6d1b18ba2ea6b99c369864b56710)

commit 2e179048a0ffb26719644f293cfd063b0fd6aad6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Apr 19 10:41:02 2016 +0200

    htable: refreshed the readme file
    
    (cherry picked from commit 6adb2fac4a59a35fb1238b4eca5fd8e93c3659c9)

commit f583f0751a7e78bc8ba5ed19ff7fbfea68ce4f6e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Apr 19 10:40:20 2016 +0200

    htable: coherent indentation and whitespacing
    
    (cherry picked from commit 79ad0e2d8a926e867b1f9e69a065e9b1727671ea)

commit 56f5009939e058ac4a9bc356f85b32ca35dc20bd
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Apr 19 10:39:55 2016 +0200

    htable: updated the list of exported variables
    
    (cherry picked from commit 866270a7cc45205deab5b067be68e5c6a66704e8)

commit 2181edd60a2597a75eef7e2529faf0ed7948c1c7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Apr 18 12:52:25 2016 +0200

    app_python: fix of buf memory allocation size for chars
    
    (cherry picked from commit 5042f309739460ad87dc9a064c43e602602da703)

commit 0110a8b55ba9d48aa22123802d2a562fa2e89195
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Apr 18 12:35:36 2016 +0200

    app_python: coherent indetation and whitespacing
    
    (cherry picked from commit 8d7c12ab295fdb41390dd56744cc0b012851788b)

commit d8a893d45d891bc3f8d00e3e76c9cd92195e164c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Apr 12 13:48:22 2016 +0200

    core: receive.c coherent indentation
    
    (cherry picked from commit 7de8a92fd805b73495cc929cf9ca981ecd509c9a)

commit 3616af6b5f2aae383c93507563a33913e3f723e9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Apr 11 12:57:31 2016 +0200

    Makefile.rules: added target tags as alias for target TAGS
    
    (cherry picked from commit b024f5aea72f172b39dd4d8947934be52f07dbe4)

commit 74052b4a0f50b19d42a6fbcae3df38136046f993
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Apr 4 08:53:12 2016 +0200

    core: declare function parameter type to get rid of compile warning
    
    (cherry picked from commit ad2f899c1ad75c2b636cb17b6c1c49cb38daab27)

commit 66e1479260a3a657c86e0a9d0ae3fd5c71954f95
Author: Seudin Kasumovic <seudin.kasumovic@gmail.com>
Date:   Tue Apr 26 15:49:00 2016 +0200

    erlang: fix where is registered pseudo process
    
    - check is event route exist for queried registered process
    - check argument type and function arity
    - ensure error message proper formatted
    
    (cherry picked from commit 0f52906f28fdf38e56fd37e6ed34155b2deee505)

commit d29ff6a5f31f76ab9fb4e423c88b8c1cc9d4627d
Author: Seudin Kasumovic <seudin.kasumovic@gmail.com>
Date:   Tue Apr 26 14:04:41 2016 +0200

    erlang: extend error message function with variable number of arguments
    
    - wrap around vsnprintf
    
    (cherry picked from commit 3d002d8f42eb24e978bc86cd3b4565872e65eb1e)

commit dc58d67e400334759185b0eb672160482e067c74
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue Apr 26 10:57:34 2016 +0200

    travis-ci: IRC notifications to #kamailio-dev channel
    
    (cherry picked from commit 0dfd44a0502abbf20269d73a230be983cbb97b8d)

commit 3fdf0463e2290ae891587dbac8cbd6b2d0e722fd
Author: Seudin Kasumovic <seudin.kasumovic@gmail.com>
Date:   Tue Apr 26 09:55:43 2016 +0200

    erlang: fix function call in event route
    
    - allow call functions for RPC and message send in event route
    - detect RPC loop
    - function/api call is possible in event route if event route is not
    triggered by handling REX call (avoid deadlock)
    
    (cherry picked from commit b0c04dd2eff3f288ac98c0074683db150727227a)

commit 615b252510cee01dc6f24ac7d12f07dcb6b50366
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Apr 20 12:02:09 2016 +0200

    Makefile.defs: detect kfreebsd OS and set its default compile flags
    
    - combine the options of Linux with FreeBSD to use kqueue if available
    - reported by Victor Seva, GH #576
    
    (cherry picked from commit 4c6f879563adbbdee7c730549533a0d852e6cbef)

commit 71f329c971d6ad18f7eda16a2b50b25e9efd3236
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Apr 20 11:59:25 2016 +0200

    core: remove ending parenthesis in ifdef condition
    
    warning: ISO C99 requires whitespace after the macro name
    sched_yield.h:34:20: warning: extra tokens at end of #ifndef directive
     #ifndef sched_yield()
    
    - reported by Victore Seva, GH #576
    
    (cherry picked from commit 34b67125424da7ce86b5cac77e30af0711fafac1)

commit 528842d4dfea3d6785e6cee0cd3fb6411ee3dc7d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Apr 25 08:56:00 2016 +0200

    jsonrpc-c: replaced use of obsolete function json_object_object_get()
    
    (cherry picked from commit be02b3f11c269d3eeeb52e1cd0056d7d77be2e4c)

commit 2700d7b8df738f9e5db82dca87cbab5549f2e0d1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Apr 25 08:54:45 2016 +0200

    json: replaced use of obsolete function json_object_object_get()
    
    - reported by Olle E. Johansson, GH #579
    
    (cherry picked from commit 8b9fd4fa40abfc40ecd537948036aa91b908615d)

commit bf76f94e939c0d96ca25a2d75623e7fcff78c01e
Author: Seudin Kasumovic <seudin.kasumovic@gmail.com>
Date:   Wed Apr 20 11:36:40 2016 +0200

    erlang: fix parsing function params
    
    - remove double parsing function params
    - free memory used in parsing params
    
    (cherry picked from commit 28b320088fcad8b8875f0528873a49cba9c74619)

commit 2c650622cf7cd37dc1c5177ad314681113ac324d
Author: Seudin Kasumovic <seudin.kasumovic@gmail.com>
Date:   Wed Apr 20 11:10:39 2016 +0200

    erlang: fix memory leak in debug macro
    
    - free temporary used encoding buffer
    
    (cherry picked from commit 2b11990929ae1d097bfb66848136bd247130263b)

commit 8d07ef72e8280b4367e430bf081d54e0a0b5f4c1
Author: Seudin Kasumovic <seudin.kasumovic@gmail.com>
Date:   Mon Apr 18 11:30:23 2016 +0200

    erlang: fix uninitialized member variable
    
    - avoid conditional jump on uninitialized value
    
    (cherry picked from commit 0e3b19f4b99ea0b9e4eff2decb641e5da2488573)

commit c302b9e920342869721342c42f9014bd079fb456
Author: Olle E. Johansson <oej@edvina.net>
Date:   Tue Apr 19 21:24:31 2016 +0200

    dialog Update README with explanation of in-dialog request behaviour
    
    (cherry picked from commit 19ef4f6ec8c22848eb4386f5f4996d5091c65688)

commit 19d4d3f5a1a49335377c9befd238b729b957f42b
Author: Olle E. Johansson <oej@edvina.net>
Date:   Tue Apr 19 14:11:33 2016 +0200

    dialog Document shortest ka_interval
    
    (cherry picked from commit 9710f1c92baee8ec379d64b75531bed5cf7695fb)

commit 22003d5cba54b5c0d0f0af06f62be24190bef231
Author: Olle E. Johansson <oej@edvina.net>
Date:   Mon Apr 18 13:43:15 2016 +0200

    http_client Clarify DNS resolver use for CURL
    
    (cherry picked from commit e85706b549e691404e3caf401fa4cf86c5ab90de)

commit 3356d6aca4c85e7c086b1d46cf06e56635fd4739
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Apr 15 09:09:08 2016 +0200

    app_perl: Fix "use UNIVERSAL" is a fatal error since perl 5.22
    
    * Author: JuliÃ¡n Moreno PatiÃ±o <julian@debian.org>
    * Fix #516
    * from: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=821039
    
    (cherry picked from commit b77ed54d33f171d170ca89252f0a31a0d23996fa)

commit 3e29e0bcfb14f0e95639eb99b777da84d46becf1
Author: Seudin Kasumovic <seudin.kasumovic@gmail.com>
Date:   Wed Apr 13 00:34:41 2016 +0200

    erlang: fix compile warning unused but set variable
    
    - get rid of this variable
    
    (cherry picked from commit 32c3435c8122903958834002ba843b93c49495f0)

commit 297d9732504290a1209ae7cf883127fadc1156aa
Author: Seudin Kasumovic <seudin.kasumovic@gmail.com>
Date:   Wed Apr 13 00:15:56 2016 +0200

    erlang: fix register server process with the local name server epmd
    
    - use correct alive name when number of C nodes greater then 1
    - fix error check on register server process
    
    (cherry picked from commit 6f268b5a9d0bd07e689c401cb7221bb0f2c5f8be)

commit 02b17b881d63fe91221f5673dd3418831c943bd0
Author: Camille Oudot <camille.oudot@orange.com>
Date:   Mon Apr 11 18:53:05 2016 +0200

    dialog: fix $dlg(from_bindaddr) getter

commit 1ec385ccd9054952b86cc976ae1debe70dc8d297
Author: Camille Oudot <camille.oudot@orange.com>
Date:   Mon Apr 11 17:02:03 2016 +0200

    dialog: fix $dlg(from_bindaddr) name parsing
    
    (cherry picked from commit f95789fd39fcce7b3aa3a0ab8665664afd8bc196)

commit b21b9cd9cb6a08b9bfc9d025b4e6a64a12e50d65
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Apr 8 15:10:55 2016 +0200

    Makefile.defs: re-enable mem join define
    
    - lost when introduced the option to select the memory manager by
      command line parameter -x
    
    (cherry picked from commit 33c6aafcd46269ce283908f49fbf70b9d73624b1)

commit 49ec5fa5d9bb939b80ef3994b5f0c04e7525ab9f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Apr 6 19:22:58 2016 +0200

    core: common check for ifa->ifa_addr in add_intefaces
    
    - if no ip address associated with the network interface, it is not
      useful anyhow
    
    (cherry picked from commit c395ae00d7970be0a857265e9324a50bcb00f4d0)

commit 6684be6b4c405ab24dd6a5a19267ceef6aa95503
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Apr 6 18:55:57 2016 +0200

    core: check if ifa_addr field is set while trying to skip AF_PACKET interfaces
    
    - reported by Juha Heinanen
    
    (cherry picked from commit 1545b8de396e8e5d0ef24c9102beff18b3cf36e5)

commit 87af066010ca0b89a4752fe593c091253b842d6c
Author: Olle E. Johansson <oej@edvina.net>
Date:   Sun Apr 3 21:45:37 2016 +0200

    evapi Fix URL to library home page in README

commit cf3457fd35909993c3e354e726d243f137dfe227
Author: Olle E. Johansson <oej@edvina.net>
Date:   Fri Apr 1 20:28:50 2016 +0200

    Revert "db_flatstore Edit source code headers - change product name to Kamailio etc"
    
    This reverts commit 9ecf2492b1952d71d4ec89ba4df5fde428a86a94.

commit 5d1f2e8ca6c44f35b070157c06811a8834615e47
Author: Olle E. Johansson <oej@edvina.net>
Date:   Fri Apr 1 20:28:39 2016 +0200

    Revert "db_flatstore Rename core module file to match module name"
    
    This reverts commit ddb1069e7c03544f80fc728503b7df1005ccf54d.

commit cb8fd2fa94599dd37607c511c7dac2d12188cc57
Author: Olle E. Johansson <oej@edvina.net>
Date:   Fri Apr 1 20:28:27 2016 +0200

    Revert "registrar Rename core file to match module name"
    
    This reverts commit 932a08610b6d3d3537414d4dc401cf8a8942282c.

commit eb6254b9e82e650f2471ba4a5f58636580cd66cd
Author: Olle E. Johansson <oej@edvina.net>
Date:   Fri Apr 1 20:28:15 2016 +0200

    Revert "db_postgres Rename core files to match module name, rename SER to Kamailio and remove svn ID's"
    
    This reverts commit a4b3dfd711af986f3992ded4bf608eb0f60dea6f.

commit 26aa3b6c27e3598b075d923203af5af31f7c0efc
Author: Olle E. Johansson <oej@edvina.net>
Date:   Fri Apr 1 20:27:59 2016 +0200

    Revert "db_text Change core source code file name to match module name"
    
    This reverts commit 44c2ebd7ae7e744880af0397703dd405e8eb5d52.

commit 947b86ca81d8f0205205f3bb8328b8110eb1daa2
Author: Olle E. Johansson <oej@edvina.net>
Date:   Fri Apr 1 20:27:44 2016 +0200

    Revert "db_mysql Rename core source code file to match module name"
    
    This reverts commit 29fda7288eba52ca73c893cb534bd14c66749827.

commit 7c62633751f6405ab183f054701280ab32b444ae
Author: Olle E. Johansson <oej@edvina.net>
Date:   Fri Apr 1 20:27:30 2016 +0200

    Revert "auth_identity Change product name"
    
    This reverts commit 9aaff8933f4f4ee0da6accbf7773334fb187274b.

commit d1b906d0c2acbec5f9daa22805d0a45211d60486
Author: Olle E. Johansson <oej@edvina.net>
Date:   Fri Apr 1 20:27:19 2016 +0200

    Revert "lcr Change name of software, remove SVN ID and history"
    
    This reverts commit 853fadd1cd90460d78e8563d611e444dc786e654.

commit 53a75276dec8d274b0ca843ce1e6773cfca3828f
Author: Olle E. Johansson <oej@edvina.net>
Date:   Fri Apr 1 20:27:05 2016 +0200

    Revert "Dispatcher Minor edit to have proper name in source code file"
    
    This reverts commit 651407857d129f464515c5cf80ce687257066395.

commit d6abbc8e86ec43c216ba78197dfcf082507d6ca4
Author: Olle E. Johansson <oej@edvina.net>
Date:   Fri Apr 1 20:26:55 2016 +0200

    Revert "mediaproxy Rename SIP-router to Kamailio"
    
    This reverts commit 38a9ae753b4d68d8c229366fd4254839536e5669.

commit 7371ed72e20b7d25aa527d78a1fd50366e61a2ed
Author: Olle E. Johansson <oej@edvina.net>
Date:   Fri Apr 1 20:26:32 2016 +0200

    Revert "auth_identity Remove SVN ID's"
    
    This reverts commit 39360d98a6c1f80daa67fd1348fdab63bd8a5822.

commit 22ac262cc88cdb78fba1329333412c7f7447128f
Author: Olle E. Johansson <oej@edvina.net>
Date:   Fri Apr 1 20:26:20 2016 +0200

    Revert "auth_radius Remove SVN ID's and history comments"
    
    This reverts commit 706e58ff60003a6dca09ad79efef7f1a423d232e.

commit 52160709baae08cde3902410a9a7b579d40445cd
Author: Olle E. Johansson <oej@edvina.net>
Date:   Fri Apr 1 20:26:10 2016 +0200

    Revert "auth_radius Rename module core file"
    
    This reverts commit db4b4b68ff91a8e2f00864b29af010514eadf233.

commit 5534237dd155474932a518366b5f1c63f15bdef7
Author: Olle E. Johansson <oej@edvina.net>
Date:   Fri Apr 1 20:26:00 2016 +0200

    Revert "websocket Rename core module name for consistensy"
    
    This reverts commit ac2043d1c0a4c921c0d41e5a1a9ff33530449bb6.

commit 4bb26a40f9a14e9d703d899abe76abee0fd5057d
Author: Olle E. Johansson <oej@edvina.net>
Date:   Fri Apr 1 20:25:44 2016 +0200

    Revert "permissions remove svn ID's and history from source code"
    
    This reverts commit 1538ba701438bf0bfc610af284d67987b9b47bb6.

commit 9ecf2492b1952d71d4ec89ba4df5fde428a86a94
Author: Olle E. Johansson <oej@edvina.net>
Date:   Fri Apr 1 18:25:42 2016 +0200

    db_flatstore Edit source code headers - change product name to Kamailio etc

commit ddb1069e7c03544f80fc728503b7df1005ccf54d
Author: Olle E. Johansson <oej@edvina.net>
Date:   Fri Apr 1 18:22:39 2016 +0200

    db_flatstore Rename core module file to match module name
    
    Issue #82

commit 932a08610b6d3d3537414d4dc401cf8a8942282c
Author: Olle E. Johansson <oej@edvina.net>
Date:   Fri Apr 1 18:17:06 2016 +0200

    registrar Rename core file to match module name
    
    Issue #82

commit a4b3dfd711af986f3992ded4bf608eb0f60dea6f
Author: Olle E. Johansson <oej@edvina.net>
Date:   Fri Apr 1 18:14:04 2016 +0200

    db_postgres Rename core files to match module name, rename SER to Kamailio and remove svn ID's
    
    Issue #82

commit 44c2ebd7ae7e744880af0397703dd405e8eb5d52
Author: Olle E. Johansson <oej@edvina.net>
Date:   Fri Apr 1 18:05:33 2016 +0200

    db_text Change core source code file name to match module name
    
    Issue #82

commit 29fda7288eba52ca73c893cb534bd14c66749827
Author: Olle E. Johansson <oej@edvina.net>
Date:   Fri Apr 1 18:03:10 2016 +0200

    db_mysql Rename core source code file to match module name
    
    Issue #82

commit 9aaff8933f4f4ee0da6accbf7773334fb187274b
Author: Olle E. Johansson <oej@edvina.net>
Date:   Fri Apr 1 17:59:59 2016 +0200

    auth_identity Change product name

commit 853fadd1cd90460d78e8563d611e444dc786e654
Author: Olle E. Johansson <oej@edvina.net>
Date:   Fri Apr 1 17:58:38 2016 +0200

    lcr Change name of software, remove SVN ID and history

commit 651407857d129f464515c5cf80ce687257066395
Author: Olle E. Johansson <oej@edvina.net>
Date:   Fri Apr 1 17:54:48 2016 +0200

    Dispatcher Minor edit to have proper name in source code file

commit 38a9ae753b4d68d8c229366fd4254839536e5669
Author: Olle E. Johansson <oej@edvina.net>
Date:   Fri Apr 1 17:53:04 2016 +0200

    mediaproxy Rename SIP-router to Kamailio

commit 39360d98a6c1f80daa67fd1348fdab63bd8a5822
Author: Olle E. Johansson <oej@edvina.net>
Date:   Fri Apr 1 17:51:52 2016 +0200

    auth_identity Remove SVN ID's

commit 706e58ff60003a6dca09ad79efef7f1a423d232e
Author: Olle E. Johansson <oej@edvina.net>
Date:   Fri Apr 1 17:47:59 2016 +0200

    auth_radius Remove SVN ID's and history comments

commit db4b4b68ff91a8e2f00864b29af010514eadf233
Author: Olle E. Johansson <oej@edvina.net>
Date:   Fri Apr 1 17:46:36 2016 +0200

    auth_radius Rename module core file
    
    Issue #82

commit ac2043d1c0a4c921c0d41e5a1a9ff33530449bb6
Author: Olle E. Johansson <oej@edvina.net>
Date:   Fri Apr 1 17:42:31 2016 +0200

    websocket Rename core module name for consistensy
    
    Issue #82

commit 1538ba701438bf0bfc610af284d67987b9b47bb6
Author: Olle E. Johansson <oej@edvina.net>
Date:   Fri Apr 1 17:36:39 2016 +0200

    permissions remove svn ID's and history from source code

commit e6dd2c172be3712e8c468cbe7e55ba94d81a7b62
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Apr 1 11:10:46 2016 +0200

    core: test if AF_PACKET is defined at compile time
    
    - mac os x (and perhaps *BSDs) doesn't have it
    
    (cherry picked from commit 8543993e1f702aef80887c0e72b9bf67c62c1617)

commit 4992dfbb9f15cfb8ade99be4e6d3087146cb8e22
Author: schoberw <walter.schober@neotel.at>
Date:   Fri Apr 1 10:34:11 2016 +0200

    core: skip address family AF_PACKET on -l iface_name
    
    - socket_info.c: getifaddrs() returns AF_PACKET, AF_INET and AF_INET6 addressed of an interface.
      AF_PACKET are of no use and breaks startup with an -l eth0:5060 cmd line param
    (cherry picked from commit d7fca53e8c5409849ec044098a143e7254129c00)


===================== 2016-03-30 Version 4.4.0 Released =====================

===================== Changes Since Version 4.3.0 ===========================

commit 665000690364dd2c0b59184885064d93343901bd
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 30 15:27:20 2016 +0200

    auth_xkeys: init var to get rid of compile warnings
    
    (cherry picked from commit f8a924874a17e15511ccf1f5ca284c5e2247d805)

commit c1c1b39b25eb70bfc512ac9d9fee28355cce3cfb
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 30 15:25:29 2016 +0200

    pkg/deb: version set to 4.4.0 in spec files

commit a1f27b008994f309731818649274d449e1a28f71
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 30 15:03:47 2016 +0200

    cnxcc: incude stdlib.h to get rid of compile warnings for malloc/free
    
    (cherry picked from commit 8a8ed04d2bbd0547a08eeec328268cd171cc9419)

commit b944dad974cd55a05c2f2811af5606b3c6cae2b8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 30 14:59:56 2016 +0200

    Makefile.defs: version set to 4.4.0

commit 6bd9386e001f5843f5a46c387587e71a7d89c942
Author: Olle E. Johansson <oej@edvina.net>
Date:   Wed Mar 30 15:03:05 2016 +0200

    http_client Remove the last traces of $curlredirect
    
    Will continue working with this in master

commit 9589a0168c632e8d934ea45889352864e82d19d3
Author: Olle E. Johansson <oej@edvina.net>
Date:   Wed Mar 30 15:01:45 2016 +0200

    http_client.c Remove code that doesn't even try to work

commit 5eabc7e56bd32694438801cc7730109e8d4c2359
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 30 14:56:12 2016 +0200

    ChangeLog: refreshed the relevant changelog content for v4.4.0

commit 82a7f3c0f47d764ec734676c4da1a6a81ef81141
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 30 14:50:06 2016 +0200

    pkg/rpm: version set to 4.4.0 in spec files

commit b235ca538735bc0580193585a3c0a71edf1c813d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 30 14:46:49 2016 +0200

    README.md: travis status moved next line to the title

commit 1c82c03c64b62a4fcf409912c50859018f103fa5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 30 14:44:17 2016 +0200

    INSTALL: small cleanup

commit fd9bcba70bd7ea14d6581ba011d06e3d043ac69c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 30 14:40:53 2016 +0200

    README: polishing for v4.4

commit 090f0bf45b955cff303472978f00053c5277bd10
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 30 14:37:45 2016 +0200

    topos: remove unused variables
    
    (cherry picked from commit 9aeaf65b042b7e65d962a9949b9a56e60743d89a)

commit 3d3a255f4f34b765a835d94721d10aa6db3dda4b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 30 14:28:27 2016 +0200

    topos: swapping direction handling for contact in response
    
    (cherry picked from commit 7c48b0fce5d59f237103cd26a61e616d74cabcb3)

commit 53a6e2542118fc268d4b6333bf741c8287ad22ff
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 30 13:41:40 2016 +0200

    topos: reset the flags of dlg storage record on bye
    
    (cherry picked from commit ee67b5ee18dbd791f898ad5f472715b7bf818cfc)

commit 1d71e863f52ba9cc5dc050d8db1d2b3c91d1bb07
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 30 13:26:17 2016 +0200

    topos: clean not confrmed dialogs from db storage based on branch expires
    
    (cherry picked from commit 0103cc98b80a16081c1da39d6d674e9eba98f91b)

commit dc6de500a862748463c8e3755b813b8c07ee68cb
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 30 13:19:01 2016 +0200

    topos: update the db storeage for confirmed dialogs
    
    (cherry picked from commit ed262dfb056f94e2fc81bcb59cd744f4924a76ef)

commit 1b0638e1e71d0c724d389524b9fd77fa6e6adb5a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 30 12:41:00 2016 +0200

    topos: use headers to pass dlg id between receive and send of dlg requests
    
    - it is no longer in the context to be used directly
    
    (cherry picked from commit 95572016c2d6764f75775230d5e6cf5d180c6e06)

commit f6697740e7d55f8eca2039c235feaff91f5aa14f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 30 00:30:57 2016 +0200

    topos: restore stripped headers when receiving a dlg request
    
    (cherry picked from commit 2cb59f1716931e58b00ba7c0c177b0609c796b17)

commit 486341c76bc09fb5ead0fa63b890adb260871740
Author: Sergey Okhapkin <root@west2.callwithus.com>
Date:   Tue Mar 29 23:21:46 2016 +0200

    geoip2: Improve detection of addresses used by anonymous proxies
    
    (cherry picked from commit c49011c2cc63d35bca6904748da166814a792fc9)

commit 75df6618a6eaec8314480de193e2a9a7cbe25324
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 29 23:12:44 2016 +0200

    pv: fix compile warning for shm_initialized() test
    
    - coherent whitepacing across the file
    
    (cherry picked from commit d3d1592eb7148586cb70e93f549ff11fd5cf5316)

commit 20fd3b1a1e1663fc79b3b44e39a874ecbfc6ce5c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 29 23:07:19 2016 +0200

    pv: coherent indentation and whitespacing
    
    (cherry picked from commit 594d1090b1b4cea26892f14f0adebc46bc05314b)

commit 14d9a00bd61b3f0248b39e0306445efe8a215fc7
Author: Olle E. Johansson <oej@edvina.net>
Date:   Wed Mar 30 11:12:20 2016 +0200

    auth_radius Update documentation to be more clear about the different libraries supported
    
    (cherry picked from commit 057abc8d5588139059c37de232c2dcfa4c0e04cd)

commit dc828be6da416b8bb1ba8fbcc52942221782314e
Author: Olle E. Johansson <oej@edvina.net>
Date:   Mon Mar 28 19:09:21 2016 +0200

    http_client Add configurable authentication methods
    
    Attempt to fix issue #515
    
    (cherry picked from commit 4bf3a517991b374308b033b85c82058c37e4e90a)

commit 37e59b5d1d3d12a2358d24fc5e37f2f55ee2e41a
Author: Olle E. Johansson <oej@edvina.net>
Date:   Mon Mar 28 11:54:53 2016 +0200

    http_client Debug http_proxy and add http_proxy usage to the http_client_query function
    
    (cherry picked from commit 34ffef464fbb26c3526990a0bf8b9c5d1cd4ee97)

commit cb26fbd82c9594bd670beb27cb3ee1b99603b6c6
Author: Olle E. Johansson <oej@edvina.net>
Date:   Mon Mar 28 12:08:25 2016 +0200

    http_client Add error parsing for DNS issues with http_proxy
    
    (cherry picked from commit 438f91b8b5a43516d8904f23be2fa9898fdc465c)

commit 78bc680355075304e6e93d91347a564ac8eed20f
Merge: 00a01a4 78a43ba
Author: Olle E. Johansson <oej@edvina.net>
Date:   Wed Mar 30 08:53:57 2016 +0200

    Merge branch '4.4' of https://github.com/kamailio/kamailio into 4.4
    
    * '4.4' of https://github.com/kamailio/kamailio: (32 commits)
      Update hep.c
      core: mem - updated defines to pkg mod stats
      Makefile.defs: version set to 4.4.0-rc2
      Makefile.defs: re-enable pkg malloc
      topos: reused stored branch attributes in case of retransmission
      http_async_client: use pkg-config for libevent compile flags detection
      mem: shm - updated macros for mod stats api
      uuid: detect if pkg-config knows about uuid lib
      mem/tlsf_malloc: updates to use new api names for module stats
      mem/q_malloc: updates to use new api names for module stats
      mem/f_malloc: updates to use new api names for module stats
      core: mem/shm - use module stats fields for init of managers
      core: mem/pkg - use module stats fields for init of managers q
      core - mem: renamed api fields for module stats to repleft the purpose
      tm: coherent indentation
      p_usrloc: free allocated items in case of no more memory during domain add
      core: mem - export pkg api even when using system malloc
      presence: remove jumping to error from error in update_presentity()
      http_client: check first if pointer is not exceeding limit
      usrloc: if no location record loaded from db, then no attrs to look up
      ...

commit 00a01a4d7eb736a0ee481e10e2e8fe876e5edbeb
Author: Olle E. Johansson <oej@edvina.net>
Date:   Mon Mar 28 19:56:36 2016 +0200

    http_client Fix typo
    
    ...and compile before commit...
    
    (cherry picked from commit 7a23fd2c9ec66332097b639d4bedde52731e2bae)

commit fadd19ed1832d88fdeea7df267557419191447f9
Author: Olle E. Johansson <oej@edvina.net>
Date:   Mon Mar 28 20:42:37 2016 +0200

    http_client Add note about empty string in configuration file
    
    (cherry picked from commit 68547d50668032c1a43e81f2eabf4d2b709ff049)

commit 78a43ba3f86c336295d5385c8d5ec3039c3c1032
Merge: 24d31da ac90a7c
Author: Alexandr Dubovikov <alexandr.dubovikov@gmail.com>
Date:   Tue Mar 29 23:17:03 2016 +0200

    Merge pull request #554 from adubovikov/4.4
    
    modules/sipcapture: fixed correlation_id pointer for HEPv2/v1

commit ac90a7c1066cc8a5e01152a1c6bfc704f6667d98
Author: Alexandr Dubovikov <alexandr.dubovikov@gmail.com>
Date:   Tue Mar 29 13:53:19 2016 +0200

    Update hep.c

commit 24d31da6fea5f177a43b492853362d56e9298ef6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Mar 28 14:37:59 2016 +0200

    core: mem - updated defines to pkg mod stats
    
    (cherry picked from commit 69f9328ddd959a70de8b94152704326dcca6a8cc)

commit 8ce95cbe27a0244ae1db2630bcc8c513485155ca
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Mar 28 11:22:27 2016 +0200

    Makefile.defs: version set to 4.4.0-rc2

commit 543958280f732c5a9de2fbc7f84ae227e6929098
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Mar 28 11:21:26 2016 +0200

    Makefile.defs: re-enable pkg malloc
    
    - was disabled for compile tests with system malloc

commit acb67a89ceba1428e465b1ff8e052b7683241e61
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Mar 28 10:56:14 2016 +0200

    topos: reused stored branch attributes in case of retransmission
    
    (cherry picked from commit a4043c445b0673ca8f5ff7819caf9ac156da1e73)

commit 94e0ca56f2fd7ed56b511ab3572484cd780279a6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Mar 28 10:22:10 2016 +0200

    http_async_client: use pkg-config for libevent compile flags detection
    
    - re-enable pkg-config for libcurl
    
    (cherry picked from commit 88d8aabb748d2c0ab476cea9a4a17eb990b618f7)

commit ef8ee4cd13396bbd4fa2be1cd7b07a69bcd55eeb
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Mar 27 14:40:46 2016 +0200

    mem: shm - updated macros for mod stats api
    
    (cherry picked from commit e5538f1814ed5b96a01c7006d15c9192238c9b19)

commit 21cb1bf26aed825cc0a2e5d7bdee0d61e1a700cc
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Mar 27 14:40:09 2016 +0200

    uuid: detect if pkg-config knows about uuid lib
    
    (cherry picked from commit 66fc01f48ea2d6fa8f20f39e1bcd01d498f8580d)

commit 97c2f855920f1aca0d47ed339e11cb0b2188edde
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Mar 27 14:24:00 2016 +0200

    mem/tlsf_malloc: updates to use new api names for module stats
    
    (cherry picked from commit 1eafbaf5b2d25879225b8e4c4797285dba2d460f)

commit cb2c14f2dbdbc6fdcb7a0565b2718379241d655a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Mar 27 14:23:46 2016 +0200

    mem/q_malloc: updates to use new api names for module stats
    
    (cherry picked from commit 8f2864b1845cfa2b520c0886e30d1f5df285eef6)

commit d39d166e753ade7dfbd0f439db03f7d09f91a601
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Mar 27 14:23:02 2016 +0200

    mem/f_malloc: updates to use new api names for module stats
    
    (cherry picked from commit ec15fc65bc6d38e74fdcf6a1fa6ef10053452365)

commit 7c521fcbded0a14b8bfa5488511fe0a08f105085
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Mar 27 14:22:37 2016 +0200

    core: mem/shm - use module stats fields for init of managers
    
    (cherry picked from commit 26dbc87aac8d117bf0928eb2124ecc91e512e20f)

commit 792491709f30331e0d53bda610a7614eff6228ee
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Mar 27 14:21:55 2016 +0200

    core: mem/pkg - use module stats fields for init of managers
    q
    
    (cherry picked from commit b568c6533670b1400f7c12bd13169d41542c351a)

commit bc63f4726541d694da2184a3f41becb78966c4be
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Mar 27 14:21:12 2016 +0200

    core - mem: renamed api fields for module stats to repleft the purpose
    
    (cherry picked from commit 50ac46bfc233531f9f4be22be4aee07a8faa0325)

commit 85a5b41599e9a8a27c10acdc17438b0571e5171d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Mar 27 12:04:47 2016 +0200

    tm: coherent indentation
    
    - removed historical top comments
    
    (cherry picked from commit 5d903fd40a9e89d601be25df282a008ba8ba421e)

commit 1a1f3606bde2a4e45ade6212a440e5289de5af91
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Mar 27 11:48:33 2016 +0200

    p_usrloc: free allocated items in case of no more memory during domain add
    
    (cherry picked from commit b27384a0a7c6567a9ecebab3f987079ad0ff7366)

commit dec9de968e5894fba808e01614a29655ce375141
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Mar 27 11:39:09 2016 +0200

    core: mem - export pkg api even when using system malloc
    
    (cherry picked from commit 33fe5e38d2eefc2244eccb6279c082a789ed0307)

commit 745e5dd42d032f0343c88d033e3b924fa79cd5ae
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Mar 27 11:38:17 2016 +0200

    presence: remove jumping to error from error in update_presentity()
    
    - coherent indentation
    
    (cherry picked from commit 07dbe3697bcad18f5766fc0d71a7fc48ff8a26d0)

commit f229c60396fa8590bbbb2d66cb8006dd31ab6521
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Mar 26 22:29:27 2016 +0100

    http_client: check first if pointer is not exceeding limit
    
    - then test its value not to be null char
    
    (cherry picked from commit 47a776efcd3d5c2ffafdd780fa169edc85e436d2)

commit b667c768dd87575873cec872abdf3caaf20c9ffc
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Mar 26 13:09:53 2016 +0100

    usrloc: if no location record loaded from db, then no attrs to look up
    
    (cherry picked from commit bedd6f4df9d2b5600bed5e31052bc49f8b18382f)

commit fd20bff1e420a93be588b2c0dd4189f6f7e8ea0b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Mar 26 13:01:01 2016 +0100

    seas: init variable to get rid of compile warning
    
    (cherry picked from commit 3a25e489d0ab8d55d4011ccf62de4f3d8d08b028)

commit ed9ad742f9e9cd0d6e75dc788923addf9984ce3d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Mar 26 12:58:33 2016 +0100

    lib/trie: init variable to get rid of compile warnings
    
    (cherry picked from commit 5075cef8230202138bf08c402797d9dffcb8971d)

commit b28b3d27597b898add46051f24120f833b035d3d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Mar 26 11:26:29 2016 +0100

    ndb_redis: safety check for log message parameters
    
    (cherry picked from commit 0a51e8c941b1c916137eb3e57fa7db86ecb9a1f8)

commit 6a65b9ae0432491a1bcf540643f7b90cbc0c3ad1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Mar 26 11:22:32 2016 +0100

    dispatcher: proper check for ds active ping variable
    
    (cherry picked from commit cafb1522b2c27aae404d97fe242324423ccdb99b)

commit 410bdba67ec77e87d2ff53f429bc260c03b10317
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Mar 26 11:18:36 2016 +0100

    crypto: safety check for memory allocation and free on error cases
    
    (cherry picked from commit 181c3cfa266ec5897cc2fdd889d90928f90fcbb8)

commit 4080d31080b5ad74504715b404e0829be090c731
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Mar 26 11:11:25 2016 +0100

    cnxcc: use pkg-config for libevent compile flags
    
    (cherry picked from commit fa0d3267890e77a5184490d11f76fe4cb400e2df)

commit a45f580174ee5b21746e5e0172c55fccb421d25d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Mar 26 10:23:02 2016 +0100

    cnxcc: use pkg-config for hiredis lib compile flags
    
    (cherry picked from commit 162ccdaeeb6bff185f49b3dc2e2b9b43687ec0fc)

commit b04d257acd0dddd87051266493a81b93210de3bc
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Mar 26 11:05:26 2016 +0100

    ndb_redis: fix for broken output of pkg-config for hiredis
    
    (cherry picked from commit 4a40dd39cec713c569dc3480c905d808026aad39)

commit b53bf975bddf16424d7b6416276371e12cf590f4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Mar 26 08:44:16 2016 +0100

    ndb_redis: use pkg-config for compile flags
    
    (cherry picked from commit 57bcad1b336e7aae5c0933a83ac4ab16f6893896)

commit 7423c33bfb56268bfa9cb3c03966c37c9a2d7d69
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Mar 24 09:21:00 2016 +0100

    dispatcher: coherent indentation and whitespacing
    
    (cherry picked from commit 1d401e0a9b4c3010c32b0084ec6a218fc46e4f78)

commit e8f230e7989eb0aef2510f52738e8718863b8567
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 23 16:08:48 2016 +0100

    kamctl: refreshed definition of location table
    
    (cherry picked from commit 2ddf88df7deeebf2966344031eb905811b8e86cb)

commit d11cc80c3a4a2fdeb446837c550517e4f4a511a9
Author: Juha Heinanen <jh@tutpro.com>
Date:   Wed Mar 23 16:32:06 2016 +0200

    srdb1/schema: removed unique constraint from connection_idx
    
    (cherry picked from commit d72ac166b152ca6906248d67e2605d5b283fa01e)

commit eee6382b683349395004627e7ebc5a7ae9216024
Author: Olle E. Johansson <oej@edvina.net>
Date:   Wed Mar 16 15:01:08 2016 +0100

    http_client Adding support for HTTP proxy on a connection and default level
    
    Addresses issue #541
    
    Documentation coming in separate commit

commit 26026da13f76ffcea34d1482b925979e520631ad
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon Mar 21 22:23:44 2016 +0100

    pkg/kamailio/deb: update version to 4.4.0-rc1

commit 16c087b459f9394723714ae597aa0d90fb12389c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Mar 21 17:22:55 2016 +0100

    Makefile.defs: version set to 4.4.0-rc1

commit ff3857597627fd4f650fbf53be60b7d5ad2a4543
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Mar 21 17:09:51 2016 +0100

    topos: propagate via branch from receive to send event
    
    - identify properly the branch
    
    (cherry picked from commit 787c41c08eae9f9431f792ec616530145f66cc3c)

commit a5a08f40481c2bdd2de200e6504dd0c330361bef
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Mar 21 14:46:23 2016 +0100

    kamctl: db script with larger topos fields
    
    (cherry picked from commit f8b9bbdcb95575b90bd75dba71b6117c76127bc1)

commit 9acf49bc944b6c5ec1010087963b847bffd4dee4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Mar 21 14:45:52 2016 +0100

    lib/srdb1: tags fields made larger
    
    - store more fields for branch
    
    (cherry picked from commit 9eaca5332e4b6be9f2437806b47ef1077eb57959)

commit ed0c8ed358883974775e00597cc06f61ca20b89c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Mar 21 14:24:25 2016 +0100

    kamctl: further updates to topos db scripts
    
    (cherry picked from commit fedf9e8875791ff53188fb812a6d97aae9b1ceba)

commit 3470856a34b97526e848d0004cd643e198dac05f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Mar 21 14:23:35 2016 +0100

    lib/srdb1: fields for local sockets
    
    - replace src ip with full address column
    
    (cherry picked from commit 4efc9b3730e15f9e9f2274a8dfee59d76e5ecabd)

commit 6f6b932bed271b9c677b57cfd6159db7c10f3dfb
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Mar 21 14:18:49 2016 +0100

    topos: filling field for server record route values
    
    (cherry picked from commit dc4306e4e201d2cfbe5cc76698e8c7c3ec06d44a)

commit 417c54b3e0f9b9929c7c34c6ebffb6f753b33fa1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Mar 21 11:40:04 2016 +0100

    topos: don't detect direction based on route header ftag
    
    - the local server header is not re-added yet
    
    (cherry picked from commit ca4494d465eaec8c544f61e9034147387c861688)

commit a599f7ec14fc244d0cf2dd7545233538ce4879ed
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Mar 21 11:32:08 2016 +0100

    topos: split storage of record route for a, b and server sides
    
    (cherry picked from commit a215b926e3f1df0f2aca2f86e5ad1e3c9dde3796)

commit c887f1a84a2755cae122bfc3887a2857fe986c29
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Mar 21 11:01:53 2016 +0100

    kamctl: updates to topos db scripts
    
    (cherry picked from commit 6497b9a562386aeae47c0aaa10d09418269c6d8d)

commit a67eed2e587ad8ed04c9069f188155ba62ddf093
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Mar 21 11:01:11 2016 +0100

    lib/srdb1: dbschema - split record route storage
    
    (cherry picked from commit d43986940878962a35883370a14f4330d2fd597a)

commit bea13a3ea4362a1f99a81b948c7839e2dbaedfe7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Mar 18 18:05:02 2016 +0100

    topos: added missing params to docs
    
    (cherry picked from commit 956b5ae838b0627710473a15746ffd2cd96dfbc0)

commit 0a3174f9c6f8f9819c1c92e3e83ee3ca7502f19e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Mar 18 17:20:00 2016 +0100

    topos: don't store dialog data for message request
    
    - only branches are enough
    
    (cherry picked from commit 7993b4a7cf7281bc99bf1bae3777f3f0d18b24b1)

commit c5336e36179a25dec1dd37804af79e12d0274a8a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Mar 18 16:52:24 2016 +0100

    topos: shortcut to handle forwarded MESSAGE replies
    
    - no dialog created there
    
    (cherry picked from commit 6885748a5146d4531a0e235e67621df49df67d97)

commit d9dbd6f1ea43f566ef161794e1da9d49f069a1ca
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Mar 18 16:43:14 2016 +0100

    topos: MESSAGE may be without Contact header
    
    (cherry picked from commit 1c7f39389225ef5c1430bb8540b6fd9c249734bb)

commit 0df89ce099641607ba38f2ce99061c6209babcda
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Mar 18 16:05:18 2016 +0100

    topos: no processing needed for 100 responses
    
    (cherry picked from commit 98f927149c2f6865dd6b709f4a3bb7be77e57f5c)

commit fa2f3ddc188d758d588177e254b1fcacdecc9bbd
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Mar 18 15:19:18 2016 +0100

    topos: cseq number and method linked to db
    
    (cherry picked from commit f591b7e0b0c71648a9ac62dd9604955d7c2acb75)

commit 324a2cc72d260fa4f925198670373e7a36929167
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Mar 18 15:15:57 2016 +0100

    kamctl: refreshed topos db scripts
    
    (cherry picked from commit eb1e8e2ff46a1ecac81b05985dc09a37036ce1ab)

commit 97212998731cc849a1ce64c21c4def4f65a64668
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Mar 18 15:15:21 2016 +0100

    srdb1/schema: cseq stored as string for topos
    
    - no conversion from sip header
    
    (cherry picked from commit 0dd9c526f762974ceb397cc2c7862fa7ff122ebf)

commit 66387d3c6a425f1b4c2123dc3397351af8d9d616
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Mar 18 14:58:27 2016 +0100

    topos: store method and cseq for dialogs and branches
    
    (cherry picked from commit c2e404b82f20a12b5909bbf610cbfb7f5d101c12)

commit 40eca4ba61b8f068e5f9869ae86ea5a57c777096
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Mar 18 14:08:53 2016 +0100

    kamctl: updated scripts for topos db
    
    (cherry picked from commit c8d25c34d8efa5c6e40fb26d523a9d4e5d66595c)

commit 46176217c8a6e61b353045243865b5f9e0e9f741
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Mar 18 14:08:26 2016 +0100

    lib/srdb1: topos schemas extended to store method and cseq
    
    (cherry picked from commit c8fb903b9649fc8ef49a1bfff455e58b2265d05a)

commit 22195053b664d20f4eea78a5bbf228f587a5eab4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Mar 18 13:23:06 2016 +0100

    dialog: force cleanup of aged terminated dialogs
    
    - reported by Dmitri Savolainen, GH #545
    
    (cherry picked from commit 23a3481302d5aca04be0e8d10f6d4ce23dbc36aa)

commit 03862d7b6057ef08146cfea5ffe9debff35263ea
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Mar 17 22:56:41 2016 +0100

    xhttp_rpc: added notes about how to use the module
    
    (cherry picked from commit 68cbac03d95893f4f27b46a37233cf796a7484d9)

commit 79940803b2a631b21bb851a6380b16806ce31981
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Mar 17 22:47:02 2016 +0100

    pipelimit: set array result tipe for rpc commands
    
    - rpc stats and get pipes can return more than one item
    
    (cherry picked from commit 1c22f395df81dab09288ff945e97b0040894daaf)

commit 3b0308db6e46b45a564975b9d49640f1454ce1d5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 15 12:40:09 2016 +0100

    ims_registrar_pcscf: remove duplicate implementation and use _strnistr() from core
    
    (cherry picked from commit 331ab29e77e178067a23291bd20638201ba9b393)

commit c2dfad3ee3b5bd766f1c5fd2a35780472039ae54
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 15 12:39:45 2016 +0100

    sdpops: reuse _strnstr() from core instead of own implementation
    
    (cherry picked from commit e69c3284231917f5c63871842b6ce6ab37b419eb)

commit 48136b5dc0a2a082621c828438371504e0a636b6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 15 12:39:16 2016 +0100

    tm: _strnstr() moved to core
    
    (cherry picked from commit 4910ddf9eebb8fa5106300b9e684ecb67fb2d225)

commit 9b9989a0c6fea5860313ccde90055bbaa69cdc6c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 15 12:38:46 2016 +0100

    topos: use _strnstr() from core instead of strnstr()
    
    (cherry picked from commit f5d4446dae8db02e6d4136724f85baed65f7bf4a)

commit 2dcf15e18f7aa4842091c14c360e2ee1694ed9dc
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 15 12:37:37 2016 +0100

    core: _strnstr() and _strnistr() defined in core
    
    - alternative to strnstr() which is not in all OSes, pluse the
      insensitive option
    
    (cherry picked from commit 7772e14fc298956f57429a67ea4524818b22a158)

commit 50df69df2b7a5307802f6dcaac9b90acfbe2b44d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Mar 18 13:32:59 2016 +0100

    core: parse content type allows '_' char
    
    - reported by Fabio Margarido, GH #547
    
    (cherry picked from commit b65927a8f6039810ffdb7b7f31ce2d36c9535fbd)

commit 2271e6bdaf2916d1c50d367d09041b2d6142a09d
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Mon Mar 14 17:07:46 2016 -0400

    modules/topos: fix warning: variable "ptsd" set but not used [-Wunused-but-set-variable]
    
    (cherry picked from commit f50c712f401f50b8ca36addbd8440f418a9b266f)

commit 3ef987c3230bb76f0eb1dea35998866271c93f31
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Mon Mar 14 17:03:30 2016 -0400

    modules/topos: fix warning: comparison between pointer and integer [enabled by default]
    
    (cherry picked from commit b4d1206fd50bb61d1ad9ff4ed500157105b140b6)

commit 0977d5a392b4c9236fa1334141df640d10aa1cb9
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Mon Mar 14 16:59:41 2016 -0400

    modules/topos: fix warning: label "ready" defined but not used [-Wunused-label]

commit 73313e6296cfc81c1dc8167845ee8fd3d0397a73
Author: Emmanuel Schmidbauer <eschmidbauer@voipxswitch.com>
Date:   Mon Mar 14 17:17:03 2016 +0100

    permissions: fix memory leak
    
    - free ruri_pattern from trusted struct in empty_hash_table()
    
    (cherry picked from commit 93fd86c882fd82f4277a80322dd729c2dc0370a0)

commit 734531b733a1983a718594b568f956f676d3ace3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Mar 14 14:37:01 2016 +0100

    uac: reset append to rr string var to avoid double free in case of error
    
    - reported by Fred Posner, GH #543
    
